module.exports = {
  "key": "style-libraries",
  "name": "Style Libraries",
  "description": "Tools that assist you with applying CSS to your components or HTML.",
  "aka": [
    "css processors",
    "style utilities",
    "stylers"
  ],
  "tags": [
    {
      "name": "css processor",
      "description": "Converts another language into CSS or modifies/improves CSS."
    },
    {
      "name": "inline",
      "description": "Works by setting styles in JavaScript rather than in a separate style file."
    },
    {
      "name": "react",
      "description": "Works only with React or mentions specifically that it works well with React."
    }
  ],
  "articles": [],
  "projects": [
    {
      "githubPath": "Khan/aphrodite",
      "description": "Framework-agnostic CSS-in-JS with support for server-side rendering, browser prefixing, and minimum CSS generation",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 3859,
      "lastUpdatedAt": "2018-02-02T06:58:28Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/15455?v=4"
    },
    {
      "githubPath": "adamterlson/cairn",
      "description": "Hierarchical shared and component-based style definitions with selector-based style application, for React Native",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 109,
      "lastUpdatedAt": "2018-02-02T08:16:02Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2498418?v=4"
    },
    {
      "githubPath": "blakeembrey/react-free-style",
      "description": "Make React components easier and more maintainable by using inline style objects",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 113,
      "lastUpdatedAt": "2018-01-21T17:19:50Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1088987?v=4"
    },
    {
      "githubPath": "casesandberg/reactcss",
      "description": ":lipstick: Inline Styles in JS",
      "homepage": "http://reactcss.com/",
      "dependencies": null,
      "tags": [
        "inline",
        "react"
      ],
      "lastStarCount": 1485,
      "lastUpdatedAt": "2018-02-01T15:54:56Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/4633636?v=4"
    },
    {
      "githubPath": "css-modules/css-modules",
      "description": "Documentation about css-modules",
      "homepage": null,
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 8988,
      "lastUpdatedAt": "2018-02-02T14:22:07Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/12612655?v=4"
    },
    {
      "githubPath": "FormidableLabs/radium",
      "description": "A toolchain for React component styling.",
      "homepage": "http://formidable.com/open-source/radium/",
      "dependencies": null,
      "tags": [
        "inline"
      ],
      "lastStarCount": 6008,
      "lastUpdatedAt": "2018-02-02T00:57:40Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5078602?v=4"
    },
    {
      "githubPath": "gajus/react-css-modules",
      "description": "Seamless mapping of class names to CSS modules inside of React components.",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 4344,
      "lastUpdatedAt": "2018-02-02T13:54:57Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/973543?v=4"
    },
    {
      "githubPath": "iamvdo/pleeease",
      "description": "Process CSS with ease: combine preprocessors and PostCSS",
      "homepage": "http://pleeease.io",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 462,
      "lastUpdatedAt": "2018-01-29T17:40:32Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1260529?v=4"
    },
    {
      "githubPath": "cssinjs/jss",
      "description": "JSS is an authoring tool for CSS which uses JavaScript as a host language.",
      "homepage": "http://cssinjs.org",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 3086,
      "lastUpdatedAt": "2018-02-02T15:28:46Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/9503099?v=4"
    },
    {
      "githubPath": "less/less.js",
      "description": "Less. The dynamic stylesheet language.",
      "homepage": "http://lesscss.org",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 15350,
      "lastUpdatedAt": "2018-02-02T13:01:30Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/3538330?v=4"
    },
    {
      "githubPath": "maxguzenski/react-easy-style",
      "description": "A tiny library to easy apply css/styles to react components",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 79,
      "lastUpdatedAt": "2017-11-09T14:35:01Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6819?v=4"
    },
    {
      "githubPath": "paypal/glamorous",
      "description": "💄 Maintainable CSS with React",
      "homepage": "https://glamorous.rocks",
      "dependencies": null,
      "tags": [
        "inline"
      ],
      "lastStarCount": 3107,
      "lastUpdatedAt": "2018-02-02T16:59:25Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/476675?v=4"
    },
    {
      "githubPath": "smyte/jsxstyle",
      "description": "Inline style system for React and Preact",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "inline"
      ],
      "lastStarCount": 1732,
      "lastUpdatedAt": "2018-01-31T22:13:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/17014180?v=4"
    },
    {
      "githubPath": "postcss/postcss",
      "description": "Transforming styles with JS plugins",
      "homepage": "http://postcss.org/",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 17421,
      "lastUpdatedAt": "2018-02-02T15:45:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/8296347?v=4"
    },
    {
      "githubPath": "rofrischmann/fela",
      "description": "State-Driven Styling in JavaScript",
      "homepage": "http://fela.js.org",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 1222,
      "lastUpdatedAt": "2018-02-02T13:01:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10060928?v=4"
    },
    {
      "githubPath": "rofrischmann/react-look",
      "description": "Advanced & Dynamic Component Styling for React and React Native. Ships with powerful Plugins, Mixins and Developer Tools. (Deprecated: use Fela)",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 599,
      "lastUpdatedAt": "2018-01-22T03:10:43Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10060928?v=4"
    },
    {
      "githubPath": "sass/sass",
      "description": "Sass makes CSS fun again.",
      "homepage": "http://sass-lang.com",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 11017,
      "lastUpdatedAt": "2018-02-02T17:00:18Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/317889?v=4"
    },
    {
      "githubPath": "segmentio/myth",
      "description": "A CSS preprocessor that acts like a polyfill for future versions of the spec.",
      "homepage": "http://myth.io",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 4390,
      "lastUpdatedAt": "2018-01-29T13:57:39Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/819518?v=4"
    },
    {
      "githubPath": "styled-components/styled-components",
      "description": "Visual primitives for the component age. Use the best bits of ES6 and CSS to style your apps without stress 💅",
      "homepage": "http://styled-components.com",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 13538,
      "lastUpdatedAt": "2018-02-02T17:04:06Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/20658825?v=4"
    },
    {
      "githubPath": "stylus/stylus",
      "description": "Expressive, robust, feature-rich CSS language built for nodejs",
      "homepage": "http://stylus-lang.com/",
      "dependencies": null,
      "tags": [
        "css processor"
      ],
      "lastStarCount": 8838,
      "lastUpdatedAt": "2018-02-02T13:01:32Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/10009463?v=4"
    },
    {
      "githubPath": "unicorn-standard/react-pacomo",
      "description": "Automatic Namespacing for your React className props",
      "homepage": "http://unicornstandard.com/packages/react-pacomo.html",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 195,
      "lastUpdatedAt": "2018-01-23T02:57:56Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/14356264?v=4"
    },
    {
      "githubPath": "rtsao/styletron",
      "description": ":zap: Universal, high-performance JavaScript styles",
      "homepage": "http://styletron.js.org",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 2367,
      "lastUpdatedAt": "2018-02-02T13:01:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/780408?v=4"
    },
    {
      "githubPath": "zeit/styled-jsx",
      "description": "Full CSS support for JSX without compromises",
      "homepage": "http://npmjs.com/styled-jsx",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 2715,
      "lastUpdatedAt": "2018-02-02T16:38:13Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/14985020?v=4"
    }
  ]
}