module.exports = {
  "key": "react-example-apps",
  "name": "React Example Apps",
  "description": "Open-source apps that use React.",
  "aka": [
    "react sample code",
    "react sample apps"
  ],
  "tags": [
    {
      "name": "educational",
      "aka": [
        "learning"
      ],
      "description": "The project helps the user (not just the developer) to learn something."
    },
    {
      "name": "video"
    },
    {
      "name": "clone"
    },
    {
      "name": "game"
    },
    {
      "name": "chat"
    },
    {
      "name": "todo"
    },
    {
      "name": "text editor"
    }
  ],
  "articles": [],
  "projects": [
    {
      "githubPath": "BTMPL/react-yt",
      "description": "A YouTube player component for React following the render props pattern",
      "homepage": null,
      "dependencies": [
        "@types/node",
        "@types/react",
        "@types/react-dom",
        "@types/youtube",
        "dts-generator",
        "fork-ts-checker-webpack-plugin",
        "happypack",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "styled-components",
        "ts-loader",
        "tslint",
        "tslint-react",
        "typescript",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "video"
      ],
      "lastStarCount": 56,
      "lastUpdatedAt": "2018-01-23T01:24:17Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/247153?v=4"
    },
    {
      "githubPath": "ahfarmer/calculator",
      "description": "Simple calculator built with React",
      "homepage": "https://ahfarmer.github.io/calculator/",
      "dependencies": [
        "big.js",
        "gh-pages",
        "github-fork-ribbon-css",
        "react",
        "react-dom",
        "react-scripts"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 151,
      "lastUpdatedAt": "2018-02-02T05:44:02Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/597825?v=4"
    },
    {
      "githubPath": "ahfarmer/emoji-search",
      "description": "Simple React app for searching emoji",
      "homepage": "https://ahfarmer.github.io/emoji-search",
      "dependencies": [
        "gh-pages",
        "github-fork-ribbon-css",
        "react",
        "react-dom",
        "react-scripts"
      ],
      "tags": [],
      "lastStarCount": 78,
      "lastUpdatedAt": "2018-02-02T11:21:44Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/597825?v=4"
    },
    {
      "githubPath": "insin/react-hn",
      "description": "React-powered Hacker News client",
      "homepage": "https://react-hn.appspot.com",
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "ejs",
        "eslint-config-jonnybuchanan",
        "events",
        "express",
        "firebase",
        "history",
        "html-webpack-plugin",
        "isomorphic-fetch",
        "nwb",
        "object-assign",
        "react",
        "react-dom",
        "react-router",
        "react-router-scroll",
        "react-timeago",
        "reactfire",
        "scroll-behavior",
        "setimmediate",
        "url-parse",
        "webpack",
        "workbox-build"
      ],
      "tags": [],
      "lastStarCount": 1827,
      "lastUpdatedAt": "2018-02-02T05:50:48Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/226692?v=4"
    },
    {
      "githubPath": "skidding/flatris",
      "description": "Progressive Web Tetris",
      "homepage": "https://skidding.github.io/flatris",
      "dependencies": [
        "lodash",
        "prettier",
        "prop-types",
        "pushstate-server",
        "raf",
        "react",
        "react-cosmos",
        "react-cosmos-redux-proxy",
        "react-cosmos-telescope",
        "react-dom",
        "react-redux",
        "react-redux-layout",
        "react-scripts",
        "redux",
        "redux-thunk",
        "styled-components",
        "sw-precache"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 626,
      "lastUpdatedAt": "2018-02-02T13:01:46Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/250750?v=4"
    },
    {
      "githubPath": "mzabriskie/react-example",
      "description": "Simple React example app",
      "homepage": "http://mzabriskie.github.io/react-example",
      "dependencies": [
        "axios",
        "babel-core",
        "babel-loader",
        "babel-plugin-istanbul",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "bootstrap",
        "chai",
        "chai-enzyme",
        "cross-env",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-kentcdodds",
        "file-loader",
        "history",
        "http-server",
        "jsdom",
        "lodash",
        "mocha",
        "moment",
        "moxios",
        "npm-run-all",
        "nyc",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-router",
        "react-tooltip",
        "sinon",
        "sinon-chai",
        "starwars-names",
        "style-loader",
        "webpack",
        "webpack-config-utils",
        "webpack-dev-server",
        "webpack-validator"
      ],
      "tags": [],
      "lastStarCount": 124,
      "lastUpdatedAt": "2018-01-29T18:57:30Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/199035?v=4"
    },
    {
      "githubPath": "foxhound87/mobx-react-form",
      "description": "Automagically manage React forms state and automatic validation with MobX",
      "homepage": "https://foxhound87.github.io/mobx-react-form",
      "dependencies": [
        "ajv",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-lodash",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-stage-0",
        "babel-register",
        "chai",
        "codecov",
        "commitizen",
        "cz-conventional-changelog",
        "eslint",
        "eslint-config-airbnb-base",
        "eslint-plugin-import",
        "husky",
        "json-loader",
        "lodash",
        "mobx",
        "mocha",
        "npm-run-all",
        "nyc",
        "rimraf",
        "semantic-release",
        "validator",
        "validatorjs",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 593,
      "lastUpdatedAt": "2018-01-31T01:13:01Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1292494?v=4"
    },
    {
      "githubPath": "timarney/react-faq",
      "description": "A collection of links to help answer your questions about React.js",
      "homepage": "",
      "dependencies": [
        "classnames",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-manifest",
        "gatsby-plugin-offline",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-react-next",
        "gatsby-plugin-sharp",
        "gatsby-plugin-typography",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-remark-smartypants",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "lodash",
        "prettier",
        "react-headroom",
        "react-responsive-grid",
        "styled-components",
        "typography-plugin-code",
        "unfetch"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 1743,
      "lastUpdatedAt": "2018-02-02T07:30:30Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/62242?v=4"
    },
    {
      "githubPath": "hadijaveed/All-Convertors",
      "description": "An interface to provide utilities to convert html to either JSX or JADE and to convert css to pre-processors like LESS and STYLUS",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "bower-webpack-plugin",
        "brfs",
        "css-loader",
        "css-scss",
        "css2less",
        "css2less",
        "css2stylus",
        "eslint",
        "eslint-plugin-react",
        "expose-loader",
        "file-loader",
        "htmltojsx",
        "image-webpack-loader",
        "imports-loader",
        "install",
        "json-loader",
        "less-loader",
        "lodash",
        "react",
        "react-dom",
        "react-hot-loader",
        "style-loader",
        "transform-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 10,
      "lastUpdatedAt": "2018-02-02T07:45:42Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/10227760?v=4"
    },
    {
      "githubPath": "skidding/illustrated-algorithms",
      "description": "Interactive algorithm visualizations",
      "homepage": "https://illustrated-algorithms.now.sh/",
      "dependencies": [
        "babel-loader",
        "babel-plugin-inline-react-svg",
        "babel-plugin-trace-execution",
        "classnames",
        "emojione",
        "eslint-config-xo-react",
        "eslint-plugin-react",
        "html-webpack-plugin",
        "jest",
        "lodash.debounce",
        "lodash.range",
        "next",
        "prop-types",
        "raf",
        "react",
        "react-addons-shallow-compare",
        "react-cosmos",
        "react-cosmos-context-proxy",
        "react-cosmos-telescope",
        "react-dom",
        "shuffle-array",
        "webpack",
        "xo"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 2402,
      "lastUpdatedAt": "2018-02-02T13:01:56Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/250750?v=4"
    },
    {
      "githubPath": "SKempin/reactjs-tmdb-app",
      "description": "Responsive React 'The Movie Database' (TMDb) App",
      "homepage": "https://skempin.github.io/reactjs-tmdb-app/",
      "dependencies": [
        "babelify",
        "bloodhound-js",
        "browserify",
        "del",
        "es6-promise",
        "fetch-ie8",
        "gulp",
        "gulp-autoprefixer",
        "gulp-bower",
        "gulp-cache",
        "gulp-imagemin",
        "gulp-load-plugins",
        "gulp-minify-css",
        "gulp-sass",
        "gulp-size",
        "gulp-sync",
        "gulp-uglify",
        "gulp-useref",
        "gulp-util",
        "gulp-webserver",
        "numeral",
        "react",
        "react-dom",
        "typeahead",
        "vinyl-source-stream",
        "watchify",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 356,
      "lastUpdatedAt": "2018-01-30T17:13:09Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/10877466?v=4"
    },
    {
      "githubPath": "devtools-html/debugger.html",
      "description": "The Firefox debugger that works anywhere  :boom:",
      "homepage": "https://devtools-html.github.io/debugger.html/",
      "dependencies": [
        "@percy-io/react-percy-storybook",
        "@storybook/react",
        "babel-eslint",
        "babel-plugin-syntax-trailing-function-commas",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-preset-env",
        "babel-preset-react",
        "babel-traverse",
        "babel-types",
        "babylon",
        "chalk",
        "codemirror",
        "copy-paste",
        "devtools-launchpad",
        "devtools-license-check",
        "devtools-linters",
        "devtools-reps",
        "devtools-source-map",
        "devtools-splitter",
        "devtools-utils",
        "documentation",
        "enzyme",
        "enzyme-adapter-react-15",
        "enzyme-to-json",
        "eslint",
        "eslint-config-prettier",
        "eslint-plugin-babel",
        "eslint-plugin-flowtype",
        "eslint-plugin-jest",
        "eslint-plugin-mozilla",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "expect.js",
        "flow-bin",
        "fuzzaldrin-plus",
        "glob",
        "husky",
        "immutable",
        "jest",
        "jest-cli",
        "jest-in-case",
        "jest-junit-reporter",
        "jest-localstorage-mock",
        "jest-serializer-babel-ast",
        "lint-staged",
        "lodash",
        "lodash.kebabcase",
        "md5",
        "mochii",
        "mock-require",
        "node-emoji",
        "npm-run-all",
        "parse-script-tags",
        "prettier",
        "pretty-fast",
        "prop-types",
        "react",
        "react-addons-perf",
        "react-dom",
        "react-immutable-proptypes",
        "react-inlinesvg",
        "react-redux",
        "react-test-renderer",
        "react-transition-group",
        "redux-saga",
        "remark-cli",
        "remark-lint",
        "remark-lint-list-item-bullet-indent",
        "remark-lint-list-item-indent",
        "remark-lint-no-shortcut-reference-image",
        "remark-lint-no-shortcut-reference-link",
        "remark-lint-no-table-indentation",
        "remark-lint-no-unused-definitions",
        "remark-lint-ordered-list-marker-style",
        "remark-lint-table-cell-padding",
        "remark-lint-table-pipes",
        "remark-preset-lint-recommended",
        "remark-validate-links",
        "reselect",
        "rimraf",
        "single-line-log",
        "stylelint",
        "svg-inline-react",
        "wasmparser",
        "webpack",
        "webpack-visualizer-plugin",
        "workerjs"
      ],
      "tags": [],
      "lastStarCount": 3358,
      "lastUpdatedAt": "2018-02-02T16:59:42Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/19979421?v=4"
    },
    {
      "githubPath": "n1k0/tinysynth",
      "description": "A drums looper made with React and the WebAudio API",
      "homepage": "https://n1k0.github.io/tinysynth",
      "dependencies": [
        "flow-bin",
        "gh-pages",
        "react",
        "react-dom",
        "react-mdl",
        "react-scripts",
        "tone"
      ],
      "tags": [],
      "lastStarCount": 176,
      "lastUpdatedAt": "2018-01-20T07:16:36Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/41547?v=4"
    },
    {
      "githubPath": "chvin/react-tetris",
      "description": "Use React, Redux, Immutable to code Tetris. 🎮",
      "homepage": "https://chvin.github.io/react-tetris/?lan=en",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-react",
        "classnames",
        "copy-webpack-plugin",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "immutable",
        "json-loader",
        "less",
        "less-loader",
        "open-browser-webpack-plugin",
        "postcss",
        "postcss-loader",
        "precss",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-immutable",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 3087,
      "lastUpdatedAt": "2018-02-02T11:26:08Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5383506?v=4"
    },
    {
      "githubPath": "sgwilym/relay-visual-learners",
      "description": "An overview of the Relay framework for visually-minded people.",
      "homepage": "http://sgwilym.github.io/relay-visual-learners/",
      "dependencies": [
        "autoprefixer-core",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-object-assign",
        "babel-runtime",
        "css-loader",
        "eslint-plugin-react",
        "node-sass",
        "postcss-loader",
        "react",
        "react-hot-loader",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 148,
      "lastUpdatedAt": "2018-01-29T12:49:28Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/579491?v=4"
    },
    {
      "githubPath": "suddi/suddi.github.io",
      "description": "A static single-page application resume-builder developed using React.js and JSON Resume schema (https://suddi.github.io/)",
      "homepage": "https://suddi.github.io/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "create-react-class",
        "eslint",
        "eslint-config-suddi",
        "eslint-plugin-react",
        "husky",
        "moment",
        "nsp",
        "nuka-carousel",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-modal",
        "react-router",
        "superagent",
        "webpack",
        "webpack-dev-server",
        "webpack-s3-plugin"
      ],
      "tags": [],
      "lastStarCount": 120,
      "lastUpdatedAt": "2018-02-01T06:29:59Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1018433?v=4"
    },
    {
      "githubPath": "FormidableLabs/react-music",
      "description": "Make beats with React!",
      "homepage": "http://reactmusic.surge.sh",
      "dependencies": [
        "audio-contour",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-flow-strip-types",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "css-loader",
        "eslint",
        "eslint-config-formidable",
        "eslint-plugin-filenames",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "flow-bin",
        "json-loader",
        "note-parser",
        "postcss-loader",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "rimraf",
        "style-loader",
        "tunajs",
        "uuid",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 2191,
      "lastUpdatedAt": "2018-02-02T17:07:37Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5078602?v=4"
    },
    {
      "githubPath": "web-pal/react-trello-board",
      "description": "Trello like board based on React, Redux, React-dnd",
      "homepage": "http://react-trello-board.web-pal.com",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-display-name",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "classnames",
        "cross-env",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "faker",
        "file-loader",
        "html-webpack-plugin",
        "immutable",
        "less",
        "less-loader",
        "lodash",
        "nib",
        "react",
        "react-dnd",
        "react-dnd-html5-backend",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-thunk",
        "style-loader",
        "stylus",
        "stylus-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 1180,
      "lastUpdatedAt": "2018-02-02T17:01:42Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/5220490?v=4"
    },
    {
      "githubPath": "sdras/react-aframe-demo1",
      "description": "React A-Frame Demo 1",
      "homepage": null,
      "dependencies": [
        "aframe",
        "aframe-react",
        "babel",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "css-loader",
        "ghpages",
        "json-loader",
        "react",
        "react-dom",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 12,
      "lastUpdatedAt": "2017-11-07T22:25:39Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2281088?v=4"
    },
    {
      "githubPath": "grigio/HAgnostic-News",
      "description": ":fire: A simple Hacker News reader which is available for the Web and as React Native app (Android / iOS)",
      "homepage": "",
      "dependencies": [
        "jest-cli",
        "jest-react-native",
        "moment",
        "react",
        "react-dom",
        "react-native",
        "react-native-material-design-styles",
        "react-native-web",
        "react-scripts",
        "react-test-renderer"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 343,
      "lastUpdatedAt": "2018-02-02T15:53:13Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/8074?v=4"
    },
    {
      "githubPath": "slugo/redux-tetris",
      "description": "Simple tetris clone made using React + Redux.",
      "homepage": "https://slugo.github.io/redux-tetris/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-transform-class-properties",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "brfs",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "konva",
        "material-ui",
        "normalize.css",
        "react",
        "react-dom",
        "react-konva",
        "react-redux",
        "react-tap-event-plugin",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-thunk",
        "semantic-ui-css",
        "style-loader",
        "transform-loader",
        "webpack",
        "webpack-dashboard",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 66,
      "lastUpdatedAt": "2017-12-18T02:05:53Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/15680836?v=4"
    },
    {
      "githubPath": "joshwcomeau/key-and-pad",
      "description": "🎹  Fun experiment with the Web Audio API 🎶",
      "homepage": "http://keyandpad.com",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-syntax-trailing-function-commas",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-es2016",
        "babel-preset-react",
        "chai",
        "chai-equal-jsx",
        "chalk",
        "classnames",
        "cross-spawn",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "git-rev",
        "html-webpack-plugin",
        "ignore-styles",
        "json-loader",
        "keycode",
        "lodash.curry",
        "lodash.debounce",
        "lodash.foreach",
        "lodash.get",
        "lodash.invert",
        "lodash.invoke",
        "lodash.invokemap",
        "lodash.omit",
        "lodash.pick",
        "lodash.throttle",
        "node-sass",
        "node-uuid",
        "opn",
        "postcss-loader",
        "react",
        "react-addons-css-transition-group",
        "react-addons-perf",
        "react-dom",
        "react-dropdown",
        "react-flip-move",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-select",
        "react-slider",
        "react-syntax-highlighter",
        "react-tap-event-plugin",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-saga",
        "redux-thunk",
        "redux-vcr",
        "reselect",
        "rimraf",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "soundbank-reverb",
        "style-loader",
        "svg-inline-loader",
        "tonal-freq",
        "tunajs",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 263,
      "lastUpdatedAt": "2018-02-02T13:01:55Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/6692932?v=4"
    },
    {
      "githubPath": "chuckha/ColorFlood",
      "description": "A color filling game",
      "homepage": null,
      "dependencies": [
        "react",
        "react-dom",
        "react-scripts"
      ],
      "tags": [],
      "lastStarCount": 35,
      "lastUpdatedAt": "2018-01-30T08:02:48Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/98927?v=4"
    },
    {
      "githubPath": "Siddharth11/iTunes-Remote",
      "description": "Remotely control iTunes on Mac without Internet 🎶📱",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "clean-webpack-plugin",
        "css-loader",
        "express",
        "extract-text-webpack-plugin",
        "internal-ip",
        "node-osascript",
        "node-sass",
        "postcss-cssnext",
        "postcss-loader",
        "react",
        "react-dom",
        "react-icons",
        "react-redux",
        "redux",
        "sass-loader",
        "socket.io",
        "style-loader",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 111,
      "lastUpdatedAt": "2018-01-26T22:50:52Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5427715?v=4"
    },
    {
      "githubPath": "r-park/soundcloud-redux",
      "description": "SoundCloud API client with React • Redux • Redux-Saga",
      "homepage": "https://soundcloud-redux.herokuapp.com",
      "dependencies": [
        "ava",
        "classnames",
        "compression",
        "conventional-changelog-cli",
        "cross-env",
        "enzyme",
        "express",
        "helmet",
        "history",
        "immutable",
        "minx",
        "morgan",
        "node-sass-chokidar",
        "nodemon",
        "npm-run-all",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-scripts",
        "react-test-renderer",
        "redux",
        "redux-saga",
        "reselect",
        "rxjs",
        "serve-favicon",
        "sinon",
        "superagent",
        "supertest",
        "winston"
      ],
      "tags": [],
      "lastStarCount": 404,
      "lastUpdatedAt": "2018-02-01T09:07:20Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/6252638?v=4"
    },
    {
      "githubPath": "bbstilson/react-dodgy-game",
      "description": "A tiny dodging game built in react",
      "homepage": null,
      "dependencies": [
        "axios",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "react",
        "react-dom",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 25,
      "lastUpdatedAt": "2018-01-12T09:37:29Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/7949037?v=4"
    },
    {
      "githubPath": "RossMcMillan92/djent",
      "description": "A metal breakdown generator",
      "homepage": "http://djen.co",
      "dependencies": [
        "audiobuffer-to-wav",
        "autoprefixer",
        "autoprefixer-core",
        "babel",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-dynamic-import-node",
        "babel-plugin-external-helpers",
        "babel-plugin-ramda",
        "babel-plugin-transform-react-jsx",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "babelify",
        "chai",
        "chai-enzyme",
        "clone-deep",
        "colors",
        "copy-webpack-plugin",
        "css-hot-loader",
        "css-loader",
        "deep-equal",
        "deep-extend",
        "deep-extend",
        "del",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "html",
        "html-webpack-plugin",
        "immutable",
        "immutable-ext",
        "jest",
        "jest-localstorage-mock",
        "jsdom",
        "jsdom-global",
        "json-loader",
        "livereload",
        "lodash",
        "lzutf8",
        "mocha",
        "mocha-babel",
        "my-local-ip",
        "node-sass",
        "node-watch",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "prop-types",
        "raf",
        "ramda",
        "ramda-fantasy",
        "react",
        "react-dom",
        "react-dragula",
        "react-dragula",
        "react-dragula-hoc",
        "react-fastclick",
        "react-hot-loader",
        "react-jsx",
        "react-redux",
        "react-router",
        "react-test-renderer",
        "redbox-react",
        "redux",
        "redux-thunk",
        "reflect.ownkeys",
        "sass-loader",
        "save",
        "script-ext-html-webpack-plugin",
        "sinon",
        "style-loader",
        "sw-toolbox",
        "uglifyify",
        "vinyl-source-stream",
        "webpack",
        "webpack-bundle-size-analyzer",
        "webpack-dev-server",
        "webpack-watch-livereload-plugin"
      ],
      "tags": [],
      "lastStarCount": 689,
      "lastUpdatedAt": "2018-01-11T14:40:54Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/3329319?v=4"
    },
    {
      "githubPath": "TailorDev/franklin",
      "description": ":pencil2: Our DNA sequence annotation tool.",
      "homepage": "https://franklin.lelab.tailordev.fr/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "chai",
        "clean-webpack-plugin",
        "compression",
        "css-loader",
        "enzyme",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "foundation-sites",
        "html-webpack-plugin",
        "immutable",
        "jsdom",
        "lodash.debounce",
        "mocha",
        "mocha-circleci-reporter",
        "node-sass",
        "nyc",
        "prettier",
        "prop-types",
        "react",
        "react-addons-perf",
        "react-addons-test-utils",
        "react-color",
        "react-dom",
        "react-dropzone",
        "react-hot-loader",
        "react-hotkeys",
        "react-modal",
        "react-redux",
        "react-tabs",
        "redux",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "sass-loader",
        "sinon",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-merge"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 34,
      "lastUpdatedAt": "2018-01-29T05:04:38Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/11196253?v=4"
    },
    {
      "githubPath": "johnmpotter/npm-trends",
      "description": "NPM package comparison",
      "homepage": "http://www.npmtrends.com",
      "dependencies": [],
      "tags": [],
      "lastStarCount": 112,
      "lastUpdatedAt": "2018-01-31T17:37:29Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5359194?v=4"
    },
    {
      "githubPath": "goshakkk/pabla",
      "description": "Engaging social media image tool. Like Buffer's Pablo. Meant as a React+Canvas experiment. [alfa quality]",
      "homepage": "http://goshakkk.name/pabla/",
      "dependencies": [
        "auto-reload-brunch",
        "autoprefixer",
        "babel-brunch",
        "babel-core",
        "babel-loader",
        "babel-plugin-syntax-object-rest-spread",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "brunch",
        "clean-css-brunch",
        "css-brunch",
        "css-loader",
        "es6-promise",
        "file-loader",
        "html-webpack-plugin",
        "javascript-brunch",
        "node-sass",
        "postcss-brunch",
        "postcss-loader",
        "react",
        "react-dom",
        "redux-saga",
        "sass-brunch",
        "sass-loader",
        "stackblur-canvas",
        "style-loader",
        "uglify-js-brunch",
        "webpack",
        "webpack-dev-server",
        "webpack-validator"
      ],
      "tags": [],
      "lastStarCount": 251,
      "lastUpdatedAt": "2018-01-28T15:20:46Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/315596?v=4"
    },
    {
      "githubPath": "joelburget/d4",
      "description": "Data-Driven Declarative Documents",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "d3-array",
        "d3-color",
        "d3-drag",
        "d3-geo",
        "d3-hexbin",
        "d3-interpolate",
        "d3-polygon",
        "d3-random",
        "d3-scale",
        "d3-tile",
        "d3-time",
        "d3-voronoi",
        "dsv-loader",
        "eslint",
        "eslint-plugin-react",
        "fetch",
        "immutable",
        "json-loader",
        "markdown-it",
        "markdown-it-highlightjs",
        "poisson-disc-sampler",
        "raw-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-radio-group",
        "topojson",
        "uuid",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 744,
      "lastUpdatedAt": "2018-01-28T14:41:13Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/310981?v=4"
    },
    {
      "githubPath": "moovel/teamchatviz",
      "description": "#teamchatviz",
      "homepage": "https://moovel.github.io/teamchatviz",
      "dependencies": [
        "@slack/client",
        "babel-core",
        "babel-preset-es2015-node5",
        "babel-preset-stage-3",
        "babel-register",
        "bluebird",
        "chai",
        "db-migrate",
        "db-migrate-pg",
        "density-clustering",
        "dotenv",
        "faker",
        "kcors",
        "koa",
        "koa-basic-auth",
        "koa-bodyparser",
        "koa-compress",
        "koa-conditional-get",
        "koa-convert",
        "koa-etag",
        "koa-generic-session",
        "koa-mount",
        "koa-passport",
        "koa-pg-session",
        "koa-router",
        "koa-static",
        "lodash",
        "mocha",
        "moment-timezone",
        "ms",
        "napa",
        "node-cache",
        "nodemon",
        "passport-slack",
        "pg-monitor",
        "pg-promise",
        "supertest",
        "tsne-js",
        "winston"
      ],
      "tags": [
        "chat"
      ],
      "lastStarCount": 132,
      "lastUpdatedAt": "2018-01-23T16:15:00Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13355186?v=4"
    },
    {
      "githubPath": "mkfreeman/central-limit",
      "description": "A visual explanation of the central limit theorem",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "d3",
        "gulp",
        "jquery",
        "materialize-css",
        "react",
        "react-dom",
        "react-materialize",
        "underscore"
      ],
      "tags": [],
      "lastStarCount": 21,
      "lastUpdatedAt": "2017-10-08T22:01:28Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1373882?v=4"
    },
    {
      "githubPath": "Haseeb-Qureshi/n-queens-visualizer",
      "description": "Visualizes solutions to the N-Queens problem, written in React & Flux",
      "homepage": "https://haseeb-qureshi.github.io/n-queens-visualizer",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "css-loader",
        "eslint-plugin-react",
        "flux",
        "object-assign",
        "rc-slider",
        "react",
        "react-dom",
        "react-hot-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 57,
      "lastUpdatedAt": "2017-12-25T22:02:00Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/10965087?v=4"
    },
    {
      "githubPath": "pearofducks/foodprocessor",
      "description": "A react/mobx javascript app for displaying recipes",
      "homepage": "http://pearofducks.github.io",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-1",
        "eslint-plugin-react",
        "marked",
        "mobx",
        "mobx-react",
        "react",
        "react-dom",
        "react-router",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2017-11-01T16:16:49Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/736895?v=4"
    },
    {
      "githubPath": "cosmicjs/cosmicapp-voting-app",
      "description": "A voting app built using React, MobX and Cosmic JS",
      "homepage": "http://voting-app.cosmicapp.co",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "cosmicjs",
        "express",
        "hogan-express",
        "lodash",
        "mobx",
        "mobx-react",
        "mobx-react-devtools",
        "react",
        "react-bootstrap",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "react-router-bootstrap",
        "shorti",
        "slug",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 62,
      "lastUpdatedAt": "2018-01-15T03:02:36Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/7906835?v=4"
    },
    {
      "githubPath": "Calanthe/mastermind",
      "description": "The Mastermind game made in Webpack, ES6 and React",
      "homepage": "http://zofiakorcz.pl/mastermind/",
      "dependencies": [
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "classnames",
        "gh-pages",
        "path",
        "react",
        "react-dom",
        "webpack"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 14,
      "lastUpdatedAt": "2017-12-17T20:11:19Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/489567?v=4"
    },
    {
      "githubPath": "ccoenraets/react-trivia",
      "description": "Trivia app built with React",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "react",
        "react-dom",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 55,
      "lastUpdatedAt": "2018-01-30T08:06:31Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/384156?v=4"
    },
    {
      "githubPath": "devnews/web",
      "description": "devnews web app",
      "homepage": "https://devne.ws",
      "dependencies": [
        "autolinker",
        "babel-core",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "copy-webpack-plugin",
        "css-loader",
        "html-escape",
        "html-webpack-plugin",
        "json-loader",
        "load-script",
        "localforage",
        "material-ui",
        "moment",
        "normalize.css",
        "open-browser-webpack-plugin",
        "postcss-cssnext",
        "postcss-font-magician",
        "postcss-import",
        "postcss-loader",
        "prop-types",
        "raw-loader",
        "react",
        "react-dom",
        "react-svg-inline",
        "react-tap-event-plugin",
        "style-loader",
        "superagent",
        "surge",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 25,
      "lastUpdatedAt": "2017-12-29T02:04:40Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/17771106?v=4"
    },
    {
      "githubPath": "pcottle/learnGitBranching",
      "description": "An interactive git visualization to challenge and educate!",
      "homepage": "http://pcottle.github.com/learnGitBranching/?demo",
      "dependencies": [
        "backbone",
        "browserify",
        "events",
        "flux",
        "grunt",
        "grunt-browserify",
        "grunt-cli",
        "grunt-contrib-clean",
        "grunt-contrib-jshint",
        "grunt-contrib-uglify",
        "grunt-env",
        "grunt-hash",
        "grunt-jasmine-node",
        "grunt-jsxhint",
        "grunt-react",
        "grunt-shell-spawn",
        "jasmine-node",
        "jquery",
        "markdown",
        "object-assign",
        "prompt",
        "q",
        "react",
        "react-tools",
        "underscore"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 5867,
      "lastUpdatedAt": "2018-02-02T13:01:38Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1135007?v=4"
    },
    {
      "githubPath": "gshakir/S3-Infrequent-Access-Calculator",
      "description": "A react app that lets you calculate S3 costs between Standard vs Infrequent Access buckets.",
      "homepage": "http://www.gulamshakir.com/apps/s3calc/index.html",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-syntax-trailing-function-commas",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-es2016",
        "babel-preset-react",
        "babel-runtime",
        "case-sensitive-paths-webpack-plugin",
        "chalk",
        "cross-spawn",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "filesize",
        "fs-extra",
        "gzip-size",
        "html-webpack-plugin",
        "json-loader",
        "opn",
        "postcss-loader",
        "promise",
        "react",
        "react-bootstrap",
        "react-dom",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 12,
      "lastUpdatedAt": "2017-09-09T13:01:19Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1054921?v=4"
    },
    {
      "githubPath": "fullstackreact/react-yelp-clone",
      "description": "Tutorial: Build a Yelp-clone in React",
      "homepage": "https://www.fullstackreact.com/articles/react-tutorial-cloning-yelp/",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-es2015-modules-umd",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "chai",
        "chai-enzyme",
        "cheerio",
        "classnames",
        "cross-env",
        "css-loader",
        "cssnano",
        "dotenv",
        "enzyme",
        "expect",
        "file-loader",
        "font-awesome",
        "gh-pages",
        "google-maps-react",
        "hjs-webpack",
        "jasmine-core",
        "json-loader",
        "karma",
        "karma-chai",
        "karma-jasmine",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-sourcemap-loader",
        "karma-spec-reporter",
        "karma-webpack",
        "mocha",
        "phantomjs-polyfill",
        "phantomjs-prebuilt",
        "postcss-loader",
        "precss",
        "prettyjson",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-router",
        "sinon",
        "style-loader",
        "url-loader",
        "webpack",
        "yargs"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 705,
      "lastUpdatedAt": "2018-01-19T12:46:38Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/16674738?v=4"
    },
    {
      "githubPath": "cogentlabs/cloud-vision-explorer",
      "description": "Google Vision API demo",
      "homepage": "http://vision-explorer.reactive.ai/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "exports-loader",
        "extract-text-webpack-plugin",
        "fbemitter",
        "file-loader",
        "gulp",
        "gulp-eslint",
        "gulp-plumber",
        "gulp-supervisor",
        "imports-loader",
        "json-loader",
        "lodash",
        "node-cloud-vision-api",
        "node-sass",
        "node-sass-middleware",
        "node-uuid",
        "normalize.css",
        "numeral",
        "postcss-loader",
        "random-js",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-hot-loader",
        "react-inlinesvg",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-tap-event-plugin",
        "react-toolbox",
        "rebass",
        "redux",
        "redux-devtools",
        "redux-logger",
        "redux-thunk",
        "run-sequence",
        "sass-loader",
        "style-loader",
        "three",
        "toolbox-loader",
        "tween.js",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-stream"
      ],
      "tags": [],
      "lastStarCount": 162,
      "lastUpdatedAt": "2018-01-28T14:24:31Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10842812?v=4"
    },
    {
      "githubPath": "apollographql/GitHunt-React",
      "description": ":arrows_clockwise: An example app frontend built with Apollo Client and React",
      "homepage": "",
      "dependencies": [
        "apollo-cache-inmemory",
        "apollo-client",
        "apollo-link",
        "apollo-link-error",
        "apollo-link-http",
        "apollo-link-persisted-queries",
        "apollo-link-ws",
        "apollo-utilities",
        "assets-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-preset-env",
        "babel-preset-react-native",
        "babel-preset-stage-2",
        "babel-register",
        "classnames",
        "concurrently",
        "css-loader",
        "eslint",
        "eslint-config-prettier",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "graphql",
        "graphql-anywhere",
        "graphql-tag",
        "http-proxy-middleware",
        "husky",
        "immutability-helper",
        "lint-staged",
        "node-emoji",
        "node-fetch",
        "nodemon",
        "persistgraphql",
        "prettier",
        "prop-types",
        "react",
        "react-apollo",
        "react-dom",
        "react-ga",
        "react-native-web",
        "react-router",
        "react-router-dom",
        "react-timeago",
        "style-loader",
        "subscriptions-transport-ws",
        "webpack",
        "webpack-cli",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 775,
      "lastUpdatedAt": "2018-02-01T19:44:34Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/17189275?v=4"
    },
    {
      "githubPath": "caspg/datamaps.co",
      "description": "Datamaps.co is a free and simple platform for creating visualizations with data maps",
      "homepage": "http://datamaps.co/",
      "dependencies": [
        "axios",
        "babel-eslint",
        "babel-plugin-module-resolver",
        "d3",
        "d3-dsv",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-react",
        "immutable",
        "json2csv",
        "next",
        "next-routes",
        "prop-types",
        "react",
        "react-autosuggest",
        "react-color",
        "react-dom",
        "react-dropzone",
        "react-modal",
        "react-redux",
        "react-select",
        "react-typist",
        "redux",
        "redux-thunk",
        "reselect",
        "save-svg-as-png",
        "serverless-finch",
        "topojson-client",
        "webpack-bundle-analyzer"
      ],
      "tags": [],
      "lastStarCount": 331,
      "lastUpdatedAt": "2018-01-30T07:00:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/10419439?v=4"
    },
    {
      "githubPath": "cloudflare/cf-ui",
      "description": ":gem: Cloudflare UI Framework",
      "homepage": "https://cloudflare.github.io/cf-ui/",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-plugin-polished",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "check-installed-dependencies",
        "conventional-changelog-cli",
        "cross-env",
        "enzyme",
        "enzyme-to-json",
        "eslint",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "glob",
        "husky",
        "isomorphic-fetch",
        "jest",
        "jest-fetch-mock",
        "js-beautify",
        "jsdom",
        "lerna",
        "polished",
        "prettier",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-test-renderer",
        "redux",
        "redux-thunk",
        "rimraf",
        "validate-commit-msg"
      ],
      "tags": [],
      "lastStarCount": 1258,
      "lastUpdatedAt": "2018-01-29T20:26:27Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/314135?v=4"
    },
    {
      "githubPath": "project-bobon/bobonroastprofile",
      "description": "Online coffee roast profile platform. https://roast.bobon.coffee",
      "homepage": "",
      "dependencies": [
        "autoprefixer-loader",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "chart.js",
        "css-loader",
        "file-loader",
        "firebase",
        "html-webpack-plugin",
        "moment",
        "node-sass",
        "react",
        "react-addons-css-transition-group",
        "react-addons-transition-group",
        "react-chartist",
        "react-chartjs",
        "react-dom",
        "react-ga",
        "react-redux",
        "react-router",
        "redux",
        "redux-thunk",
        "sass-loader",
        "source-map-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 46,
      "lastUpdatedAt": "2018-01-17T06:19:36Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/20664717?v=4"
    },
    {
      "githubPath": "browniefed/react-native-animation-book",
      "description": "A book talking about react-native animations, and walking you through from beginner to expert.",
      "homepage": "http://browniefed.com/react-native-animation-book/",
      "dependencies": [
        "gitbook-plugin-add-header",
        "gitbook-plugin-header",
        "gitbook-plugin-layout"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 533,
      "lastUpdatedAt": "2018-02-02T15:12:49Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1714673?v=4"
    },
    {
      "githubPath": "ryanatkn/ear-sharpener",
      "description": "a simple game for practicing pitch perception",
      "homepage": "https://ryanatkn.github.io/ear-sharpener",
      "dependencies": [
        "autoprefixer",
        "bluebird",
        "chai",
        "css-loader",
        "enzyme",
        "ignore-styles",
        "immutable",
        "lodash",
        "mocha",
        "normalize.css",
        "postcss-calc",
        "postcss-color-function",
        "postcss-import",
        "postcss-loader",
        "pre-commit",
        "precss",
        "react",
        "react-addons-shallow-compare",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-localstorage",
        "redux-thunk",
        "sinon",
        "style-loader",
        "ts-loader",
        "ts-node",
        "tslint",
        "tslint-config-strictish",
        "tslint-loader",
        "typescript",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 45,
      "lastUpdatedAt": "2018-01-18T14:19:05Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2608646?v=4"
    },
    {
      "githubPath": "sotojuan/saga-login-flow",
      "description": "A login/register flow built with React + Redux Saga",
      "homepage": "https://saga-login-flow.surge.sh/",
      "dependencies": [
        "autoprefixer",
        "ava",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "babel-runtime",
        "bcryptjs",
        "btoa",
        "css-loader",
        "html-webpack-plugin",
        "localStorage",
        "postcss-focus",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "postcss-simple-vars",
        "react",
        "react",
        "react-dom",
        "react-dom",
        "react-redux",
        "react-redux",
        "react-router",
        "redux",
        "redux-ava",
        "redux-logger",
        "redux-saga",
        "snazzy",
        "standard",
        "style-loader",
        "surge",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 656,
      "lastUpdatedAt": "2018-02-02T14:09:12Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/8217766?v=4"
    },
    {
      "githubPath": "JoseGonzalez321/react-mega-man-robot-masters",
      "description": "A React app listing the robot masters from the Mega Man series. It uses react-flip-move for real cool animations.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "classnames",
        "css-loader",
        "express",
        "lodash",
        "node-sass",
        "react",
        "react-dom",
        "react-dropdown",
        "react-flip-move",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 46,
      "lastUpdatedAt": "2018-01-08T20:42:03Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/12956262?v=4"
    },
    {
      "githubPath": "paulhoughton/mortgage-mobx",
      "description": "Mortgage overpayment calculator using React with MobX state tree and D3",
      "homepage": "http://paulhoughton.github.io/mortgage-mobx/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-env",
        "babel-preset-react",
        "css-loader",
        "d3-axis",
        "d3-scale",
        "d3-selection",
        "d3-shape",
        "mobx",
        "mobx-react",
        "mobx-state-tree",
        "node-sass",
        "react",
        "react-dom",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 62,
      "lastUpdatedAt": "2018-01-29T13:58:07Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13313159?v=4"
    },
    {
      "githubPath": "paulhoughton/fx",
      "description": "Exchange rates streamed over websockets for multiple frameworks - React Typescript, Angular, Vue.js, Web Components",
      "homepage": "https://fx.now.sh",
      "dependencies": [
        "@types/react",
        "@types/react-dom",
        "@types/socket.io-client",
        "express",
        "node-fetch",
        "rollup",
        "rollup-plugin-typescript",
        "socket.io",
        "typescript"
      ],
      "tags": [],
      "lastStarCount": 42,
      "lastUpdatedAt": "2018-01-31T20:07:43Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13313159?v=4"
    },
    {
      "githubPath": "joshwcomeau/panther",
      "description": "Discover artists through an infinite node graph",
      "homepage": "http://panther.audio",
      "dependencies": [
        "autoprefixer",
        "babel",
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-runtime",
        "body-parser",
        "chai",
        "chai-equal-jsx",
        "chai-immutable",
        "classnames",
        "css-loader",
        "express",
        "faker",
        "flightplan",
        "history",
        "immutable",
        "immutable-devtools",
        "json-loader",
        "lodash",
        "mocha",
        "moment",
        "nconf",
        "node-sass",
        "nodemon",
        "postcss-loader",
        "react",
        "react-activity",
        "react-addons-css-transition-group",
        "react-addons-perf",
        "react-addons-test-utils",
        "react-dom",
        "react-flip-move",
        "react-immutable-proptypes",
        "react-play-button",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-filter-actions",
        "redux-devtools-log-monitor",
        "redux-saga",
        "redux-thunk",
        "request",
        "reselect",
        "rethinkdb",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "style-loader",
        "supertest",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 684,
      "lastUpdatedAt": "2018-02-02T09:07:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/6692932?v=4"
    },
    {
      "githubPath": "thomasboyt/manygolf",
      "description": "massively multiplayer golfing",
      "homepage": "https://manygolf.club",
      "dependencies": [
        "@types/body-parser",
        "@types/classnames",
        "@types/cors",
        "@types/expect",
        "@types/express",
        "@types/lodash",
        "@types/mocha",
        "@types/qs",
        "@types/react",
        "@types/react-dom",
        "@types/react-redux",
        "@types/tinycolor2",
        "@types/twit",
        "@types/ws",
        "body-parser",
        "bufferutil",
        "classnames",
        "core-js",
        "cors",
        "css-loader",
        "dotenv",
        "dotenv",
        "eslint",
        "expect",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "glob",
        "html-webpack-plugin",
        "immutable",
        "json-loader",
        "less",
        "less-loader",
        "lodash",
        "mocha",
        "nodemon",
        "oauth",
        "p2",
        "pg-promise",
        "qs",
        "raf",
        "randomcolor",
        "raven",
        "raven-js",
        "react",
        "react-dom",
        "react-redux",
        "redux",
        "redux-thunk",
        "respawn",
        "source-map-support",
        "style-loader",
        "tinycolor2",
        "ts-loader",
        "twit",
        "typescript",
        "uws",
        "webpack",
        "webpack-create-vendor-chunk",
        "webpack-dev-server",
        "webpack-merge",
        "whatwg-fetch",
        "ws"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 87,
      "lastUpdatedAt": "2018-01-31T15:50:42Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/579628?v=4"
    },
    {
      "githubPath": "bbstilson/lymbus",
      "description": null,
      "homepage": null,
      "dependencies": [
        "axios",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-1",
        "d3",
        "express",
        "html-webpack-plugin",
        "radium",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-simple-loading",
        "redux",
        "redux-thunk",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "why-did-you-update"
      ],
      "tags": [],
      "lastStarCount": 19,
      "lastUpdatedAt": "2017-04-19T22:44:27Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/7949037?v=4"
    },
    {
      "githubPath": "JoelOtter/kajero",
      "description": "Interactive JavaScript notebooks with clever graphing",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "babelify",
        "browser-sync",
        "browserify",
        "chai",
        "clipboard",
        "coveralls",
        "envify",
        "fetch-mock",
        "font-awesome",
        "front-matter",
        "gulp",
        "gulp-jsx-coverage",
        "gulp-sass",
        "gulp-util",
        "highlight.js",
        "immutable",
        "jsdom",
        "jutsu",
        "markdown-it",
        "mocha",
        "mocha-jsdom",
        "query-string",
        "react",
        "react-codemirror",
        "react-dom",
        "react-redux",
        "redux",
        "redux-mock-store",
        "redux-thunk",
        "request",
        "reshaper",
        "sinon",
        "smolder",
        "uglifyify",
        "vinyl-source-stream",
        "watchify",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 1787,
      "lastUpdatedAt": "2018-01-29T15:17:55Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2765356?v=4"
    },
    {
      "githubPath": "michielvaneerd/courser",
      "description": "Learn words",
      "homepage": "https://michielvaneerd.github.io/courser/index.html",
      "dependencies": [
        "babel-cli",
        "babel-cli",
        "babel-preset-react"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 19,
      "lastUpdatedAt": "2018-01-25T02:18:13Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/375532?v=4"
    },
    {
      "githubPath": "lkazberova/react-photo-feed",
      "description": "Simple photo gallery and example app with responsive image grid, columns customizing, one-column view with description, fullscreen preview with one click. Pure CSS for that.",
      "homepage": "http://lkazberova.github.io/react-photo-feed/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "css-loader",
        "events",
        "extract-text-webpack-plugin",
        "flux",
        "jquery",
        "null-loader",
        "prop-types",
        "react",
        "react-dom",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 66,
      "lastUpdatedAt": "2017-12-04T14:51:48Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/13050551?v=4"
    },
    {
      "githubPath": "f0rr0/react-tunesdeck",
      "description": "Music feed in real time. ",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "cross-env",
        "css-loader",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "ip",
        "postcss-focus",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "postcss-simple-vars",
        "re-base",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-flip-move",
        "react-motion",
        "react-timeago",
        "style-loader",
        "surge",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 8,
      "lastUpdatedAt": "2017-10-24T10:50:58Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/8574219?v=4"
    },
    {
      "githubPath": "antoinejaussoin/retro-board",
      "description": "Retrospective Board",
      "homepage": "http://www.retrospected.com",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "chalk",
        "classnames",
        "cross-env",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "flag-icon-css",
        "history",
        "html-webpack-plugin",
        "immutability-helper",
        "jest",
        "json-loader",
        "local-storage",
        "lodash",
        "md5",
        "moment",
        "mongoose",
        "nedb",
        "node-emoji",
        "node-sass",
        "nodemon",
        "normalize.css",
        "postcss-loader",
        "prop-types",
        "react",
        "react-addons-css-transition-group",
        "react-addons-shallow-compare",
        "react-copy-to-clipboard",
        "react-dom",
        "react-ga",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-toolbox",
        "redux",
        "redux-actions",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "redux-saga",
        "redux-saga-testing",
        "redux-thunk",
        "reselect",
        "sass-loader",
        "shortid",
        "socket.io",
        "socket.io-client",
        "style-loader",
        "toolbox-loader",
        "url-loader",
        "uuid",
        "webpack",
        "webpack-bundle-size-analyzer",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 355,
      "lastUpdatedAt": "2018-02-02T17:13:47Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/110254?v=4"
    },
    {
      "githubPath": "fusenlabs/20v",
      "description": "An app to enjoy a music channel with your favorite videos",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-runtime",
        "core-js",
        "css-loader",
        "eslint",
        "eslint-config-rackt",
        "eslint-plugin-react",
        "exports-loader",
        "extract-text-webpack-plugin",
        "imports-loader",
        "node-sass",
        "react",
        "react-addons-css-transition-group",
        "react-autosuggest",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-youtube",
        "redux",
        "redux-thunk",
        "sass-loader",
        "spotify-sdk",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch",
        "youtube-client-wrapper"
      ],
      "tags": [],
      "lastStarCount": 73,
      "lastUpdatedAt": "2018-01-12T01:28:52Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/15962511?v=4"
    },
    {
      "githubPath": "browniefed/pdxlivebus",
      "description": "Realtime Trimet map. Live update of all active vehicles",
      "homepage": "http://pdxlivebus.com",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-display-name",
        "babel-plugin-react-transform",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-register",
        "babel-runtime",
        "chokidar",
        "classnames",
        "css-loader",
        "css-modules-require-hook",
        "eslint",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "leaflet",
        "lodash",
        "postcss",
        "postcss-loader",
        "postcss-modules-extract-imports",
        "postcss-modules-local-by-default",
        "postcss-modules-scope",
        "react",
        "react-dom",
        "react-leaflet",
        "react-native",
        "react-native-maps",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-thunk",
        "request",
        "socket.io-client",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 218,
      "lastUpdatedAt": "2018-02-01T15:58:33Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1714673?v=4"
    },
    {
      "githubPath": "rwieruch/favesound-redux",
      "description": "🎶 A SoundCloud Client in React + Redux running in production. Live Demo and Source Code to explore React + Redux as a beginner.",
      "homepage": "http://www.robinwieruch.de/the-soundcloud-client-in-react-redux/",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "chai",
        "chai-as-promised",
        "classnames",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "exports-loader",
        "imports-loader",
        "js-cookie",
        "jsdom",
        "lodash",
        "mocha",
        "moment",
        "node-sass",
        "normalizr",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-clipboard.js",
        "react-dom",
        "react-hot-loader",
        "react-rangeslider",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-test-renderer",
        "react-tooltip",
        "redux",
        "redux-logger",
        "redux-thunk",
        "rn-redux-mixpanel",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "soundcloud",
        "style-loader",
        "waveform.js",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 1092,
      "lastUpdatedAt": "2018-02-02T10:28:34Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2479967?v=4"
    },
    {
      "githubPath": "fbsamples/f8app",
      "description": "Source code of the official F8 app of 2017, powered by React Native and other Facebook open source projects.",
      "homepage": "http://makeitopen.com",
      "dependencies": [
        "babel-cli",
        "babel-eslint",
        "babel-jest",
        "babel-plugin-relay",
        "babel-preset-es2015",
        "babel-preset-react-native",
        "crc32",
        "eslint",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "flow-bin",
        "graphql",
        "graphql-relay",
        "husky",
        "idx",
        "jest",
        "moment-timezone",
        "parse",
        "prettier",
        "react",
        "react-native",
        "react-native-deprecated-custom-components",
        "react-native-fbsdk",
        "react-native-hyperlink",
        "react-native-keyboard-aware-scroll-view",
        "react-native-linear-gradient",
        "react-native-native-video-player",
        "react-native-photo-view",
        "react-native-push-notification",
        "react-native-tab-navigator",
        "react-redux",
        "react-relay",
        "react-test-renderer",
        "redux",
        "redux-logger",
        "redux-persist",
        "redux-thunk",
        "relay-compiler",
        "relay-runtime",
        "reselect",
        "xcode"
      ],
      "tags": [],
      "lastStarCount": 11603,
      "lastUpdatedAt": "2018-02-02T10:08:12Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1541324?v=4"
    },
    {
      "githubPath": "iamtekeste/noteme",
      "description": "OSX's Notes app clone for Ubuntu & Windows. :notebook: :sparkles:",
      "homepage": "",
      "dependencies": [
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-html-attrs",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "electron-contextmenu-middleware",
        "electron-debug",
        "electron-input-menu",
        "electron-packager",
        "electron-prebuilt",
        "pouchdb",
        "pouchdb-upsert",
        "react",
        "react-dom",
        "react-motion",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 45,
      "lastUpdatedAt": "2017-09-06T21:19:03Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1515815?v=4"
    },
    {
      "githubPath": "svrcekmichal/react-sketchpad",
      "description": "Sketch pad created with canvas",
      "homepage": null,
      "dependencies": [
        "babel-cli",
        "babel-eslint",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "react",
        "react-dom",
        "uuid"
      ],
      "tags": [],
      "lastStarCount": 117,
      "lastUpdatedAt": "2018-02-01T15:58:42Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/9148702?v=4"
    },
    {
      "githubPath": "crysislinux/chrome-react-perf",
      "description": "An Operation Interface for react-addons-perf Package",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-class-properties",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-2",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "isomorphic-fetch",
        "isomorphic-fetch",
        "jade",
        "jasmine",
        "react",
        "react-addons-perf",
        "react-dom",
        "react-redux",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "redux-thunk",
        "shelljs",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 536,
      "lastUpdatedAt": "2018-01-29T07:57:39Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5404597?v=4"
    },
    {
      "githubPath": "bigardone/phoenix-battleship",
      "description": "The Good Old game, built with Elixir, Phoenix, React and Redux",
      "homepage": "https://phoenix-battleship.herokuapp.com/",
      "dependencies": [
        "babel-brunch",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-2",
        "brunch",
        "classnames",
        "clean-css-brunch",
        "css-brunch",
        "history",
        "invariant",
        "javascript-brunch",
        "nib",
        "normalize.styl",
        "phoenix",
        "phoenix_html",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-logger",
        "redux-thunk",
        "stylus-brunch",
        "uglify-js-brunch"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 417,
      "lastUpdatedAt": "2018-01-27T21:50:07Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1090272?v=4"
    },
    {
      "githubPath": "mallison/repr",
      "description": "A companion to count out your reps at your desired cadence",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-syntax-class-properties",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "expect.js",
        "mocha",
        "react",
        "react-dom",
        "react-hot-loader",
        "superagent",
        "webpack",
        "webpack-bundle-tracker",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 6,
      "lastUpdatedAt": "2016-08-16T18:53:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/265952?v=4"
    },
    {
      "githubPath": "kirstywilliams/bmi-calc",
      "description": "Reactive BMI Calculator. React + Webpack + ES6",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "foundation",
        "node-sass",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 9,
      "lastUpdatedAt": "2017-09-28T08:49:40Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2313895?v=4"
    },
    {
      "githubPath": "zalmoxisus/social-expert",
      "description": "Master your GitHub notifications by priority and weight.",
      "homepage": "",
      "dependencies": [
        "auto-launch",
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "bootstrap",
        "chromedriver",
        "classnames",
        "co-mocha",
        "css-loader",
        "del",
        "electron-builder",
        "electron-debug",
        "electron-gh-releases",
        "electron-packager",
        "electron-positioner",
        "electron-prebuilt",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "expect",
        "extract-text-webpack-plugin",
        "fbjs",
        "fetch-link",
        "file-loader",
        "gulp",
        "gulp-jade",
        "gulp-less",
        "gulp-mocha",
        "gulp-rename",
        "gulp-util",
        "gulp-zip",
        "history",
        "immutable",
        "json-loader",
        "less",
        "material-design-icons",
        "mocha",
        "node-sass",
        "normalize.css",
        "normalizr",
        "postcss",
        "postcss-loader",
        "raw-loader",
        "react",
        "react-addons-css-transition-group",
        "react-addons-test-utils",
        "react-dnd",
        "react-dnd-touch-backend",
        "react-dom",
        "react-icons",
        "react-immutable-render-mixin",
        "react-redux",
        "react-redux-toastr",
        "react-router",
        "react-router-redux",
        "react-toolbox",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "react-virtualized",
        "redbox-react",
        "redux",
        "redux-immutable-state-invariant",
        "redux-logger",
        "redux-persist",
        "redux-saga",
        "reloading",
        "remote-redux-devtools",
        "require-dir",
        "roboto-fontface",
        "sass-loader",
        "selenium-webdriver",
        "style-loader",
        "toolbox-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 57,
      "lastUpdatedAt": "2017-12-26T10:42:46Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/7957859?v=4"
    },
    {
      "githubPath": "Jam3/fitc-react-spotlight",
      "description": "Some examples for the fitc-react-spotlight.",
      "homepage": "",
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "budo",
        "eases",
        "react",
        "react-dom",
        "react-f1",
        "react-f1-graph"
      ],
      "tags": [],
      "lastStarCount": 6,
      "lastUpdatedAt": "2017-04-03T16:06:03Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1165621?v=4"
    },
    {
      "githubPath": "Swizec/react-particles-experiment",
      "description": "An experiment to see if you can make a particle generator in redux+react+d3.",
      "homepage": "http://swizec.github.io/react-particles-experiment",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "cross-env",
        "css-loader",
        "d3",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "eventsource-polyfill",
        "express",
        "konva",
        "less",
        "less-loader",
        "lodash",
        "react",
        "react-addons-transition-group",
        "react-dom",
        "react-konva",
        "react-redux",
        "redux",
        "rimraf",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 146,
      "lastUpdatedAt": "2018-01-29T18:16:02Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/56883?v=4"
    },
    {
      "githubPath": "jshjohnson/NumberRush",
      "description": "A number based React game to help you learn German numbers! 🇩🇪",
      "homepage": "http://joshuajohnson.co.uk/NumberRush",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "classnames",
        "csso",
        "eslint",
        "eslint-plugin-react",
        "istanbul-instrumenter-loader",
        "jasmine-core",
        "karma",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-jasmine",
        "karma-phantomjs-launcher",
        "karma-spec-reporter",
        "karma-webpack",
        "lodash",
        "node-sass",
        "nodemon",
        "opn-cli",
        "phantomjs",
        "phantomjs-polyfill",
        "postcss-cli",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "webpack",
        "webpack-bundle-size-analyzer",
        "webpack-dev-server"
      ],
      "tags": [
        "game",
        "educational"
      ],
      "lastStarCount": 13,
      "lastUpdatedAt": "2017-08-07T08:10:38Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/3064889?v=4"
    },
    {
      "githubPath": "hoppula/refire-forum",
      "description": "Serverless discussion forum built with React, Redux and Firebase",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-2",
        "classnames",
        "color",
        "css-loader",
        "elemental",
        "emojilib",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "firebase-bolt",
        "firebase-tools",
        "highlight.js",
        "json-loader",
        "less",
        "less-loader",
        "lodash",
        "moment",
        "native-promise-only",
        "prefix-lite",
        "prop-types",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-icons",
        "react-markdown",
        "react-pure-render",
        "react-tap-event-plugin",
        "refire-app",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 123,
      "lastUpdatedAt": "2018-01-29T22:11:06Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1070425?v=4"
    },
    {
      "githubPath": "bu-ist/housing-available-units",
      "description": "Displays room availability for the Housing System Replacement project",
      "homepage": null,
      "dependencies": [
        "babelify",
        "grunt",
        "grunt-browserify",
        "grunt-contrib-watch",
        "load-grunt-tasks"
      ],
      "tags": [],
      "lastStarCount": 3,
      "lastUpdatedAt": "2017-12-16T13:48:44Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1503590?v=4"
    },
    {
      "githubPath": "thejameskyle/spectacle-code-slide",
      "description": ":metal: Present code with style",
      "homepage": "http://thejameskyle.com/spectacle-code-slide",
      "dependencies": [
        "babel-cli",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "component-raf",
        "component-tween",
        "lodash.clamp",
        "lodash.memoize",
        "lodash.padstart",
        "prop-types",
        "react",
        "react-dom",
        "spectacle"
      ],
      "tags": [],
      "lastStarCount": 3719,
      "lastUpdatedAt": "2018-02-02T10:25:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/952783?v=4"
    },
    {
      "githubPath": "sherubthakur/N-Puzzle",
      "description": "An app that let's you play the N-Puzzle game (Also has god mode).",
      "homepage": "http://sherubthakur.github.io/N-Puzzle",
      "dependencies": [
        "bootstrap",
        "eslint-plugin-flowtype",
        "flow-bin",
        "material-ui",
        "ramda",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-motion",
        "react-redux",
        "react-scripts",
        "react-tap-event-plugin",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-immutable-state-invariant"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 19,
      "lastUpdatedAt": "2017-10-15T15:33:14Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/10345612?v=4"
    },
    {
      "githubPath": "DevAlien/dripr-ui",
      "description": "dripr.io interface",
      "homepage": "https://dripr.io",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "bluebird",
        "body-parser",
        "classnames",
        "cookie",
        "cookie-session",
        "cross-env",
        "css-loader",
        "csurf",
        "elemental",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "filesize",
        "ga-react-router",
        "graceful-fs",
        "highlight.js",
        "history",
        "immutable",
        "isomorphic-fetch",
        "json-loader",
        "keymirror",
        "less",
        "less-loader",
        "lodash",
        "moment",
        "nodeify",
        "normalize.css",
        "null-loader",
        "purify-css",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-dropzone",
        "react-facebook-login",
        "react-facebook-login2",
        "react-h5-video",
        "react-helmet",
        "react-highlight",
        "react-player",
        "react-redirect",
        "react-redux",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-actions",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-promise",
        "redux-simple-router",
        "redux-thunk",
        "require-uncached",
        "serialize-javascript",
        "serve-static",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 66,
      "lastUpdatedAt": "2018-02-01T15:50:44Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/200319?v=4"
    },
    {
      "githubPath": "gre/gl-react-image-effects",
      "description": "[WIP] universal image app that uses different gl-react components",
      "homepage": "http://greweb.me/gl-react-image-effects/",
      "dependencies": [
        "babel-eslint",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "babelify",
        "browserify",
        "budo",
        "eslint",
        "eslint-plugin-react",
        "fbjs",
        "gl-react",
        "gl-react-blur",
        "gl-react-color-matrix",
        "gl-react-contrast-saturation-brightness",
        "gl-react-dom",
        "gl-react-hue-rotate",
        "gl-react-native",
        "gl-react-negative",
        "isomorphic-fetch",
        "react",
        "react-dom",
        "react-native",
        "react-native-image-picker",
        "react-native-material-kit"
      ],
      "tags": [],
      "lastStarCount": 200,
      "lastUpdatedAt": "2018-01-24T13:35:24Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/211411?v=4"
    },
    {
      "githubPath": "gre/reactjsconf2016",
      "description": "Example used in gl-react's talk at React.js conf 2016",
      "homepage": "http://greweb.me/reactjsconf2016",
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "babelify",
        "browserify",
        "budo",
        "gl-react",
        "gl-react-blur",
        "gl-react-dom",
        "gl-react-inspector",
        "glsl-fast-gaussian-blur",
        "glslify",
        "react",
        "react-canvas",
        "react-dom",
        "uglify-js",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2018-02-01T20:50:33Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/211411?v=4"
    },
    {
      "githubPath": "pl12133/react-solitaire",
      "description": "A game of Solitaire in React",
      "homepage": "http://pl12133.github.io/react-solitaire/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "css-modules-require-hook",
        "eslint",
        "eslint-config-semistandard",
        "eslint-config-standard",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "file-loader",
        "jsdom",
        "mocha",
        "node-sass",
        "postcss-modules-extract-imports",
        "postcss-modules-scope",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-tap-event-plugin",
        "react-tools",
        "redux",
        "redux-devtools",
        "redux-logger",
        "redux-thunk",
        "redux-undo",
        "sass",
        "sass-loader",
        "source-map",
        "style-loader",
        "unexpected",
        "unexpected-react",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 93,
      "lastUpdatedAt": "2018-01-26T08:53:36Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/12724311?v=4"
    },
    {
      "githubPath": "sztamas/mastermind",
      "description": "Mastermind classic game written in ReactJS, Redux and ImmutableJS",
      "homepage": null,
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "chai",
        "chai-immutable",
        "history",
        "immutable",
        "jsdom",
        "lodash",
        "mocha",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "redux",
        "redux-immutablejs",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 19,
      "lastUpdatedAt": "2018-01-08T21:53:12Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/973139?v=4"
    },
    {
      "githubPath": "bengladwell/reword",
      "description": "An experiment with emerging React solutions",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "chai",
        "connect-livereload",
        "css-modules-require-hook",
        "css-modulesify",
        "eslint-plugin-react",
        "express",
        "fbjs",
        "firebase",
        "firebase-tools",
        "gulp",
        "gulp-eslint",
        "gulp-livereload",
        "gulp-rename",
        "gulp-template",
        "gulp-uglify",
        "gulp-util",
        "jsdom",
        "lodash.debounce",
        "lodash.map",
        "material-ui",
        "merge-stream",
        "mocha",
        "nodemon",
        "normalize.css",
        "react",
        "react-addons-create-fragment",
        "react-addons-pure-render-mixin",
        "react-addons-test-utils",
        "react-addons-transition-group",
        "react-addons-update",
        "react-dnd",
        "react-dnd-html5-backend",
        "react-dom",
        "react-redux",
        "react-router",
        "react-tap-event-plugin",
        "redux",
        "serve-static",
        "sinon",
        "underscore",
        "vinyl-buffer",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 7,
      "lastUpdatedAt": "2017-08-11T17:37:07Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/686913?v=4"
    },
    {
      "githubPath": "kentcdodds/repeat-todo",
      "description": "A simple app I made for my wife",
      "homepage": "https://repeat-todo.surge.sh",
      "dependencies": [
        "an-uuid",
        "cpy-cli",
        "eslint",
        "eslint-config-kentcdodds",
        "eslint-plugin-react",
        "http-server",
        "npm-run-all",
        "quik",
        "react-motion",
        "rimraf",
        "surge"
      ],
      "tags": [
        "todo"
      ],
      "lastStarCount": 50,
      "lastUpdatedAt": "2018-01-02T12:58:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1500684?v=4"
    },
    {
      "githubPath": "pbeshai/linked-highlighting-react-vega-redux",
      "description": "Example of doing linked highlighting with React, Vega, and Redux",
      "homepage": "http://pbeshai.github.io/linked-highlighting-react-vega-redux/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-runtime",
        "browserify-versionify",
        "classnames",
        "copy-webpack-plugin",
        "express",
        "jstransform",
        "react",
        "react-addons-pure-render-mixin",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "style-loader",
        "through",
        "transform-loader",
        "vega",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 32,
      "lastUpdatedAt": "2017-09-22T07:48:46Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/793847?v=4"
    },
    {
      "githubPath": "studentinsights/studentinsights",
      "description": "Student Insights for Somerville educators",
      "homepage": "https://somerville-teacher-tool-demo.herokuapp.com/",
      "dependencies": [
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-preset-react",
        "babel-preset-react-app",
        "babel-runtime",
        "clean-webpack-plugin",
        "compression-webpack-plugin",
        "concurrently",
        "d3",
        "es5-shim",
        "eslint",
        "eslint-plugin-react",
        "highcharts",
        "jest",
        "jquery",
        "js-cookie",
        "lodash",
        "moment",
        "object-assign",
        "promise-polyfill",
        "rc-slider",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-modal",
        "react-router-dom",
        "react-test-renderer",
        "script-loader",
        "webpack",
        "webpack-manifest-plugin",
        "webpack-merge",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 84,
      "lastUpdatedAt": "2018-01-27T19:01:37Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/17129837?v=4"
    },
    {
      "githubPath": "haack/tallyapp",
      "description": "Real-time polling with React.js and Firebase",
      "homepage": "",
      "dependencies": [
        "babelify",
        "browser-sync",
        "browserify",
        "browserify-shim",
        "classnames",
        "connect-history-api-fallback",
        "del",
        "gulp",
        "gulp-autoprefixer",
        "gulp-bower",
        "gulp-cache",
        "gulp-imagemin",
        "gulp-jshint",
        "gulp-load-plugins",
        "gulp-ruby-sass",
        "gulp-size",
        "gulp-strip-debug",
        "gulp-uglify",
        "gulp-useref",
        "gulp-util",
        "gulp-webserver",
        "history",
        "lodash",
        "main-bower-files",
        "moment",
        "react",
        "react-dom",
        "react-router",
        "react-tools",
        "reactify",
        "strip-debug",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 48,
      "lastUpdatedAt": "2017-12-05T20:27:33Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/5631627?v=4"
    },
    {
      "githubPath": "keyanzhang/repo.cat",
      "description": ":cat: Trending GitHub repos on Hacker News.",
      "homepage": "https://repo-cat.herokuapp.com",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "classnames",
        "compression",
        "coveralls",
        "css-loader",
        "css-modules-require-hook",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "expect",
        "express",
        "fbjs",
        "fetch-xhr",
        "file-loader",
        "firebase",
        "github-markdown-css",
        "immutable",
        "invariant",
        "ip",
        "js-base64",
        "jsdom",
        "keypress",
        "marked",
        "mocha",
        "moment",
        "normalize.css",
        "nyc",
        "open",
        "postcss-loader",
        "postcss-modules-extract-imports",
        "postcss-modules-local-by-default",
        "postcss-modules-scope",
        "postcss-modules-values",
        "react",
        "react-addons-pure-render-mixin",
        "react-addons-test-utils",
        "react-dom",
        "react-immutable-proptypes",
        "react-motion",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-tap-event-plugin",
        "redux",
        "redux-logger",
        "redux-thunk",
        "redux-worker-middleware",
        "rimraf",
        "rollbar",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "worker-loader"
      ],
      "tags": [],
      "lastStarCount": 85,
      "lastUpdatedAt": "2018-01-10T11:55:53Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2268452?v=4"
    },
    {
      "githubPath": "keyanzhang/react-atv-img",
      "description": "A port of @drewwilson’s atvImg (Apple TV 3D parallax effect) library in React.",
      "homepage": "http://keyanzhang.github.io/react-atv-img",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "expect",
        "express",
        "mocha",
        "react",
        "react-dom",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "rimraf",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 250,
      "lastUpdatedAt": "2018-02-02T02:08:09Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2268452?v=4"
    },
    {
      "githubPath": "Charca/reactjs-conf-2016",
      "description": "React.js Conf 2016 React Native App",
      "homepage": null,
      "dependencies": [
        "@exponent/react-native-link",
        "moment",
        "react-native",
        "react-native-infinite-scroll-view",
        "react-native-parsed-text",
        "react-native-refreshable-listview",
        "react-native-scrollable-tab-view",
        "react-native-tab-navigator",
        "react-native-url-handler"
      ],
      "tags": [],
      "lastStarCount": 122,
      "lastUpdatedAt": "2018-01-10T00:08:55Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/44473?v=4"
    },
    {
      "githubPath": "istarkov/google-map-clustering-example",
      "description": "clustering example for google-map-react",
      "homepage": "http://istarkov.github.io/google-map-clustering-example/",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-eslint",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "file-loader",
        "google-map-react",
        "kotatsu",
        "node-sass",
        "normalize.css",
        "points-cluster",
        "postcss-loader",
        "react",
        "react-dom",
        "react-motion",
        "recompose",
        "sass-loader",
        "style-loader",
        "url-loader"
      ],
      "tags": [],
      "lastStarCount": 148,
      "lastUpdatedAt": "2018-01-31T05:46:56Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5077042?v=4"
    },
    {
      "githubPath": "holderdeord/hdo-enighet",
      "description": "Visualize party agreement in the Norwegian parliament.",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babelify",
        "classnames",
        "css-loader",
        "d3",
        "eslint",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "font-awesome",
        "hdo-bootstrap",
        "highcharts",
        "isomorphic-fetch",
        "lodash.groupby",
        "moment",
        "node-sass",
        "path",
        "postcss",
        "postcss-loader",
        "precss",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-motion",
        "react-select",
        "react-spinkit",
        "request",
        "sass-loader",
        "style-loader",
        "url-loader",
        "watchify",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 13,
      "lastUpdatedAt": "2017-08-14T12:25:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1620877?v=4"
    },
    {
      "githubPath": "bgrsquared/places",
      "description": "Looking into names of places ( http://bgrsquared.com/places/ ), based on Moritz Stefaner's http://truth-and-beauty.net/experiments/ach-ingen-zell/",
      "homepage": "http://bgrsquared.com/places/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "bootstrap",
        "colortape",
        "css-loader",
        "d3-geo",
        "d3-hexbin",
        "d3-scale",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "faucet",
        "file-loader",
        "font-awesome",
        "history",
        "isomorphic-fetch",
        "isparta",
        "node-sass",
        "query-string",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "redux",
        "redux-devtools",
        "redux-thunk",
        "rewire",
        "sass-loader",
        "style-loader",
        "tape",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 37,
      "lastUpdatedAt": "2017-11-12T21:25:44Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/12017522?v=4"
    },
    {
      "githubPath": "caspg/simple-data-table-map",
      "description": "Editable :earth_americas: data-map (React + Redux).  http://caspg.github.io/simple-data-table-map/",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "d3",
        "datamaps",
        "node-sass",
        "object-assign",
        "react",
        "react-dom",
        "react-redux",
        "react-select",
        "redux",
        "sass-loader",
        "style-loader",
        "topojson",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 72,
      "lastUpdatedAt": "2017-12-18T19:31:49Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/10419439?v=4"
    },
    {
      "githubPath": "panayi/calculator",
      "description": "A calculator built with React, Redux and Ramda",
      "homepage": "http://panayi.github.io/calculator/",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-syntax-flow",
        "babel-plugin-transform-runtime",
        "babel-plugin-typecheck",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "better-npm-run",
        "chai",
        "chai-as-promised",
        "classnames",
        "css-loader",
        "cssnano",
        "debug",
        "dotenv",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "git-rev-sync",
        "gulp",
        "gulp-connect",
        "gulp-gh-pages",
        "history",
        "html-webpack-plugin",
        "isparta-loader",
        "json-loader",
        "karma",
        "karma-chai",
        "karma-chai-as-promised",
        "karma-chai-sinon",
        "karma-coverage",
        "karma-jquery",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-spec-reporter",
        "karma-webpack",
        "koa",
        "koa-connect-history-api-fallback",
        "koa-convert",
        "koa-static",
        "mathjs",
        "mocha",
        "node-sass",
        "nodemon",
        "normalize.css",
        "phantomjs",
        "phantomjs-polyfill",
        "postcss-loader",
        "radium",
        "ramda",
        "react",
        "react-addons-perf",
        "react-addons-test-utils",
        "react-dom",
        "react-octicon",
        "react-redux",
        "react-router",
        "redux",
        "redux-actions",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-mock-store",
        "redux-simple-router",
        "reselect",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "style-loader",
        "tinycolor2",
        "url",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "yargs"
      ],
      "tags": [],
      "lastStarCount": 34,
      "lastUpdatedAt": "2017-11-27T10:58:34Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/707005?v=4"
    },
    {
      "githubPath": "DanialK/react-redux-sudoku",
      "description": "Source code of my blog post at: http://danialk.github.io/blog/2016/01/15/sudoku-written-using-es6-react-redux/",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "lodash",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-hot-loader",
        "redux",
        "redux-thunk",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 33,
      "lastUpdatedAt": "2017-12-19T02:49:43Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2878450?v=4"
    },
    {
      "githubPath": "r-park/todo-react-redux",
      "description": "Todo app with Create-React-App • React-Redux • Firebase • OAuth",
      "homepage": "https://todo-react-redux.firebaseapp.com",
      "dependencies": [
        "classnames",
        "cross-env",
        "enzyme",
        "firebase",
        "firebase-tools",
        "history",
        "immutable",
        "minx",
        "node-sass-chokidar",
        "npm-run-all",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-router-redux",
        "react-scripts",
        "react-test-renderer",
        "redux",
        "redux-thunk",
        "reselect",
        "sinon"
      ],
      "tags": [
        "todo"
      ],
      "lastStarCount": 753,
      "lastUpdatedAt": "2018-02-02T05:06:09Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/6252638?v=4"
    },
    {
      "githubPath": "romseguy/redux-store-visualizer",
      "description": "Visualize Redux store in real time",
      "homepage": "http://romseguy.github.io/redux-store-visualizer",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-react",
        "classnames",
        "expect",
        "express",
        "jsdom",
        "mocha",
        "node-libs-browser",
        "raw-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-devtools",
        "redux-devtools-chart-monitor",
        "redux-devtools-dock-monitor",
        "style-loader",
        "todomvc-app-css",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 319,
      "lastUpdatedAt": "2018-01-14T18:48:18Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/109238?v=4"
    },
    {
      "githubPath": "Paqmind/react-ultimate",
      "description": "React Ultimate Example",
      "homepage": "http://ultimate.paqmind.com",
      "dependencies": [
        "assert",
        "axios",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-object-assign",
        "babel-plugin-transform-object-rest-spread",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-latest",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-1",
        "babel-preset-stage-2",
        "babel-preset-stage-3",
        "babel-register",
        "babel-register-cli",
        "baobab",
        "baobab-react",
        "body-parser",
        "bootstrap",
        "bootstrap-ext",
        "chai",
        "classnames",
        "cldr-data",
        "compression",
        "cookie-parser",
        "css-loader",
        "deep-merge",
        "emailjs",
        "eslint",
        "event-stream",
        "express",
        "extract-text-webpack-plugin",
        "faker",
        "file-loader",
        "flat",
        "font-awesome",
        "glob",
        "html-loader",
        "js-base64",
        "json-loader",
        "json5",
        "json5-loader",
        "less",
        "less-loader",
        "lodash.debounce",
        "lodash.throttle",
        "marked",
        "mkdirp",
        "mocha",
        "moment",
        "morgan",
        "nodemon",
        "nunjucks",
        "paqmind.data-lens",
        "paqmind.tcomb-lens",
        "postcss-loader",
        "ramda",
        "raw-loader",
        "react",
        "react-addons-css-transition-group",
        "react-addons-test-utils",
        "react-document-title",
        "react-dom",
        "react-hot-loader",
        "react-proxy-loader",
        "react-router",
        "react-transition-group",
        "readable-stream",
        "style-loader",
        "tcomb",
        "tcomb-validation",
        "url-loader",
        "util",
        "uuid",
        "webpack",
        "webpack",
        "webpack-dev-server",
        "winston",
        "winston-mail",
        "yargs"
      ],
      "tags": [],
      "lastStarCount": 251,
      "lastUpdatedAt": "2018-02-01T20:45:38Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/7632274?v=4"
    },
    {
      "githubPath": "pbeshai/react-basic-vis-examples",
      "description": "A few basic visualization examples that build on each other, using React and D3.js. ",
      "homepage": "http://pbeshai.github.io/react-basic-vis-examples/",
      "dependencies": [
        "babel",
        "babel-loader",
        "css-loader",
        "d3",
        "grunt",
        "grunt-contrib-clean",
        "grunt-contrib-connect",
        "grunt-contrib-copy",
        "grunt-open",
        "grunt-webpack",
        "jshint-loader",
        "jsxhint-loader",
        "load-grunt-tasks",
        "normalize.css",
        "react",
        "react-addons-pure-render-mixin",
        "react-auto-width",
        "react-dom",
        "react-hot-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 27,
      "lastUpdatedAt": "2018-01-12T14:42:15Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/793847?v=4"
    },
    {
      "githubPath": "cheeaun/steepless",
      "description": "An app to find the flattest routes and avoid the hilliest routes",
      "homepage": "http://cheeaun.github.io/steepless/",
      "dependencies": [
        "gulp",
        "gulp-react",
        "gulp-watch",
        "gulp-webserver"
      ],
      "tags": [],
      "lastStarCount": 64,
      "lastUpdatedAt": "2017-11-09T03:27:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2296?v=4"
    },
    {
      "githubPath": "jvalen/pixel-art-react",
      "description": "Pixel art animation and drawing web app powered by ReactJS",
      "homepage": "https://www.pixelartcss.com/",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "babel-runtime",
        "body-parser",
        "chai",
        "chai-immutable",
        "cookie-parser",
        "copy-webpack-plugin",
        "cors",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "express-session",
        "extract-text-webpack-plugin",
        "file-loader",
        "gm",
        "html-webpack-plugin",
        "immutable",
        "js-cookie",
        "jsdom",
        "lost",
        "mocha",
        "node-localstorage",
        "oauth",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "precss",
        "pug",
        "radium",
        "react",
        "react-addons-pure-render-mixin",
        "react-addons-shallow-compare",
        "react-color",
        "react-cookie-banner",
        "react-custom-scrollbars",
        "react-dom",
        "react-hot-loader",
        "react-modal",
        "react-redux",
        "react-transform-hmr",
        "react-transition-group",
        "redux",
        "redux-undo",
        "shortid",
        "style-loader",
        "stylelint",
        "stylelint-config-lost",
        "stylelint-config-standard",
        "temp",
        "twitter",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 389,
      "lastUpdatedAt": "2018-02-02T17:22:10Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/4639830?v=4"
    },
    {
      "githubPath": "mxstbr/login-flow",
      "description": ":key: A login/register flow built with React&Redux",
      "homepage": "https://loginflow.mxstbr.com",
      "dependencies": [
        "appcache-webpack-plugin",
        "autoprefixer",
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "bcryptjs",
        "css-loader",
        "cssnano",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "file-loader",
        "fontfaceobserver",
        "html-webpack-plugin",
        "json-loader",
        "object.assign",
        "postcss-focus",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "postcss-simple-vars",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-transform-hmr",
        "redux",
        "redux-thunk",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 1384,
      "lastUpdatedAt": "2018-02-01T16:02:00Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/7525670?v=4"
    },
    {
      "githubPath": "nuclearspike/kivalensjs",
      "description": "KivaLens reworked as a ReactJS App",
      "homepage": null,
      "dependencies": [
        "airbrake",
        "cluster-hub",
        "compression",
        "datejs",
        "ejs",
        "express",
        "express-graphql",
        "express-http-proxy",
        "express-ipfilter",
        "extend",
        "graphql",
        "helmet",
        "jquery-deferred",
        "linqjs",
        "memwatch-next",
        "mime-types",
        "newrelic",
        "node-cloud-vision-api",
        "redis",
        "rss",
        "semaphore",
        "serve-static",
        "socket.io-client",
        "vhost",
        "webworker-threads",
        "xhr2"
      ],
      "tags": [],
      "lastStarCount": 35,
      "lastUpdatedAt": "2017-11-29T16:15:21Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1151638?v=4"
    },
    {
      "githubPath": "tommikaikkonen/redux-orm-primer",
      "description": "A guide to creating a simple todo app with Redux-ORM",
      "homepage": "",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "bluebird",
        "chai",
        "clean-webpack-plugin",
        "factory-girl",
        "gulp",
        "gulp-gh-pages",
        "html-webpack-plugin",
        "lodash",
        "mocha",
        "react",
        "react-dom",
        "react-pure-render",
        "react-redux",
        "redux",
        "redux-diff-logger",
        "redux-logger",
        "redux-orm",
        "redux-orm-proptypes",
        "reselect",
        "webpack",
        "webpack-dev-server",
        "webpack-merge"
      ],
      "tags": [],
      "lastStarCount": 120,
      "lastUpdatedAt": "2018-02-02T00:21:40Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2487359?v=4"
    },
    {
      "githubPath": "FH-Potsdam/shifted-maps",
      "description": "Shifted Maps visualizes personal movement data as a network of map extracts showing visited places.",
      "homepage": "http://shifted-maps.com",
      "dependencies": [
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "cacheman",
        "cacheman-mongo",
        "classnames",
        "common-errors",
        "connect-mongo",
        "cookie-parser",
        "d3",
        "eventemitter3",
        "express",
        "express-session",
        "geolib",
        "gulp",
        "gulp-compass",
        "gulp-live-server",
        "gulp-nodemon",
        "gulp-sourcemaps",
        "gulp-uglify",
        "gulp-util",
        "helmet",
        "html5shiv",
        "immutable",
        "inherits",
        "jade",
        "limiter",
        "lodash",
        "moment",
        "mongoose",
        "mongoose-autopopulate",
        "mout",
        "oboe",
        "passport",
        "passport-oauth2",
        "promise",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "react-redux",
        "reactify",
        "redux",
        "redux-logger",
        "redux-thunk",
        "request",
        "reselect",
        "sphericalmercator",
        "turf-distance",
        "turf-point",
        "velocity-react",
        "vinyl-buffer",
        "vinyl-source-stream"
      ],
      "tags": [],
      "lastStarCount": 50,
      "lastUpdatedAt": "2018-01-24T09:37:45Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2655713?v=4"
    },
    {
      "githubPath": "andreynering/sudoku",
      "description": "Simple sudoku web game made with ReactJS and Redux.",
      "homepage": "https://sudoku.js.org",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "jsx-loader",
        "lodash.chunk",
        "lodash.clonedeep",
        "react",
        "react-dom",
        "react-router",
        "redux",
        "webpack"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 51,
      "lastUpdatedAt": "2018-01-30T12:07:01Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/7011819?v=4"
    },
    {
      "githubPath": "sonnylazuardi/react-komik",
      "description": ":speech_balloon: ReactJS based comic strip creator using fabric.js canvas rendering",
      "homepage": "http://reactkomik.jscomic.net/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "fabric-webpack",
        "html-webpack-plugin",
        "object-assign",
        "react",
        "react-dom",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 194,
      "lastUpdatedAt": "2018-01-31T13:20:21Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/856609?v=4"
    },
    {
      "githubPath": "wclittle/Rails5-ActionCable-Redux-React-ChatAppExample",
      "description": "A Rails5, ActionCable, Redux/React ChatApp Example, now with Webpack/HMR for rapid development",
      "homepage": "",
      "dependencies": [
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babelify",
        "bourbon-neat",
        "browserify",
        "browserify-incremental",
        "css-loader",
        "file-loader",
        "image-webpack-loader",
        "node-bourbon",
        "node-neat",
        "node-sass",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 193,
      "lastUpdatedAt": "2018-01-17T12:39:51Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1179507?v=4"
    },
    {
      "githubPath": "rexxars/markdown-editor",
      "description": "Simple markdown editor with live preview, using react-markdown",
      "homepage": "http://rexxars.github.io/markdown-editor/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-react",
        "eslint",
        "eslint-config-vaffel",
        "eslint-plugin-react",
        "json-loader",
        "lodash.debounce",
        "react",
        "react-dom",
        "react-markdown",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 14,
      "lastUpdatedAt": "2018-01-29T14:26:51Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/48200?v=4"
    },
    {
      "githubPath": "ddewaele/web-gpio-react",
      "description": "Frontend for IoT prototyping boards (UDOO / Raspberry PI / ....)",
      "homepage": "http://ddewaele.github.io/web-gpio-react",
      "dependencies": [
        "async",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "body-parser",
        "classnames",
        "css-loader",
        "eslint-loader",
        "expect",
        "express",
        "express",
        "file-loader",
        "html-webpack-plugin",
        "jquery",
        "jsdom",
        "mocha",
        "node-libs-browser",
        "raw-loader",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dnd",
        "react-dom",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-thunk",
        "style-loader",
        "tapable",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 7,
      "lastUpdatedAt": "2017-06-24T04:39:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/364310?v=4"
    },
    {
      "githubPath": "inakianduaga/redux-state-history",
      "description": "Redux store enhancers for tracking and visualizing state changes",
      "homepage": "http://inakianduaga.github.io/redux-state-history-example/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "extend",
        "jsondiffpatch",
        "react-dropzone",
        "rimraf",
        "ts-loader",
        "tsd",
        "tslint",
        "tslint-loader",
        "typescript",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 82,
      "lastUpdatedAt": "2018-01-10T14:43:20Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/4490289?v=4"
    },
    {
      "githubPath": "getguesstimate/guesstimate-app",
      "description": "Create Fermi Estimates and Perform Monte Carlo Estimates",
      "homepage": "http://getguesstimate.com/",
      "dependencies": [
        "algoliasearch",
        "ampersand-app",
        "ampersand-router",
        "angle-between-points",
        "async",
        "auth0-lock",
        "autoprefixer",
        "autoprefixer-stylus",
        "babel",
        "babel-core",
        "babel-loader",
        "body-parser",
        "brfs",
        "chai",
        "chargebee",
        "css-loader",
        "cuid",
        "d3",
        "discrete-sampling",
        "draft-js",
        "ejs-compiled-loader",
        "enzyme",
        "everpolate",
        "expect",
        "extract-text-webpack-plugin",
        "file-loader",
        "financejs",
        "find-root",
        "flexboxgrid",
        "font-awesome",
        "form-serialize",
        "gen-uid",
        "ionicons",
        "jquery",
        "json-loader",
        "jstat",
        "jsx-loader",
        "karma",
        "karma-chai",
        "karma-chai-plugins",
        "karma-chrome-launcher",
        "karma-cli",
        "karma-mocha",
        "karma-sourcemap-loader",
        "karma-webpack",
        "local-links",
        "lodash",
        "lodash.assign",
        "lodash.defaults",
        "mathjs",
        "mocha",
        "moment",
        "nock",
        "node-uuid",
        "null-loader",
        "numeral",
        "packageify",
        "postcss-import",
        "postcss-loader",
        "precss",
        "qs",
        "raven-js",
        "react",
        "react-addons-css-transition-group",
        "react-addons-perf",
        "react-addons-pure-render-mixin",
        "react-addons-test-utils",
        "react-d3-components",
        "react-dd-menu",
        "react-dnd",
        "react-dnd-html5-backend",
        "react-dom",
        "react-dom",
        "react-fa",
        "react-helmet",
        "react-hot-loader",
        "react-json-tree",
        "react-keypress",
        "react-markdown",
        "react-modal",
        "react-redux",
        "react-share",
        "react-sortable",
        "react-tooltip",
        "redux",
        "redux-crud",
        "redux-devtools",
        "redux-saga",
        "redux-thunk",
        "remove-markdown",
        "reselect",
        "rimraf",
        "seamless-immutable",
        "standard",
        "style-loader",
        "surge",
        "transform-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "worker-loader",
        "xhr",
        "yaml-loader"
      ],
      "tags": [],
      "lastStarCount": 1865,
      "lastUpdatedAt": "2018-02-01T23:30:51Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/13894028?v=4"
    },
    {
      "githubPath": "RSpace/aframe-meetup-example",
      "description": "Simple example of building a virtual reality scene using A-Frame, React, Redux and data from Meetup",
      "homepage": null,
      "dependencies": [
        "aframe",
        "aframe-react",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "classnames",
        "css-loader",
        "fetch-jsonp",
        "ghpages",
        "immutable",
        "json-loader",
        "node-sass",
        "react",
        "react-dom",
        "react-redux",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 87,
      "lastUpdatedAt": "2017-12-21T07:32:03Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5872?v=4"
    },
    {
      "githubPath": "ostera/tldr.jsx",
      "description": ":books: A Reactive web client for tldr-pages",
      "homepage": "https://tldr.ostera.io",
      "dependencies": [
        "babel-eslint",
        "babel-plugin-transform-flow-strip-types",
        "babel-plugin-transform-function-bind",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-1",
        "babel-preset-stage-2",
        "babel-preset-stage-3",
        "babel-runtime",
        "babelify",
        "base-64",
        "browserify",
        "envify",
        "eslint",
        "eslint-plugin-react",
        "exorcist",
        "flow-bin",
        "history",
        "jest-cli",
        "marked",
        "mixpanel-browser",
        "node-sass",
        "query-string",
        "react",
        "react-dom",
        "reactify",
        "rxjs",
        "static-server",
        "uglify-js"
      ],
      "tags": [],
      "lastStarCount": 636,
      "lastUpdatedAt": "2018-02-02T14:35:13Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/854222?v=4"
    },
    {
      "githubPath": "sonnylazuardi/bible-redux",
      "description": ":book: Beautiful open bible app built with Redux, ReactJS, ES2015",
      "homepage": "http://bible.sonnylab.com/",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "chai",
        "chai-as-promised",
        "connect-history-api-fallback",
        "css-loader",
        "cssnano",
        "debug",
        "dotenv",
        "eslint",
        "eslint-config-standard",
        "eslint-config-standard-react",
        "eslint-loader",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "history",
        "html-webpack-plugin",
        "isomorphic-fetch",
        "isparta-loader",
        "json-loader",
        "karma",
        "karma-chai",
        "karma-chai-as-promised",
        "karma-chai-sinon",
        "karma-coverage",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-spec-reporter",
        "karma-webpack",
        "mocha",
        "node-sass",
        "phantomjs",
        "phantomjs-polyfill",
        "postcss-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-router",
        "redux",
        "redux-actions",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-simple-router",
        "redux-thunk",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "style-loader",
        "underscore",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "yargs"
      ],
      "tags": [],
      "lastStarCount": 18,
      "lastUpdatedAt": "2017-06-14T02:41:00Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/856609?v=4"
    },
    {
      "githubPath": "madshargreave/gitchecker",
      "description": "GitChecker is an open source tool which aggregates statistics about Github projects",
      "homepage": "http://www.gitchecker.com/",
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-1",
        "copy-webpack-plugin",
        "css-loader",
        "d3",
        "expose-loader",
        "extract-text-webpack-plugin",
        "github-url-parse",
        "jquery",
        "lodash",
        "mathjs",
        "moment",
        "node-sass",
        "normalize",
        "normalize.scss",
        "postcss-color-rebeccapurple",
        "postcss-import",
        "postcss-loader",
        "q",
        "react",
        "react-d3",
        "react-document-title",
        "react-dom",
        "react-modal",
        "react-redux",
        "react-router",
        "react-semantify",
        "react-transform-hmr",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "redux-router",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 69,
      "lastUpdatedAt": "2017-04-30T09:43:47Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5479890?v=4"
    },
    {
      "githubPath": "saschwarz/react-svgpathplayer",
      "description": "A ReactJS player component for animating and stepping through SVG paths.",
      "homepage": "http://saschwarz.github.io/react-svgpathplayer/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "chai",
        "chai-spies",
        "classnames",
        "clean-webpack-plugin",
        "codecov.io",
        "commitizen",
        "conventional-changelog",
        "css-loader",
        "cz-conventional-changelog",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "gh-pages",
        "git-prepush-hook",
        "highlight.js",
        "html-webpack-plugin",
        "imports-loader",
        "isparta-loader",
        "json-loader",
        "karma",
        "karma-chai",
        "karma-coverage",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-sourcemap-loader",
        "karma-spec-reporter",
        "karma-webpack",
        "lodash",
        "marked",
        "mocha",
        "node-sass",
        "phantomjs",
        "phantomjs-polyfill",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-ghfork",
        "react-hot-loader",
        "react-transform-hmr",
        "sass-loader",
        "semantic-release",
        "sinon",
        "sinon-chai",
        "snapsvg",
        "style-loader",
        "sync-exec",
        "system-bell-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-merge",
        "write-version-to-package-json"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2017-09-21T09:37:30Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/184171?v=4"
    },
    {
      "githubPath": "enjalot/blockbuilder",
      "description": "Create, fork and edit d3.js code snippets for use with bl.ocks.org right in the browser, no terminal required.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "blockbuilder-search",
        "body-parser",
        "bragi-browser",
        "codemirror-inlet",
        "compression",
        "connect-redis",
        "cookie-parser",
        "css-loader",
        "eslint",
        "eslint-config-standard",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "express",
        "express-handlebars",
        "express-session",
        "extract-text-webpack-plugin",
        "install",
        "magic-sandbox",
        "mongodb",
        "nconf",
        "node-sass",
        "passport",
        "passport-github",
        "react",
        "react-dom",
        "react-modal",
        "react-router",
        "react-select",
        "react-tools",
        "react-tooltip",
        "redis",
        "reflux",
        "request",
        "sass",
        "sass-loader",
        "superagent",
        "webpack",
        "wrappy"
      ],
      "tags": [],
      "lastStarCount": 218,
      "lastUpdatedAt": "2018-02-01T21:54:51Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/96189?v=4"
    },
    {
      "githubPath": "rolyatmax/copland",
      "description": "A music making experiment with React+Redux",
      "homepage": "https://tbaldw.in/copland",
      "dependencies": [
        "babel-eslint",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "encode-object",
        "eslint",
        "eslint-plugin-react",
        "howler",
        "keymirror",
        "left-pad",
        "markdownify",
        "react",
        "react-dom",
        "react-redux",
        "redux",
        "redux-logger",
        "underscore",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 23,
      "lastUpdatedAt": "2017-11-18T12:50:28Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2099249?v=4"
    },
    {
      "githubPath": "davisml/ReactPreview",
      "description": "ReactJS view for previewing media URLs",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "bootstrap-styl",
        "browserify",
        "chalk",
        "connect-livereload",
        "express",
        "grunt",
        "grunt-contrib-stylus",
        "gulp",
        "gulp-babel",
        "gulp-jade",
        "gulp-rename",
        "gulp-sourcemaps",
        "gulp-stylus",
        "gulp-uglify",
        "gulp-util",
        "gutil",
        "mime",
        "nib",
        "react",
        "react-dom",
        "stylus",
        "tiny-lr",
        "utils-merge",
        "vinyl-buffer",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2018-01-09T20:47:04Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/53096?v=4"
    },
    {
      "githubPath": "danjac/podbaby",
      "description": "Personal podcast web client",
      "homepage": null,
      "dependencies": [
        "axios",
        "babel",
        "babel-cli",
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "bootstrap",
        "bootswatch",
        "chai",
        "classnames",
        "css-loader",
        "enzyme",
        "es6-promise",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "history",
        "jsdom",
        "jsdom-global",
        "json-loader",
        "lodash",
        "md5",
        "mobile-detect",
        "mocha",
        "mocha-babel",
        "moment",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-document-title",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "redux",
        "redux-form",
        "redux-logger",
        "redux-simple-router",
        "redux-thunk",
        "reselect",
        "sanitize-html",
        "sinon",
        "sinon-chai",
        "style-loader",
        "uglifyjs",
        "url-loader",
        "validator",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 96,
      "lastUpdatedAt": "2018-01-25T23:43:19Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/249779?v=4"
    },
    {
      "githubPath": "LeoAJ/react-facebook-friends",
      "description": ":thumbsup:Web app to rank, quantify your FaceBook friendship with React",
      "homepage": "http://leoj.js.org/react-facebook-friends/",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-regenerator",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-0",
        "classnames",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "flow-bin",
        "flow-typed",
        "identity-obj-proxy",
        "imports-loader",
        "jest",
        "json-loader",
        "postcss-loader",
        "react",
        "react-dom",
        "react-test-renderer",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "reqwest",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 23,
      "lastUpdatedAt": "2017-09-22T13:41:27Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/492921?v=4"
    },
    {
      "githubPath": "bigardone/phoenix-trello",
      "description": "Trello tribute done in Elixir, Phoenix Framework, React and Redux.",
      "homepage": "https://phoenix-trello.herokuapp.com",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-2",
        "bourbon",
        "bourbon-neat",
        "classnames",
        "css-loader",
        "es6-promise",
        "extract-text-webpack-plugin",
        "history",
        "invariant",
        "isomorphic-fetch",
        "moment",
        "node-libs-browser",
        "node-sass",
        "phoenix",
        "phoenix_html",
        "react",
        "react-addons-css-transition-group",
        "react-dnd",
        "react-dnd-html5-backend",
        "react-dom",
        "react-gravatar",
        "react-page-click",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-logger",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "webpack"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 2103,
      "lastUpdatedAt": "2018-02-02T09:53:39Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1090272?v=4"
    },
    {
      "githubPath": "clhenrick/React-Leaflet-demo",
      "description": "Demo of a Leaflet map created with React",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-syntax-trailing-function-commas",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-es2016",
        "babel-preset-react",
        "babel-runtime",
        "case-sensitive-paths-webpack-plugin",
        "chalk",
        "cross-spawn",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "filesize",
        "fs-extra",
        "gzip-size",
        "html-webpack-plugin",
        "json-loader",
        "json-loader",
        "leaflet",
        "opn",
        "postcss-loader",
        "promise",
        "react",
        "react-dom",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 125,
      "lastUpdatedAt": "2018-02-01T20:01:50Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/161748?v=4"
    },
    {
      "githubPath": "nickbalestra/sankey",
      "description": "A D3/Faux-dom/React App to build and read sankey diagrams",
      "homepage": "http://nick.balestra.ch/sankey/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "bootstrap",
        "css-loader",
        "d3",
        "d3-plugins-sankey",
        "extract-text-webpack-plugin",
        "file-loader",
        "lodash",
        "react",
        "react-dom",
        "react-faux-dom",
        "react-modal",
        "style-loader",
        "superagent",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 32,
      "lastUpdatedAt": "2018-01-09T10:22:35Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/389705?v=4"
    },
    {
      "githubPath": "burakcan/muuvie",
      "description": "A simple movie search app using omdb api",
      "homepage": null,
      "dependencies": [
        "bluebird",
        "css-loader",
        "extend-object",
        "file-loader",
        "flux",
        "git-directory-deploy",
        "html-webpack-plugin",
        "immutable",
        "jsx-loader",
        "node-libs-browser",
        "npm",
        "orejs",
        "react",
        "react-router",
        "style-loader",
        "superagent",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 34,
      "lastUpdatedAt": "2017-06-04T09:11:18Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3121257?v=4"
    },
    {
      "githubPath": "burakcan/Kangaroo",
      "description": "A simple bookmarks manager built with react and backbone with flux architechure.",
      "homepage": "http://burakcan.github.io/Kangaroo/",
      "dependencies": [
        "grunt",
        "grunt-browserify",
        "grunt-contrib-concat",
        "grunt-contrib-cssmin",
        "grunt-contrib-uglify",
        "grunt-contrib-watch",
        "grunt-react"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2018-01-14T03:52:10Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3121257?v=4"
    },
    {
      "githubPath": "rwu823/react-hi-text",
      "description": "React text highlight component",
      "homepage": "https://rwu823.github.io/react-hi-text",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "chai",
        "coveralls",
        "gulp",
        "gulp-rename",
        "gulp-uglify",
        "isparta-instrumenter-loader",
        "karma",
        "karma-babel-preprocessor",
        "karma-chai",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-firefox-launcher",
        "karma-mocha",
        "karma-spec-reporter",
        "karma-webpack",
        "lodash",
        "mocha",
        "react",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 24,
      "lastUpdatedAt": "2017-11-26T03:03:43Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/890063?v=4"
    },
    {
      "githubPath": "mayankchd/react-text-emoji",
      "description": "React text to Emoji Component!",
      "homepage": "http://mayankchd.github.io/react-text-emoji",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "emojilib",
        "eslint",
        "eslint-plugin-react",
        "json-loader",
        "react",
        "react-dom",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 42,
      "lastUpdatedAt": "2017-10-02T19:07:24Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/5843024?v=4"
    },
    {
      "githubPath": "mauricius/redux-memory-game",
      "description": "Redux implementation of a Memory Game",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-loader",
        "babel-plugin-react-transform",
        "classnames",
        "expect",
        "express",
        "jsdom",
        "mocha",
        "node-libs-browser",
        "raw-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 21,
      "lastUpdatedAt": "2018-01-26T10:56:31Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/7000852?v=4"
    },
    {
      "githubPath": "chriz001/Reacteroids",
      "description": "A implementation of the classic Asteroids game using React and Canvas in es6",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "css-loader",
        "eslint",
        "eslint-plugin-react",
        "express",
        "react",
        "react-dom",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "rimraf",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 169,
      "lastUpdatedAt": "2018-01-30T12:38:49Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1817728?v=4"
    },
    {
      "githubPath": "caljrimmer/portfolio-redux-app",
      "description": "A portfolio template built with Redux and React",
      "homepage": "",
      "dependencies": [
        "axios",
        "babel",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-runtime",
        "classnames",
        "css-loader",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "merge",
        "react",
        "react-redux",
        "react-router",
        "react-transform-hmr",
        "redux",
        "redux-devtools",
        "redux-logger",
        "redux-router",
        "redux-thunk",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 188,
      "lastUpdatedAt": "2018-01-26T19:34:17Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/796465?v=4"
    },
    {
      "githubPath": "nnajm/orb",
      "description": "Pivot table javascript library",
      "homepage": "http://orbjs.net/",
      "dependencies": [
        "browserify",
        "del",
        "gulp",
        "gulp-concat",
        "gulp-derequire",
        "gulp-header",
        "gulp-jasmine",
        "gulp-jsbeautifier",
        "gulp-less",
        "gulp-minify-css",
        "gulp-react",
        "gulp-rename",
        "gulp-replace",
        "gulp-sourcemaps",
        "gulp-tap",
        "gulp-uglify",
        "jasmine",
        "less",
        "react",
        "vinyl-buffer",
        "vinyl-source-stream"
      ],
      "tags": [],
      "lastStarCount": 459,
      "lastUpdatedAt": "2018-02-02T15:34:38Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/4428419?v=4"
    },
    {
      "githubPath": "masonicboom/react-cardboard",
      "description": "Proof-of-concept hooking up React with Google Cardboard",
      "homepage": "https://masonicboom.github.io/react-cardboard/",
      "dependencies": [
        "bower",
        "exports-loader",
        "imports-loader",
        "react",
        "react-dom",
        "react-responsive",
        "react-three",
        "three",
        "three-orbit-controls",
        "tslint",
        "typescript",
        "webpack",
        "webpack-dev-server",
        "webvr-polyfill"
      ],
      "tags": [],
      "lastStarCount": 57,
      "lastUpdatedAt": "2017-11-10T09:34:53Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/86958?v=4"
    },
    {
      "githubPath": "marduke182/twitch-redux",
      "description": "A basic Twitch Client using React and Redux (Similar to soundredux.io project).",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "autoprefixer-loader",
        "babel",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-runtime",
        "better-npm-run",
        "chai-as-promised",
        "css-loader",
        "cz-conventional-changelog",
        "dotenv",
        "ejs",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "format-number",
        "history",
        "html-webpack-plugin",
        "isomorphic-fetch",
        "isparta-loader",
        "karma",
        "karma-chai",
        "karma-chai-as-promised",
        "karma-coverage",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-sinon-chai",
        "karma-spec-reporter",
        "karma-webpack",
        "lodash",
        "mocha",
        "node-sass",
        "normalizr",
        "phantomjs",
        "phantomjs-polyfill",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "react-github-fork-ribbon",
        "react-intl",
        "react-redux",
        "react-router",
        "react-router-bootstrap",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-router",
        "redux-thunk",
        "sass-flex-mixin",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "yargs"
      ],
      "tags": [],
      "lastStarCount": 88,
      "lastUpdatedAt": "2017-12-07T05:40:58Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1311781?v=4"
    },
    {
      "githubPath": "torontojs/torontojs.com",
      "description": "The Website for TorontoJS",
      "homepage": "http://torontojs.com",
      "dependencies": [
        "babel-eslint",
        "babel-polyfill",
        "color",
        "eslint",
        "eslint-config-minimal",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "flow-bin",
        "gh-pages",
        "gitmoji-cli",
        "husky",
        "react",
        "react-dom",
        "react-markdown",
        "react-rotating-text",
        "react-router-dom",
        "react-scripts",
        "recompose",
        "styled-components"
      ],
      "tags": [],
      "lastStarCount": 47,
      "lastUpdatedAt": "2018-01-01T11:43:19Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1886951?v=4"
    },
    {
      "githubPath": "RisingStack/graffiti-todo",
      "description": "Example Relay TodoMVC application using graffiti-mongoose",
      "homepage": "https://graffiti-todo.herokuapp.com/",
      "dependencies": [
        "@risingstack/graffiti",
        "@risingstack/graffiti-mongoose",
        "babel",
        "babel-cli",
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-relay-plugin",
        "bad-words",
        "classnames",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "graphql",
        "hapi",
        "inert",
        "mongoose",
        "pre-push",
        "react",
        "react-dom",
        "react-relay",
        "style-loader",
        "todomvc-app-css",
        "todomvc-common",
        "webpack"
      ],
      "tags": [
        "todo"
      ],
      "lastStarCount": 55,
      "lastUpdatedAt": "2018-01-15T06:38:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6916052?v=4"
    },
    {
      "githubPath": "GordyD/3ree",
      "description": "An example universal JS application written with the 3REE stack, React + Redux + RethinkDB + Express. A stack for building apps, front and back end, with just Javascript.",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-rewire",
        "babel-plugin-system-import-transformer",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-runtime",
        "babel-template",
        "bluebird",
        "body-parser",
        "chai",
        "classnames",
        "compression",
        "config",
        "css-loader",
        "date-fns",
        "ejs",
        "eslint",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "history",
        "karma",
        "karma-chai",
        "karma-chrome-launcher",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sinon",
        "karma-webpack",
        "mocha",
        "mocha-loader",
        "nib",
        "nock",
        "node-libs-browser",
        "phantomjs-prebuilt",
        "raw-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-transform-hmr",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "rethinkdb",
        "serve-static",
        "sinon",
        "socket.io",
        "socket.io-client",
        "style-loader",
        "stylus",
        "stylus-loader",
        "superagent",
        "webpack",
        "webpack-dev-server",
        "xss"
      ],
      "tags": [],
      "lastStarCount": 852,
      "lastUpdatedAt": "2018-01-31T13:45:09Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/966511?v=4"
    },
    {
      "githubPath": "stevenhauser/i-have-to-return-some-videotapes",
      "description": "Collect and return your videotapes that are scattered about the woods",
      "homepage": null,
      "dependencies": [
        "autoprefixer-loader",
        "babel",
        "babel-loader",
        "babel-plugin-react-transform",
        "classnames",
        "css-loader",
        "express",
        "history",
        "immutable",
        "lodash",
        "node-sass",
        "react",
        "react-addons-pure-render-mixin",
        "react-dom",
        "react-redux",
        "react-router",
        "react-transform-hmr",
        "redux",
        "redux-router",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "twemoji",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 74,
      "lastUpdatedAt": "2017-12-28T19:41:44Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/963631?v=4"
    },
    {
      "githubPath": "gcedo/react-solitaire",
      "description": "React implementation of the famous solitaire card game",
      "homepage": "http://gcedo.github.io/react-solitaire/",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-istanbul",
        "babel-plugin-react-transform",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-env",
        "babel-preset-react",
        "babel-register",
        "coveralls",
        "cross-env",
        "eslint",
        "eslint-plugin-react",
        "expect",
        "express",
        "immutable",
        "lodash",
        "mocha",
        "nyc",
        "react",
        "react-addons-test-utils",
        "react-dnd",
        "react-dnd-html5-backend",
        "react-dom",
        "react-prefixer",
        "react-redux",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-devtools",
        "redux-slider-monitor",
        "rimraf",
        "unexpected",
        "unexpected-react-shallow",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 126,
      "lastUpdatedAt": "2018-01-01T01:56:28Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2387240?v=4"
    },
    {
      "githubPath": "Radivarig/react-speed-reader",
      "description": "Speed Reader component for React",
      "homepage": "https://www.npmjs.com/package/react-speed-reader",
      "dependencies": [
        "babel",
        "babel-loader",
        "babel-plugin-typecheck",
        "css-loader",
        "flowcheck",
        "flowcheck-loader",
        "history",
        "jsx-loader",
        "react-router",
        "react-timer-mixin",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 14,
      "lastUpdatedAt": "2017-10-10T01:02:39Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/6281737?v=4"
    },
    {
      "githubPath": "kadira-samples/react-graphql-todos",
      "description": "Simple Todo App with React and GraphQL",
      "homepage": "http://graphql-react-todo.herokuapp.com/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-runtime",
        "body-parser",
        "eslint-plugin-react",
        "graphql",
        "lokka",
        "lokka-transport-http",
        "nodemon",
        "react",
        "react-hot-loader",
        "underscore",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "todo"
      ],
      "lastStarCount": 129,
      "lastUpdatedAt": "2017-12-18T07:45:05Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/15616844?v=4"
    },
    {
      "githubPath": "lahmatiy/component-inspector",
      "description": "Component DOM inspector",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-source-wrapper",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-function-bind",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-env",
        "babel-preset-react",
        "basisjs",
        "basisjs-tools",
        "chai",
        "classnames",
        "eslint",
        "jscs",
        "karma",
        "karma-chrome-launcher",
        "karma-mocha",
        "karma-spec-reporter",
        "karma-webpack",
        "mocha",
        "prop-types",
        "react-redux",
        "react14",
        "react15",
        "redux",
        "rempl",
        "resolve",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 304,
      "lastUpdatedAt": "2018-01-24T20:25:26Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/270491?v=4"
    },
    {
      "githubPath": "fraserxu/soundredux-native",
      "description": "📱 In an effort to try react-native along with redux",
      "homepage": "",
      "dependencies": [
        "lodash",
        "moment",
        "normalizr",
        "react",
        "react-native",
        "react-native-player",
        "react-native-vector-icons",
        "react-pure-render",
        "react-redux",
        "redux",
        "redux-logger",
        "redux-thunk"
      ],
      "tags": [],
      "lastStarCount": 753,
      "lastUpdatedAt": "2018-02-02T09:59:00Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1183541?v=4"
    },
    {
      "githubPath": "andrewngu/sound-redux",
      "description": "A Soundcloud client built with React / Redux",
      "homepage": "http://soundredux.io",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "camelize",
        "css-hot-loader",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "isomorphic-fetch",
        "js-cookie",
        "lodash.merge",
        "moment",
        "node-sass",
        "normalizr",
        "offline-plugin",
        "path-to-regexp",
        "postcss-loader",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "redux",
        "redux-thunk",
        "reselect",
        "sass-loader",
        "soundcloud",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 4011,
      "lastUpdatedAt": "2018-02-02T06:13:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2625231?v=4"
    },
    {
      "githubPath": "7kfpun/FinanceReactNative",
      "description": "iOS's Stocks App clone written in React Native for demo purpose (available both iOS and Android).",
      "homepage": "https://play.google.com/store/apps/details?id=com.kfpun.finance",
      "dependencies": [
        "alt",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-flowtype-errors",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "flow-bin",
        "moment",
        "react",
        "react-native",
        "react-native-navbar",
        "react-native-router-flux",
        "react-native-simple-store",
        "react-native-vector-icons",
        "rn-viewpager"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 1429,
      "lastUpdatedAt": "2018-02-01T15:58:41Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2672802?v=4"
    },
    {
      "githubPath": "nygardk/react-scifi",
      "description": "Sci-fi UI expreiment with React.js",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "classnames",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "lodash.times",
        "onecolor",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-motion",
        "style-loader",
        "stylus",
        "stylus-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 59,
      "lastUpdatedAt": "2017-12-24T06:07:06Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2855908?v=4"
    },
    {
      "githubPath": "princejwesley/Mancy",
      "description": " >_ Electron based NodeJS REPL :see_no_evil:",
      "homepage": "http://mancy-re.pl",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-jest",
        "babel-plugin-add-module-exports",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "c3",
        "cljs-mancy",
        "codemirror",
        "coffee-script",
        "del",
        "devtron",
        "electron",
        "electron-packager",
        "electron-rebuild",
        "font-awesome",
        "font-manager",
        "github",
        "gulp",
        "gulp-babel",
        "gulp-cached",
        "gulp-cli",
        "gulp-concat",
        "gulp-env",
        "gulp-livereload",
        "gulp-load-plugins",
        "gulp-react",
        "gulp-sass",
        "gulp-util",
        "is-css-color",
        "jest-cli",
        "livescript",
        "lodash",
        "md5",
        "node-sass",
        "parinfer",
        "react",
        "react-tools",
        "reflux",
        "run-sequence",
        "semver",
        "typescript",
        "yargs"
      ],
      "tags": [],
      "lastStarCount": 2456,
      "lastUpdatedAt": "2018-02-02T09:25:50Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1622515?v=4"
    },
    {
      "githubPath": "brijeshb42/kattappa",
      "description": "A block based rich text editor.",
      "homepage": "http://bitwiser.in/kattappa/",
      "dependencies": [
        "gulp",
        "gulp-babel",
        "gulp-header",
        "gulp-less",
        "gulp-minify-css",
        "gulp-rename",
        "gulp-sourcemaps",
        "gulp-uglify",
        "gulp-usemin"
      ],
      "tags": [],
      "lastStarCount": 94,
      "lastUpdatedAt": "2017-09-25T14:23:26Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/717550?v=4"
    },
    {
      "githubPath": "manosim/gitify",
      "description": "GitHub Notifications on your desktop.",
      "homepage": "https://www.gitify.io/",
      "dependencies": [
        "auto-launch",
        "axios",
        "babel-eslint",
        "babel-jest",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babelify",
        "bootstrap",
        "browserify",
        "electron",
        "electron-gh-releases",
        "electron-packager",
        "enzyme",
        "eslint",
        "eslint-config-dabapps",
        "eslint-plugin-import",
        "eslint-plugin-prettier",
        "font-awesome",
        "icheck",
        "immutable",
        "jest",
        "malarkey",
        "moment",
        "nock",
        "node-sass",
        "nprogress",
        "octicons",
        "prettier",
        "prop-types",
        "react",
        "react-addons-css-transition-group",
        "react-addons-shallow-compare",
        "react-addons-test-utils",
        "react-dom",
        "react-emojione",
        "react-icheck",
        "react-modal",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-test-renderer",
        "redux",
        "redux-form",
        "redux-logger",
        "redux-mock-store",
        "redux-storage",
        "redux-storage-decorator-filter",
        "redux-storage-engine-localstorage",
        "redux-storage-merger-immutablejs",
        "redux-thunk",
        "sass-lint",
        "uglify-js",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 2230,
      "lastUpdatedAt": "2018-02-02T14:45:56Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/6333409?v=4"
    },
    {
      "githubPath": "paulhoughton/mortgage",
      "description": "Mortgage overpayment calculator using React, Redux and D3",
      "homepage": "http://paulhoughton.github.io/mortgage/",
      "dependencies": [
        "d3-axis",
        "d3-scale",
        "d3-selection",
        "d3-shape",
        "d3-transition",
        "react",
        "react-dom",
        "react-redux",
        "react-scripts",
        "react-test-renderer",
        "redux",
        "reselect"
      ],
      "tags": [],
      "lastStarCount": 160,
      "lastUpdatedAt": "2018-01-17T16:28:04Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13313159?v=4"
    },
    {
      "githubPath": "FormidableLabs/converter-react",
      "description": "Sample React + Flux app w/ server-side rendering / data bootstrap and more!",
      "homepage": "http://converter-react.formidablelabs.com/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-runtime",
        "bluebird",
        "bootstrap",
        "builder",
        "chai",
        "clean-webpack-plugin",
        "compression",
        "coveralls",
        "css-loader",
        "es6-promise",
        "eslint",
        "eslint-config-defaults",
        "eslint-plugin-filenames",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "guacamole",
        "http-server",
        "isomorphic-fetch",
        "isparta-loader",
        "istanbul",
        "jade",
        "karma",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-firefox-launcher",
        "karma-ie-launcher",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-phantomjs-shim",
        "karma-safari-launcher",
        "karma-sauce-launcher",
        "karma-spec-reporter",
        "karma-webpack",
        "lodash",
        "marked",
        "mocha",
        "nodemon",
        "phantomjs",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "recluster",
        "redux",
        "redux-logger",
        "redux-thunk",
        "rowdy",
        "saucelabs",
        "selenium-standalone",
        "sinon",
        "sinon-chai",
        "style-loader",
        "supertest",
        "url-loader",
        "webdriverio",
        "webpack",
        "webpack-dev-server",
        "webpack-stats-plugin"
      ],
      "tags": [],
      "lastStarCount": 44,
      "lastUpdatedAt": "2017-05-10T03:05:41Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5078602?v=4"
    },
    {
      "githubPath": "docker/kitematic",
      "description": "Visual Docker Container Management on Mac & Windows",
      "homepage": "https://kitematic.com",
      "dependencies": [
        "JSONStream",
        "alt",
        "ansi-to-html",
        "any-promise",
        "async",
        "babel",
        "babel-jest",
        "bluebird",
        "bugsnag-js",
        "cached-request",
        "classnames",
        "coveralls",
        "deep-extend",
        "dockerode",
        "electron",
        "eslint",
        "eslint-plugin-react",
        "grunt",
        "grunt-babel",
        "grunt-chmod",
        "grunt-cli",
        "grunt-contrib-clean",
        "grunt-contrib-compress",
        "grunt-contrib-copy",
        "grunt-contrib-less",
        "grunt-contrib-watch-chokidar",
        "grunt-curl",
        "grunt-download-electron",
        "grunt-electron",
        "grunt-electron-installer",
        "grunt-electron-packager",
        "grunt-if-missing",
        "grunt-newer",
        "grunt-plistbuddy",
        "grunt-prompt",
        "grunt-rcedit",
        "grunt-rename",
        "grunt-shell",
        "grunt-shell-spawn",
        "install",
        "jest-cli",
        "jquery",
        "jsxhint",
        "load-grunt-tasks",
        "minimist",
        "mixpanel",
        "mkdirp",
        "node-uuid",
        "numeral",
        "object-assign",
        "osx-release",
        "parseUri",
        "react",
        "react-bootstrap",
        "react-retina-image",
        "react-router",
        "request",
        "request-progress",
        "rimraf",
        "run-sequence",
        "shell-escape",
        "source-map-support",
        "underscore",
        "validator",
        "which"
      ],
      "tags": [],
      "lastStarCount": 8332,
      "lastUpdatedAt": "2018-02-02T13:01:47Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/5429470?v=4"
    },
    {
      "githubPath": "pwambach/fat-file-finder",
      "description": "Electron app for finding large files on your filesystem. Build with React, Redux and ES6.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "css-loader",
        "electron-prebuilt",
        "file-loader",
        "filesize",
        "font-awesome",
        "node-sass",
        "path",
        "raw-loader",
        "react",
        "react-hot-loader",
        "react-pure-render",
        "react-redux",
        "redux",
        "redux-devtools",
        "redux-logger",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "url-loader",
        "walker",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 123,
      "lastUpdatedAt": "2018-01-12T08:01:52Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1611635?v=4"
    },
    {
      "githubPath": "raineroviir/react-redux-socketio-chat",
      "description": "Full Stack Chat Application",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "bcrypt-nodejs",
        "body-parser",
        "classnames",
        "clean-webpack-plugin",
        "cors",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "expect",
        "express",
        "history",
        "isomorphic-fetch",
        "lodash",
        "mocha",
        "mocha-jsdom",
        "moment",
        "mongoose",
        "nock",
        "node-uuid",
        "passport",
        "passport-facebook",
        "passport-local",
        "raw-loader",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-cookie",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-form",
        "redux-mock-store",
        "redux-thunk",
        "serve-static",
        "socket.io",
        "socket.io-client",
        "style-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-isomorphic-tools"
      ],
      "tags": [
        "chat"
      ],
      "lastStarCount": 699,
      "lastUpdatedAt": "2018-02-01T21:37:49Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/10455065?v=4"
    },
    {
      "githubPath": "romseguy/d3-state-visualizer",
      "description": "Real-time visualizations of your application state",
      "homepage": "https://www.npmjs.com/package/d3-state-visualizer",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015-loose",
        "babel-preset-react",
        "babel-preset-stage-0",
        "d3",
        "d3tooltip",
        "deepmerge",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "is-plain-object",
        "map2tree",
        "ramda",
        "rimraf",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 59,
      "lastUpdatedAt": "2018-01-19T19:03:56Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/109238?v=4"
    },
    {
      "githubPath": "srtucker22/glipchat",
      "description": "video chatroom using meteor + webrtc + react + redux",
      "homepage": "https://glipchat.herokuapp.com/",
      "dependencies": [
        "@meteorjs/eslint-config-meteor",
        "@meteorjs/eslint-config-meteor",
        "app-root-path",
        "babel-eslint",
        "bcrypt",
        "bowser",
        "buffer",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-meteor",
        "eslint-plugin-html",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-meteor",
        "eslint-plugin-react",
        "fibers",
        "localforage",
        "material-ui",
        "meteor-node-stubs",
        "moment",
        "prop-types",
        "radium",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-fastclick",
        "react-list",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-select",
        "react-select-fast-filter-options",
        "react-tap-event-plugin",
        "react-transition-group",
        "redux",
        "redux-mock-store",
        "redux-persist",
        "redux-thunk",
        "seamless-immutable",
        "sinon",
        "stream",
        "underscore",
        "url-join",
        "webrtc-adapter"
      ],
      "tags": [
        "chat"
      ],
      "lastStarCount": 229,
      "lastUpdatedAt": "2018-01-06T04:10:27Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2483226?v=4"
    },
    {
      "githubPath": "gokulkrishh/React-hacker-news",
      "description": "🔑 Hacker News site using React.js (fully responsive site)",
      "homepage": "http://gokulkrishh.github.io/demo/hacker-news/",
      "dependencies": [
        "browser-sync",
        "del",
        "gulp",
        "gulp-babel",
        "gulp-concat",
        "gulp-sass",
        "react-router"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 94,
      "lastUpdatedAt": "2017-11-17T06:56:23Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2944237?v=4"
    },
    {
      "githubPath": "cdglabs/apparatus",
      "description": "A hybrid graphics editor and programming environment for creating interactive diagrams.",
      "homepage": "http://aprt.us/",
      "dependencies": [
        "autoprefixer",
        "codemirror",
        "coffee-loader",
        "coffeetape",
        "css-loader",
        "d3",
        "d3-scale-chromatic",
        "firebase",
        "keymaster",
        "numeric",
        "opn-cli",
        "postcss-loader",
        "q",
        "query-string",
        "rc-tooltip",
        "react",
        "react-dom",
        "react-dropzone",
        "react-inspector",
        "seedrandom",
        "style-loader",
        "stylus",
        "stylus-loader",
        "superagent",
        "tape",
        "underscore",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch",
        "xml2js"
      ],
      "tags": [],
      "lastStarCount": 771,
      "lastUpdatedAt": "2018-01-30T05:55:00Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/9912100?v=4"
    },
    {
      "githubPath": "circuitsim/circuit-simulator",
      "description": "An interactive electronic circuit simulator",
      "homepage": "http://circuits.im",
      "dependencies": [
        "art",
        "assert",
        "babel-core",
        "babel-eslint",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-runtime",
        "babelify",
        "browserify",
        "chai",
        "chai-stats",
        "color",
        "envify",
        "eslint",
        "eslint-config-circuitsim",
        "eslint-plugin-react",
        "ev-pos",
        "format-si-prefix",
        "gulp",
        "gulp-connect",
        "gulp-file",
        "gulp-jade",
        "gulp-sourcemaps",
        "gulp-uglify",
        "immutable-vector2d",
        "jade",
        "mainloop.js",
        "matrixy",
        "mocha",
        "node-uuid",
        "point-in-polygon",
        "radium",
        "ramda",
        "react",
        "react-addons-create-fragment",
        "react-addons-css-transition-group",
        "react-dom",
        "react-mainloop",
        "react-redux",
        "redux",
        "redux-logger",
        "redux-thunk",
        "rimraf",
        "vinyl-buffer",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 139,
      "lastUpdatedAt": "2018-01-30T12:37:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/11027745?v=4"
    },
    {
      "githubPath": "fatiherikli/fil",
      "description": "A playground for in-browser interpreters. Built with React/Redux.",
      "homepage": "http://fatiherikli.github.io/fil/",
      "dependencies": [
        "ace",
        "babelify",
        "brace",
        "braincrunch",
        "browserify",
        "classnames",
        "deferred",
        "gulp",
        "gulp-add-src",
        "gulp-babel",
        "gulp-bower-src",
        "gulp-concat",
        "gulp-connect",
        "gulp-live-server",
        "gulp-rename",
        "gulp-sass",
        "gulp-uglify",
        "merge2",
        "opal",
        "query-string",
        "react",
        "react-ace",
        "react-addons",
        "react-dom",
        "react-redux",
        "reactify",
        "redux",
        "redux-localstorage",
        "redux-thunk",
        "relaxed-json",
        "stringify",
        "underscore",
        "underscore-contrib",
        "vinyl-buffer",
        "vinyl-source-stream",
        "vinyl-transform",
        "watchify",
        "yamljs"
      ],
      "tags": [],
      "lastStarCount": 812,
      "lastUpdatedAt": "2018-02-01T21:17:42Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1220743?v=4"
    },
    {
      "githubPath": "laopunk/KeyFinder",
      "description": "Web based tool to identify musical scales and their related keys, rendered with React.js",
      "homepage": null,
      "dependencies": [
        "bootstrap",
        "browserify",
        "chordplayer",
        "gulp",
        "gulp-compass",
        "gulp-concat-css",
        "gulp-embedlr",
        "gulp-livereload",
        "gulp-minify-css",
        "gulp-react",
        "gulp-shell",
        "gulp-uglify",
        "gulp-util",
        "lodash",
        "noteplayer",
        "react",
        "react",
        "react-async",
        "react-bootstrap",
        "react-bootstrap",
        "react-router-component",
        "react-widgets",
        "react-widgets",
        "reactify",
        "scalesapi",
        "vinyl-buffer",
        "vinyl-source-stream"
      ],
      "tags": [],
      "lastStarCount": 8,
      "lastUpdatedAt": "2017-04-25T17:25:08Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/11978355?v=4"
    },
    {
      "githubPath": "graphql/graphiql",
      "description": "An in-browser IDE for exploring GraphQL.",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-eslint",
        "babel-plugin-syntax-async-functions",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-regenerator",
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "browserify-shim",
        "chai",
        "chai-subset",
        "codemirror",
        "codemirror-graphql",
        "eslint",
        "eslint-config-prettier",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "express",
        "express-graphql",
        "flow-bin",
        "graphql",
        "husky",
        "jsdom",
        "lint-staged",
        "markdown-it",
        "mocha",
        "postcss-cli",
        "prettier",
        "prop-types",
        "react",
        "react-dom",
        "react-test-renderer",
        "uglify-js",
        "uglifyify",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 4932,
      "lastUpdatedAt": "2018-02-02T17:01:46Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/12972006?v=4"
    },
    {
      "githubPath": "pwatsonwailes/history-of-humanity",
      "description": "wiki powered history project",
      "homepage": null,
      "dependencies": [
        "axios",
        "babel",
        "babel-core",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "babelify",
        "body-parser",
        "browserify",
        "ejs",
        "express",
        "react",
        "react-addons-css-transition-group",
        "react-dom",
        "uglifyify"
      ],
      "tags": [],
      "lastStarCount": 21,
      "lastUpdatedAt": "2017-12-07T16:10:44Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/670731?v=4"
    },
    {
      "githubPath": "vesparny/marky",
      "description": "A markdown editor built with Electron and React",
      "homepage": "",
      "dependencies": [
        "aphrodite",
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "brace",
        "classnames",
        "cross-env",
        "cross-zip",
        "css-loader",
        "electron-installer-dmg",
        "electron-packager",
        "electron-prebuilt",
        "electron-reload",
        "electron-window-state",
        "electron-winstaller",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-plus",
        "highlight.js",
        "json-loader",
        "lodash",
        "markdown-it",
        "markdown-it-emoji",
        "markdown-it-highlightjs",
        "minimist",
        "mkdirp",
        "nobin-debian-installer",
        "normalize.css",
        "react",
        "react-dom",
        "react-geomicons",
        "react-redux",
        "react-split-pane",
        "rebass",
        "redbox-react",
        "redux",
        "redux-logger",
        "rimraf",
        "run-series",
        "semver",
        "standard",
        "style-loader",
        "superagent",
        "webpack",
        "webpack-dev-server",
        "wordcount"
      ],
      "tags": [
        "text editor"
      ],
      "lastStarCount": 317,
      "lastUpdatedAt": "2018-02-01T06:45:25Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/82070?v=4"
    },
    {
      "githubPath": "likethemammal/daisywheeljs",
      "description": "The Steam \"Big Picture\" Daisywheel ported to JS and CSS. Supports Gamepad API.",
      "homepage": "http://daisywheeljs.org",
      "dependencies": [
        "browserify",
        "fluxxor",
        "gamepad-micro",
        "gulp",
        "gulp-derequire",
        "gulp-less",
        "gulp-rename",
        "gulp-watch",
        "howler",
        "lessify",
        "react",
        "react-dom",
        "reactify",
        "uglifyify",
        "underscore",
        "vinyl-source-stream"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 40,
      "lastUpdatedAt": "2018-01-07T10:59:52Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3430841?v=4"
    },
    {
      "githubPath": "mxstbr/postcss.parts",
      "description": "A searchable catalog of PostCSS plugins —",
      "homepage": "http://postcss.parts",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "cross-env",
        "object-assign",
        "postcss-plugins",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-router-scroll",
        "redux",
        "redux-thunk",
        "styled-components",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 40,
      "lastUpdatedAt": "2017-09-11T05:25:55Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/7525670?v=4"
    },
    {
      "githubPath": "paulhoughton/remember",
      "description": "Progressive web app using geolocation and device orientation in React with Redux",
      "homepage": "https://paulhoughton.github.io/remember/",
      "dependencies": [
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-runtime",
        "copy-webpack-plugin",
        "css-loader",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "jest",
        "material-design-icons",
        "prop-types",
        "purifycss-webpack",
        "react",
        "react-dom",
        "react-mdl",
        "react-redux",
        "react-router-dom",
        "react-test-renderer",
        "redux",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 141,
      "lastUpdatedAt": "2018-01-26T13:27:19Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13313159?v=4"
    },
    {
      "githubPath": "carlosvillu/react-masonry-gallery",
      "description": "Masonry react gallery",
      "homepage": "http://carlosvillu.github.io/react-masonry-gallery/",
      "dependencies": [
        "@schibstedspain/frontend-pre-commit-rules",
        "@schibstedspain/theme-sui",
        "autoprefixer",
        "babel",
        "babel-eslint",
        "babel-jscs",
        "babel-loader",
        "css-loader",
        "csslint",
        "eslint",
        "eslint-plugin-react",
        "expect",
        "gh-pages",
        "jscs",
        "lodash",
        "mocha",
        "node-libs-browser",
        "node-sass",
        "opener",
        "postcss-cli",
        "react",
        "react-hot-loader",
        "rimraf",
        "sass-loader",
        "scsslint",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 32,
      "lastUpdatedAt": "2017-11-25T10:03:39Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/179462?v=4"
    },
    {
      "githubPath": "azazdeaz/transhand",
      "description": "React based 2d transformation handler for graphic designer tools",
      "homepage": "http://azazdeaz.github.io/transhand/nested/",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babelify",
        "browser-sync",
        "browserify",
        "eslint",
        "eslint-plugin-react",
        "file-loader",
        "gulp",
        "gulp-babel",
        "gulp-callback",
        "gulp-filesize",
        "gulp-gh-pages",
        "gulp-plumber",
        "gulp-rimraf",
        "gulp-sourcemaps",
        "gulp-util",
        "gulp-watch",
        "lodash",
        "node-libs-browser",
        "prop-types",
        "react",
        "react-dom",
        "react-matterkit",
        "shallow-equals",
        "tinycolor2",
        "vinyl-buffer",
        "vinyl-source-stream",
        "watchify",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 41,
      "lastUpdatedAt": "2018-01-05T22:03:02Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/2298371?v=4"
    },
    {
      "githubPath": "LeoAJ/react-iTunes-search",
      "description": ":musical_note:Simple web app for itunes search with React",
      "homepage": "http://leoj.js.org/react-iTunes-search/",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-0",
        "classnames",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "fecha",
        "file-loader",
        "flow-bin",
        "identity-obj-proxy",
        "imports-loader",
        "jest",
        "postcss-loader",
        "prettier",
        "raf",
        "react",
        "react-dom",
        "react-hot-loader",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 121,
      "lastUpdatedAt": "2018-01-03T15:44:41Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/492921?v=4"
    },
    {
      "githubPath": "kern/filepizza",
      "description": ":pizza: Peer-to-peer file transfers in your browser",
      "homepage": "https://file.pizza",
      "dependencies": [
        "alt",
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-transform-react-jsx",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-stage-0",
        "classnames",
        "css-loader",
        "express",
        "express-force-ssl",
        "express-winston",
        "filepizza-socket",
        "json-loader",
        "newrelic",
        "nib",
        "node-uuid",
        "nodemon",
        "react",
        "react-frozenhead",
        "react-google-analytics",
        "react-router",
        "socket.io",
        "socket.io-client",
        "style-loader",
        "stylus",
        "stylus-loader",
        "twilio",
        "webpack",
        "webpack-dev-middleware",
        "webrtcsupport",
        "winston",
        "xkcd-password"
      ],
      "tags": [],
      "lastStarCount": 1804,
      "lastUpdatedAt": "2018-02-01T08:38:11Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/11469?v=4"
    },
    {
      "githubPath": "adambbecker/site-selection-concept",
      "description": "Site selection concept to try out react-motion. Demo: ",
      "homepage": "https://fathomless-thicket-6069.herokuapp.com/",
      "dependencies": [
        "abb-reset-css",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-object-assign",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "css-loader",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "node-uuid",
        "radium",
        "react",
        "react-dom",
        "react-motion",
        "react-onclickoutside",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 110,
      "lastUpdatedAt": "2018-01-23T16:40:59Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1427136?v=4"
    },
    {
      "githubPath": "xyc/react-inspector",
      "description": "Power of Browser DevTools inspectors right inside your React app",
      "homepage": "http://xyc.github.io/react-inspector/",
      "dependencies": [
        "@storybook/react",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "core-js",
        "css-loader",
        "eslint",
        "eslint-plugin-jasmine",
        "eslint-plugin-react",
        "expect",
        "is-dom",
        "jest",
        "prettier",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-test-renderer",
        "rebug",
        "rimraf",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 265,
      "lastUpdatedAt": "2018-01-31T20:46:58Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/679275?v=4"
    },
    {
      "githubPath": "Cmdv/React-RxJS",
      "description": "React + RxJs + React-Router + Webpack + babel and soon more",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "glob",
        "install",
        "keymirror",
        "node-libs-browser",
        "path",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "rxjs",
        "superagent",
        "tape",
        "testem",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 158,
      "lastUpdatedAt": "2018-01-22T06:07:29Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3036557?v=4"
    },
    {
      "githubPath": "hammerlab/pileup.js",
      "description": "Interactive in-browser track viewer",
      "homepage": null,
      "dependencies": [
        "arraybuffer-slice",
        "babel",
        "babel-core",
        "babelify",
        "backbone",
        "browserify",
        "chai",
        "coveralls",
        "d3",
        "data-canvas",
        "envify",
        "exorcist",
        "flow-bin",
        "http-server",
        "istanbul",
        "jbinary",
        "jdataview",
        "jsxhint",
        "lcov-parse",
        "memory-cache",
        "mocha",
        "mocha-lcov-reporter",
        "mocha-phantomjs",
        "mocha-phantomjs-istanbul",
        "number-to-locale-string",
        "pako",
        "parse-data-uri",
        "phantomjs",
        "prepush-hook",
        "q",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "shallow-equals",
        "sinon",
        "smash",
        "source-map",
        "stats.js",
        "travis-weigh-in",
        "uglify-js",
        "uglifyify",
        "underscore",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 193,
      "lastUpdatedAt": "2018-02-01T18:30:12Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/6563873?v=4"
    },
    {
      "githubPath": "winkerVSbecks/fermat-point",
      "description": "A fermat point calculator built using SVG and ReactJS",
      "homepage": "http://winkervsbecks.github.io/fermat-point",
      "dependencies": [
        "basscss",
        "basscss-base-forms",
        "basscss-color-forms",
        "basscss-color-input-range",
        "basscss-highlight",
        "basscss-input-range",
        "colors.css",
        "cssnext",
        "htmltidy",
        "js-beautify",
        "json-loader",
        "jsx-loader",
        "lodash",
        "marked",
        "node-libs-browser",
        "ramda",
        "react",
        "react-to-jsx",
        "react-tools",
        "static-site-generator-webpack-plugin",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 20,
      "lastUpdatedAt": "2017-12-31T14:22:29Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/42671?v=4"
    },
    {
      "githubPath": "gillesdemey/Cumulus",
      "description": "☁️  A SoundCloud player that lives in your menubar.",
      "homepage": "http://gillesdemey.github.io/Cumulus",
      "dependencies": [
        "browserify",
        "classnames",
        "electron-settings",
        "envify",
        "grunt",
        "grunt-browserify",
        "grunt-contrib-clean",
        "grunt-contrib-watch",
        "grunt-electron",
        "grunt-env",
        "grunt-sass",
        "lodash",
        "make-dmg",
        "mcfly",
        "menubar",
        "moment",
        "react",
        "react-router",
        "reactify",
        "request-promise",
        "semver",
        "uglify-js",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 958,
      "lastUpdatedAt": "2018-02-02T07:06:04Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/868844?v=4"
    },
    {
      "githubPath": "rrag/react-stockcharts",
      "description": "Highly customizable stock charts with ReactJS and d3",
      "homepage": "http://rrag.github.io/react-stockcharts",
      "dependencies": [
        "autoprefixer-loader",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-3",
        "bootstrap",
        "cross-env",
        "css-loader",
        "d3-array",
        "d3-collection",
        "d3-dsv",
        "d3-force",
        "d3-format",
        "d3-interpolate",
        "d3-path",
        "d3-scale",
        "d3-selection",
        "d3-shape",
        "d3-time",
        "d3-time-format",
        "debug",
        "es6-promise",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-const-immutable",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "file-loader",
        "html-loader",
        "html-webpack-plugin",
        "json-loader",
        "lodash.flattendeep",
        "modernizr",
        "ncp",
        "node-sass",
        "prismjs",
        "progress-bar-webpack-plugin",
        "prop-types",
        "react",
        "react-bootstrap",
        "react-dom",
        "remarkable-loader",
        "rimraf",
        "sass-loader",
        "save-svg-as-png",
        "shelljs",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-config-utils",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [],
      "lastStarCount": 1387,
      "lastUpdatedAt": "2018-02-02T15:03:06Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10691183?v=4"
    },
    {
      "githubPath": "FormidableLabs/spectacle",
      "description": "ReactJS based Presentation Library",
      "homepage": "http://formidable.com/open-source/spectacle/",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-emotion",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "cross-env",
        "css-loader",
        "deep-object-diff",
        "emotion",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-formidable",
        "eslint-plugin-filenames",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "history",
        "jest",
        "jest-serializer-enzyme",
        "lodash",
        "marksy",
        "node-libs-browser",
        "normalize.css",
        "prismjs",
        "prop-types",
        "raw-loader",
        "react",
        "react-dom",
        "react-emotion",
        "react-live",
        "react-redux",
        "react-test-renderer",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "react-transition-group",
        "react-typography",
        "redbox-react",
        "redux",
        "redux-actions",
        "rimraf",
        "style-loader",
        "surge",
        "to-style",
        "url-loader",
        "victory-core",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [],
      "lastStarCount": 5950,
      "lastUpdatedAt": "2018-02-02T15:01:07Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5078602?v=4"
    },
    {
      "githubPath": "ohall/react-pong",
      "description": ":white_check_mark: A pong game React component",
      "homepage": "http://ohall.github.io/react-pong",
      "dependencies": [
        "babel",
        "babelify",
        "browserify",
        "del",
        "eslint",
        "gulp",
        "gulp-babel",
        "lodash",
        "react",
        "vinyl-source-stream"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 44,
      "lastUpdatedAt": "2017-10-29T03:35:13Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/848113?v=4"
    },
    {
      "githubPath": "whoisandy/yoda",
      "description": "A nifty Mac OS X app to browse and download YouTube videos",
      "homepage": "http://whoisandy.github.io/yoda",
      "dependencies": [
        "alt",
        "appdmg",
        "axios",
        "babel",
        "bootstrap",
        "cheerio",
        "del",
        "gulp",
        "gulp-babel",
        "gulp-changed",
        "gulp-concat",
        "gulp-cssmin",
        "gulp-download-electron",
        "gulp-if",
        "gulp-less",
        "gulp-livereload",
        "gulp-load-plugins",
        "gulp-plumber",
        "gulp-shell",
        "gulp-uglify",
        "gulp-util",
        "immutable",
        "moment",
        "object-assign",
        "react",
        "react-router",
        "react-tools",
        "run-sequence",
        "sfx",
        "ytdl-core"
      ],
      "tags": [],
      "lastStarCount": 326,
      "lastUpdatedAt": "2018-02-02T09:31:10Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/297132?v=4"
    },
    {
      "githubPath": "FormidableLabs/es6-interactive-guide",
      "description": "An interactive guide to ES6",
      "homepage": "http://stack.formidable.com/es6-interactive-guide/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "component-playground",
        "css-loader",
        "lodash",
        "radium",
        "raw-loader",
        "react",
        "react-router",
        "style-loader",
        "stylus-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "educational"
      ],
      "lastStarCount": 142,
      "lastUpdatedAt": "2017-12-09T17:57:13Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5078602?v=4"
    },
    {
      "githubPath": "pbeshai/linked-highlighting-react-d3-reflux",
      "description": "An example of doing linked highlighting using React, d3.js and Reflux",
      "homepage": "http://pbeshai.github.io/linked-highlighting-react-d3-reflux/",
      "dependencies": [
        "babel",
        "babel-loader",
        "css-loader",
        "d3",
        "grunt",
        "grunt-contrib-clean",
        "grunt-contrib-connect",
        "grunt-contrib-copy",
        "grunt-karma",
        "grunt-open",
        "grunt-webpack",
        "jshint-loader",
        "jsxhint-loader",
        "karma",
        "karma-chrome-launcher",
        "karma-firefox-launcher",
        "karma-jasmine",
        "karma-phantomjs-launcher",
        "karma-script-launcher",
        "karma-webpack",
        "load-grunt-tasks",
        "normalize.css",
        "react",
        "react-hot-loader",
        "reflux",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [],
      "lastStarCount": 37,
      "lastUpdatedAt": "2017-11-06T16:56:37Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/793847?v=4"
    },
    {
      "githubPath": "christopherdro/react-native-rss-reader",
      "description": "RSS Reader built with React Native",
      "homepage": null,
      "dependencies": [
        "flux-util",
        "lodash",
        "react-native"
      ],
      "tags": [],
      "lastStarCount": 127,
      "lastUpdatedAt": "2018-02-01T08:54:45Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3741055?v=4"
    },
    {
      "githubPath": "prakhar1989/react-term",
      "description": "A simple terminal emulator in React ",
      "homepage": "http://www.columbia.edu/~ps2894/",
      "dependencies": [
        "babelify",
        "browserify",
        "react",
        "reactify",
        "uglify-js",
        "underscore",
        "watchify"
      ],
      "tags": [],
      "lastStarCount": 116,
      "lastUpdatedAt": "2018-01-31T16:39:18Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/649249?v=4"
    },
    {
      "githubPath": "asamiller/den",
      "description": "iPhone app built with React Native for viewing houses for sale in the Northwest",
      "homepage": "",
      "dependencies": [
        "buffer",
        "cheerio",
        "events",
        "lodash",
        "moment",
        "react-native",
        "stream",
        "string"
      ],
      "tags": [],
      "lastStarCount": 414,
      "lastUpdatedAt": "2018-01-30T15:16:44Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/5133623?v=4"
    },
    {
      "githubPath": "iSimar/HackerNews-React-Native",
      "description": "Hacker News iOS and Android App - Made with React Native.",
      "homepage": "http://i.imgur.com/3ijCDTL.png",
      "dependencies": [
        "react-native",
        "react-native-activity-view",
        "react-native-gifted-listview",
        "react-native-scrollable-tab-view",
        "react-native-vector-icons"
      ],
      "tags": [
        "clone"
      ],
      "lastStarCount": 3306,
      "lastUpdatedAt": "2018-02-02T05:55:50Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5649414?v=4"
    },
    {
      "githubPath": "gre/bezier-easing-editor",
      "description": "Cubic Bezier Curve editor made with React & SVG",
      "homepage": "http://gre.github.io/bezier-easing-editor/example/",
      "dependencies": [
        "babel-cli",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "bezier-easing",
        "prop-types",
        "uncontrollable"
      ],
      "tags": [],
      "lastStarCount": 108,
      "lastUpdatedAt": "2018-01-28T06:05:16Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/211411?v=4"
    },
    {
      "githubPath": "joemaddalone/react-native-todo",
      "description": "A simple To Do application written in React Native",
      "homepage": "",
      "dependencies": [
        "babel-jest",
        "babel-preset-react-native",
        "jest",
        "react",
        "react-native",
        "react-test-renderer",
        "tcomb-form-native"
      ],
      "tags": [
        "todo"
      ],
      "lastStarCount": 164,
      "lastUpdatedAt": "2018-01-15T07:55:30Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/505209?v=4"
    },
    {
      "githubPath": "gpbl/isomorphic500",
      "description": "A 500px app built with React and Fluxible with babeljs",
      "homepage": "http://isomorphic500.herokuapp.com",
      "dependencies": [
        "autoprefixer-loader",
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "body-parser",
        "compression",
        "cookie-parser",
        "css-loader",
        "csurf",
        "debug",
        "es6-promise",
        "eslint",
        "eslint-plugin-react",
        "expose-loader",
        "express",
        "extract-text-webpack-plugin",
        "favicon",
        "file-loader",
        "fluxible",
        "fluxible-addons-react",
        "fluxible-plugin-fetchr",
        "fluxible-router",
        "immutable",
        "intl",
        "intl-locales-supported",
        "intl-messageformat",
        "keymirror",
        "locale",
        "lodash",
        "morgan",
        "node-sass",
        "nodemon",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-intl",
        "sass-loader",
        "serialize-javascript",
        "serve-favicon",
        "serve-static",
        "strip-loader",
        "style-loader",
        "superagent",
        "webpack",
        "webpack-dev-server",
        "webpack-error-notification",
        "webpack-stats-plugin"
      ],
      "tags": [],
      "lastStarCount": 1326,
      "lastUpdatedAt": "2018-02-01T16:23:03Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/120693?v=4"
    },
    {
      "githubPath": "bradoyler/newswatch-react-native",
      "description": "📺 A news app using YouTube playlists, built with React Native",
      "homepage": "",
      "dependencies": [
        "eslint",
        "eslint-config-esnext",
        "eslint-config-react-native",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "eslint-plugin-react-native",
        "expo",
        "jest-expo",
        "moment",
        "prop-types",
        "react",
        "react-native",
        "react-native-scripts",
        "react-navigation",
        "react-test-renderer",
        "react-timer-mixin"
      ],
      "tags": [],
      "lastStarCount": 130,
      "lastUpdatedAt": "2018-01-29T11:06:21Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/425966?v=4"
    },
    {
      "githubPath": "ccoenraets/belgian-beer-explorer",
      "description": "App built with React, Bootstrap, Node.js, Postgres",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "compression",
        "express",
        "path",
        "pg",
        "react",
        "react-dom",
        "react-slider",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 179,
      "lastUpdatedAt": "2018-01-29T18:50:20Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/384156?v=4"
    },
    {
      "githubPath": "jhewlett/react-reversi",
      "description": "Implementation of the game of Reversi (Othello) in React.js.",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "immutable",
        "lodash",
        "object-assign",
        "prettier",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "redux",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "game"
      ],
      "lastStarCount": 18,
      "lastUpdatedAt": "2017-11-14T03:06:37Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1883526?v=4"
    }
  ]
}