module.exports = {
  "key": "react-starter-projects",
  "name": "React Starter Projects",
  "description": "Repositories that you can copy and modify to create your own React app.",
  "aka": [
    "react boilerplates",
    "react starters",
    "react seeds"
  ],
  "tags": [
    {
      "name": "dependency",
      "aka": [
        "updateable"
      ],
      "description": "Rather than copying the project, you add it as a dependency. This makes updates a lot easier and keeps your project cleaner."
    },
    {
      "name": "gatsby",
      "description": "Gatsby is a static site generator. These starters are static sites built with Gatsby."
    },
    {
      "name": "babel",
      "description": "Babel transpiles JavaScript."
    },
    {
      "name": "coffeescript",
      "aka": [
        "coffee",
        "coffee script"
      ],
      "description": "CoffeeScript is a language that compiles into JavaScript"
    },
    {
      "name": "css modules",
      "aka": [
        "css-modules"
      ],
      "description": "A CSS Module is a CSS file in which all class names and animation names are scoped locally by default."
    },
    {
      "name": "redux",
      "description": "Redux is used for state management."
    },
    {
      "name": "flux",
      "description": "Flux is used for state management."
    },
    {
      "name": "mobx",
      "description": "Mobx is used for state management."
    },
    {
      "name": "hmr",
      "aka": [
        "hot",
        "hot module reloading"
      ],
      "description": "Supports updating JavaScript in the browser without a refresh."
    },
    {
      "name": "inline style",
      "aka": [
        "inline CSS"
      ],
      "description": "CSS is added with inline style properties rather than in a separate stylesheet."
    },
    {
      "name": "linter",
      "aka": [
        "lint"
      ],
      "description": "Linters are used to catch errors and coding style issues early."
    },
    {
      "name": "live reload",
      "aka": [
        "auto reload",
        "browser reload"
      ],
      "description": "Automatic browser refresh whenever the developer makes code changes in the text editor."
    },
    {
      "name": "minimal",
      "aka": [
        "simple"
      ],
      "description": "A project is considered 'minimal' if it has fewer than 20 dependencies."
    },
    {
      "name": "rails"
    },
    {
      "name": "native"
    },
    {
      "name": "router",
      "aka": [
        "routing"
      ],
      "description": "Uses react-router to keep the UI in sync with the URL."
    },
    {
      "name": "tests",
      "aka": [
        "test",
        "unit test"
      ],
      "description": "The project has same framework set up for testing."
    },
    {
      "name": "typescript",
      "description": "TypeScript is a typed superset of JavaScript that compiles to plain JavaScript."
    },
    {
      "name": "universal",
      "aka": [
        "isomorphic"
      ],
      "description": "Runs on both the client and the server, usually with Express or Koa."
    },
    {
      "name": "webpack 3",
      "aka": [
        "webpack3"
      ],
      "description": "Webpack 3 was released in June 2017."
    },
    {
      "name": "webpack 4",
      "aka": [
        "webpack4"
      ],
      "description": "Webpack 4 was released in Feb 2018."
    },
    {
      "name": "flow",
      "aka": [
        "flowtype"
      ],
      "description": "Static type checker by Facebook"
    },
    {
      "name": "parcel-bundler",
      "aka": [
        "parcel"
      ],
      "description": "Blazing fast, zero configuration web application bundler"
    },
    {
      "name": "HMR"
    }
  ],
  "articles": [],
  "projects": [
    {
      "githubPath": "jaredpalmer/after.js",
      "description": "Next.js-like framework for server-rendered React apps built with React Router 4",
      "homepage": "https://npm.im/@jaredpalmer/after",
      "dependencies": [
        "eslint",
        "husky",
        "jest",
        "lerna",
        "lerna-changelog",
        "lint-staged",
        "prettier",
        "ps-tree",
        "semver",
        "shelljs"
      ],
      "tags": [
        "dependency",
        "linter",
        "minimal",
        "tests"
      ],
      "lastStarCount": 1880,
      "lastUpdatedAt": "2018-02-02T11:30:45Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4060187?v=4"
    },
    {
      "githubPath": "gatsbyjs/gatsby",
      "description": "⚛️📄🚀 Blazing fast static site generator for React",
      "homepage": "https://www.gatsbyjs.org",
      "dependencies": [
        "async",
        "babel-cli",
        "babel-code-frame",
        "babel-core",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-transform-object-assign",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "babel-traverse",
        "babylon",
        "better-queue",
        "bluebird",
        "chalk",
        "chokidar",
        "chunk-manifest-webpack-plugin",
        "common-tags",
        "convert-hrtime",
        "copyfiles",
        "core-js",
        "cross-env",
        "css-loader",
        "debug",
        "del",
        "detect-port",
        "domready",
        "dotenv",
        "express",
        "express-graphql",
        "extract-text-webpack-plugin",
        "file-loader",
        "flat",
        "friendly-errors-webpack-plugin",
        "front-matter",
        "fs-extra",
        "gatsby-1-config-css-modules",
        "gatsby-cli",
        "gatsby-link",
        "gatsby-module-loader",
        "gatsby-react-router-scroll",
        "glob",
        "graphql",
        "graphql-relay",
        "graphql-skip-limit",
        "history",
        "invariant",
        "is-relative",
        "is-relative-url",
        "joi",
        "json-loader",
        "json-stringify-safe",
        "json5",
        "lodash",
        "lodash-id",
        "lowdb",
        "md5",
        "md5-file",
        "mime",
        "mitt",
        "mkdirp",
        "moment",
        "node-libs-browser",
        "normalize-path",
        "null-loader",
        "nyc",
        "opn",
        "parse-filepath",
        "path-exists",
        "postcss-browser-reporter",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "raw-loader",
        "react",
        "react-dev-utils",
        "react-dom",
        "react-error-overlay",
        "react-hot-loader",
        "react-router",
        "react-router-dom",
        "redux",
        "relay-compiler",
        "remote-redux-devtools",
        "rimraf",
        "serve",
        "shallow-compare",
        "sift",
        "signal-exit",
        "slash",
        "socket.io",
        "static-site-generator-webpack-plugin",
        "string-similarity",
        "style-loader",
        "type-of",
        "url-loader",
        "uuid",
        "v8-compile-cache",
        "webpack",
        "webpack-configurator",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-md5-hash",
        "webpack-stats-plugin",
        "webpack-validator",
        "yaml-loader"
      ],
      "tags": [
        "dependency",
        "css modules",
        "babel",
        "redux",
        "hmr",
        "router"
      ],
      "lastStarCount": 18343,
      "lastUpdatedAt": "2018-02-02T15:37:51Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12551863?v=4"
    },
    {
      "githubPath": "gatsbyjs/gatsby-starter-default",
      "description": "The default Gatsby starter",
      "homepage": "http://gatsbyjs.github.io/gatsby-starter-default/",
      "dependencies": [
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-react-helmet",
        "prettier",
        "react-helmet"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 104,
      "lastUpdatedAt": "2018-02-01T13:15:11Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12551863?v=4"
    },
    {
      "githubPath": "gatsbyjs/gatsby-starter-blog",
      "description": "Gatsby starter for creating a blog",
      "homepage": "http://gatsbyjs.github.io/gatsby-starter-blog/",
      "dependencies": [
        "eslint",
        "eslint-plugin-react",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-feed",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-offline",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-sharp",
        "gatsby-plugin-typography",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-remark-smartypants",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "gh-pages",
        "lodash",
        "prettier",
        "react-responsive-grid",
        "typeface-merriweather",
        "typeface-montserrat",
        "typography-theme-wordpress-2016"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 307,
      "lastUpdatedAt": "2018-02-01T17:32:42Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12551863?v=4"
    },
    {
      "githubPath": "gatsbyjs/gatsby-starter-hello-world",
      "description": "Starter with the bare essentials needed for a Gatsby site",
      "homepage": "https://aberrant-fifth.surge.sh/",
      "dependencies": [
        "gatsby",
        "gatsby-link"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 24,
      "lastUpdatedAt": "2018-02-01T12:28:25Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12551863?v=4"
    },
    {
      "githubPath": "Vagr9K/gatsby-material-starter",
      "description": "A blog starter with Material design in mind for GatsbyJS.",
      "homepage": "https://vagr9k.github.io/gatsby-material-starter/",
      "dependencies": [
        "babel-plugin-lodash",
        "cli-glob",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "font-awesome",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-catch-links",
        "gatsby-plugin-feed",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-manifest",
        "gatsby-plugin-nprogress",
        "gatsby-plugin-offline",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-sass",
        "gatsby-plugin-sharp",
        "gatsby-plugin-sitemap",
        "gatsby-plugin-twitter",
        "gatsby-remark-autolink-headers",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gh-pages",
        "lodash",
        "lodash-webpack-plugin",
        "prettier",
        "react",
        "react-disqus-comments",
        "react-dom",
        "react-helmet",
        "react-md",
        "react-share",
        "react-twitter-widgets",
        "remark-cli",
        "remark-preset-lint-recommended",
        "stylefmt",
        "stylelint",
        "stylelint-config-standard",
        "write-good"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 140,
      "lastUpdatedAt": "2018-02-01T20:39:37Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/5121786?v=4"
    },
    {
      "githubPath": "fabien0102/gatsby-starter",
      "description": "Gatsby 1.0 starter with typescript and many cools dev tools",
      "homepage": null,
      "dependencies": [
        "@storybook/addon-actions",
        "@storybook/addon-knobs",
        "@storybook/addon-notes",
        "@storybook/addon-options",
        "@storybook/react",
        "@types/enzyme",
        "@types/jest",
        "@types/lodash",
        "@types/node",
        "@types/react",
        "@types/react-dom",
        "@types/react-helmet",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-dom",
        "@types/react-test-renderer",
        "@types/storybook__addon-actions",
        "@types/storybook__addon-knobs",
        "@types/storybook__addon-notes",
        "@types/storybook__addon-options",
        "@types/storybook__react",
        "@types/webpack-env",
        "babel-eslint",
        "change-case",
        "codeclimate-test-reporter",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint-config-xo-react",
        "eslint-plugin-react",
        "flat",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-glamor",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-manifest",
        "gatsby-plugin-offline",
        "gatsby-plugin-sharp",
        "gatsby-plugin-typescript",
        "gatsby-remark-autolink-headers",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-source-filesystem",
        "gatsby-transformer-json",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "graphql-code-generator",
        "gray-matter",
        "husky",
        "jest",
        "lint-staged",
        "lodash",
        "mkdirp",
        "plop",
        "raw-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-test-renderer",
        "redux-devtools-extension",
        "remark-cli",
        "remark-preset-lint-recommended",
        "semantic-ui-react",
        "slash",
        "storybook-readme",
        "stylelint",
        "stylelint-config-standard",
        "ts-jest",
        "ts-lint",
        "ts-loader",
        "typescript",
        "xo"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter",
        "tests",
        "typescript"
      ],
      "lastStarCount": 104,
      "lastUpdatedAt": "2018-02-01T23:41:43Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1761469?v=4"
    },
    {
      "githubPath": "jaxx2104/gatsby-starter-bootstrap",
      "description": "Gatsby starter for bootstrap a blog",
      "homepage": "https://gatstrap.netlify.com/",
      "dependencies": [
        "animate.css",
        "babel-eslint",
        "bootstrap",
        "devicon",
        "emergence.js",
        "eslint",
        "eslint-config-prettier",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "font-awesome",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-catch-links",
        "gatsby-plugin-feed",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-manifest",
        "gatsby-plugin-netlify",
        "gatsby-plugin-nprogress",
        "gatsby-plugin-offline",
        "gatsby-plugin-preact",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-react-next",
        "gatsby-plugin-sass",
        "gatsby-plugin-sharp",
        "gatsby-plugin-sitemap",
        "gatsby-plugin-twitter",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-remark-smartypants",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "gh-pages",
        "husky",
        "lint-staged",
        "lodash",
        "normalize.css",
        "prettier",
        "react-helmet",
        "react-lazyload",
        "striptags",
        "textlint",
        "textlint-rule-preset-ja-spacing",
        "textlint-rule-preset-japanese"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 62,
      "lastUpdatedAt": "2018-02-01T20:50:36Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2681007?v=4"
    },
    {
      "githubPath": "dschau/gatsby-blog-starter-kit",
      "description": "A simple starter kit for a static blog created with Gatsby",
      "homepage": "https://dschau.github.io/gatsby-blog-starter-kit/",
      "dependencies": [
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-catch-links",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-react-next",
        "gatsby-plugin-sharp",
        "gatsby-remark-images",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gh-pages",
        "prettier",
        "react",
        "react-dom",
        "react-icons"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 68,
      "lastUpdatedAt": "2018-01-26T17:21:55Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3924690?v=4"
    },
    {
      "githubPath": "Vagr9K/gatsby-advanced-starter",
      "description": "A skeleton starter for GatsbyJS that focuses on SEO/Social features/development environment.",
      "homepage": "https://vagr9k.github.io/gatsby-advanced-starter/",
      "dependencies": [
        "babel-plugin-lodash",
        "cli-glob",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-catch-links",
        "gatsby-plugin-feed",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-manifest",
        "gatsby-plugin-nprogress",
        "gatsby-plugin-offline",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-sharp",
        "gatsby-plugin-sitemap",
        "gatsby-plugin-twitter",
        "gatsby-remark-autolink-headers",
        "gatsby-remark-copy-linked-files",
        "gatsby-remark-images",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gh-pages",
        "lodash",
        "lodash-webpack-plugin",
        "prettier",
        "react",
        "react-disqus-comments",
        "react-dom",
        "react-helmet",
        "react-share",
        "react-twitter-widgets",
        "remark-cli",
        "remark-preset-lint-recommended",
        "stylefmt",
        "stylelint",
        "stylelint-config-standard",
        "write-good"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 159,
      "lastUpdatedAt": "2018-02-02T05:36:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/5121786?v=4"
    },
    {
      "githubPath": "100ideas/glitch-gatsby-starter-blog",
      "description": "gatsby-starter-blog on glitch.com",
      "homepage": "https://gatsby-starter-blog.glitch.me/",
      "dependencies": [
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-manifest",
        "gatsby-plugin-offline",
        "gatsby-plugin-preact",
        "gatsby-plugin-react-helmet",
        "gatsby-remark-prismjs",
        "gatsby-remark-responsive-iframe",
        "gatsby-remark-smartypants",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "lodash",
        "react-responsive-grid",
        "react-typography",
        "typeface-merriweather",
        "typeface-montserrat",
        "typography",
        "typography-theme-wordpress-2016"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 4,
      "lastUpdatedAt": "2018-01-26T17:22:32Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/57006?v=4"
    },
    {
      "githubPath": "alampros/gatsby-starter-grommet",
      "description": "Gatsby starter with the Grommet design system",
      "homepage": "https://alampros.github.io/gatsby-starter-grommet/",
      "dependencies": [
        "autoprefixer",
        "extract-text-webpack-plugin",
        "gatsby",
        "gatsby-link",
        "gh-pages",
        "grommet",
        "node-sass",
        "prop-types",
        "react",
        "react-dom",
        "sass-loader"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 11,
      "lastUpdatedAt": "2018-01-27T19:02:46Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/297461?v=4"
    },
    {
      "githubPath": "PrototypeInteractive/gatsby-react-boilerplate",
      "description": "Gatsbyjs boilerplate",
      "homepage": "https://prototypeinteractive.github.io/gatsby-react-boilerplate/",
      "dependencies": [
        "autoprefixer",
        "basic-auth",
        "bootstrap",
        "compression",
        "cross-env",
        "debug",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-postcss-sass",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-react-next",
        "gatsby-source-filesystem",
        "gatsby-transformer-json",
        "gh-pages",
        "helmet",
        "pixrem",
        "serve-static",
        "shx",
        "svg-sprite-loader"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 21,
      "lastUpdatedAt": "2018-02-02T14:52:31Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6770443?v=4"
    },
    {
      "githubPath": "angeloocana/gatsby-starter-default-i18n",
      "description": "The default Gatsby i18n (Multilanguage) starter",
      "homepage": "https://gatsby-starter-default-i18n.netlify.com",
      "dependencies": [
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-i18n",
        "gatsby-plugin-react-helmet",
        "intl",
        "prettier",
        "react-intl"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 6,
      "lastUpdatedAt": "2018-01-26T17:24:35Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/5487699?v=4"
    },
    {
      "githubPath": "saschajullmann/gatsby-starter-gatsbythemes",
      "description": "Basic gatsby-starter package",
      "homepage": null,
      "dependencies": [
        "emotion",
        "emotion-server",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "feather-icons",
        "gatsby",
        "gatsby-image",
        "gatsby-link",
        "gatsby-plugin-emotion",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-offline",
        "gatsby-plugin-react-next",
        "gatsby-plugin-sharp",
        "gatsby-source-filesystem",
        "gatsby-transformer-json",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "gatsby-transformer-yaml",
        "jest",
        "normalize.css",
        "prettier",
        "prop-types",
        "react-emotion",
        "styled-system"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter",
        "tests"
      ],
      "lastStarCount": 44,
      "lastUpdatedAt": "2018-02-01T07:03:44Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/22232744?v=4"
    },
    {
      "githubPath": "AustinGreen/gatsby-starter-netlify-cms",
      "description": "Example gatsby + netlify cms project",
      "homepage": "https://gatsby-netlify-cms.netlify.com/",
      "dependencies": [
        "bulma",
        "gatsby",
        "gatsby-link",
        "gatsby-plugin-netlify-cms",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-sass",
        "gatsby-plugin-sharp",
        "gatsby-remark-images",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "prettier",
        "prop-types",
        "react",
        "react-helmet",
        "react-load-script"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "minimal"
      ],
      "lastStarCount": 155,
      "lastUpdatedAt": "2018-02-01T12:24:29Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/5200555?v=4"
    },
    {
      "githubPath": "LeKoArts/gatsby-starter-portfolio-emma",
      "description": "A portfolio starter for Gatsby (White Theme, Grid Layout). The target audience are designers and photographers.",
      "homepage": "https://embalmer-glues-43220.netlify.com/",
      "dependencies": [
        "autoprefixer",
        "babel-eslint",
        "babel-preset-env",
        "classnames",
        "date-fns",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "gatsby",
        "gatsby-image",
        "gatsby-link",
        "gatsby-plugin-catch-links",
        "gatsby-plugin-google-analytics",
        "gatsby-plugin-lodash",
        "gatsby-plugin-manifest",
        "gatsby-plugin-nprogress",
        "gatsby-plugin-offline",
        "gatsby-plugin-postcss-sass",
        "gatsby-plugin-react-helmet",
        "gatsby-plugin-sharp",
        "gatsby-plugin-sitemap",
        "gatsby-plugin-typography",
        "gatsby-remark-external-links",
        "gatsby-remark-images",
        "gatsby-remark-responsive-iframe",
        "gatsby-source-filesystem",
        "gatsby-transformer-remark",
        "gatsby-transformer-sharp",
        "lodash",
        "react-burger-menu",
        "react-headroom",
        "react-helmet",
        "react-icons",
        "react-palette",
        "react-reveal",
        "rucksack-css"
      ],
      "tags": [
        "css modules",
        "gatsby",
        "linter"
      ],
      "lastStarCount": 36,
      "lastUpdatedAt": "2018-01-29T16:43:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16143594?v=4"
    },
    {
      "githubPath": "esausilva/react-starter-boilerplate-hmr",
      "description": "React starter boilerplate with Hot Module Replacement, React 16 and Webpack 3",
      "homepage": "https://esausilva.com/2018/01/13/learn-webpack-for-react/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-1",
        "chalk",
        "cross-env",
        "css-loader",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "postcss-loader",
        "react",
        "react-delay-render",
        "react-dom",
        "react-hot-loader",
        "react-imported-component",
        "react-prop-types",
        "react-router-dom",
        "rimraf",
        "semantic-ui-react",
        "style-loader",
        "uglifyjs-webpack-plugin",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-server",
        "webpack-merge"
      ],
      "tags": [
        "babel",
        "hmr",
        "webpack 3"
      ],
      "lastStarCount": 17,
      "lastUpdatedAt": "2018-02-01T18:14:56Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/9492978?v=4"
    },
    {
      "githubPath": "a-tarasyuk/rr-boilerplate",
      "description": "Lightweight React&Redux boilerplate",
      "homepage": "",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "caniuse-db",
        "classnames",
        "compression-webpack-plugin",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "html-webpack-plugin",
        "http-server",
        "normalize.css",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-nested",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-config",
        "react-router-dom",
        "react-router-redux",
        "redux",
        "redux-logger",
        "redux-thunk",
        "rimraf",
        "style-loader",
        "stylelint",
        "stylelint-config-standard",
        "stylelint-webpack-plugin",
        "thread-loader",
        "uglifyjs-webpack-plugin",
        "webpack",
        "webpack-dev-server",
        "webpack-merge"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "webpack 3"
      ],
      "lastStarCount": 33,
      "lastUpdatedAt": "2018-01-07T20:12:18Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/509265?v=4"
    },
    {
      "githubPath": "acdlite/flummox-isomorphic-demo",
      "description": "Demo of how to create isomorphic apps using Flummox and react-router",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "flummox",
        "immutable",
        "koa",
        "koa-conditional-get",
        "koa-etag",
        "koa-fresh",
        "koa-gzip",
        "koa-router",
        "koa-static",
        "koa-views",
        "nodemon",
        "react",
        "react-document-title",
        "react-hot-loader",
        "react-router",
        "source-map-support",
        "superagent",
        "then-jade",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "router",
        "universal"
      ],
      "lastStarCount": 92,
      "lastUpdatedAt": "2017-11-04T17:53:10Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3624098?v=4"
    },
    {
      "githubPath": "adampash/react-native-hot-redux-starter",
      "description": null,
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "react-native",
        "react-native-webpack-server",
        "react-redux",
        "react-transform-hmr",
        "redux",
        "redux-thunk",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "minimal",
        "native"
      ],
      "lastStarCount": 135,
      "lastUpdatedAt": "2017-12-18T22:45:23Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/64131?v=4"
    },
    {
      "githubPath": "akopichin/webpack-react-template",
      "description": "Typescript, React/Redux boilerplate bundling with webpack 3.0 and react 16",
      "homepage": "",
      "dependencies": [
        "@types/bluebird",
        "@types/eventemitter3",
        "@types/lodash",
        "@types/pure-render-decorator",
        "@types/react",
        "@types/react-addons-css-transition-group",
        "@types/react-addons-pure-render-mixin",
        "@types/react-addons-test-utils",
        "@types/react-addons-transition-group",
        "@types/react-dom",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-dom",
        "@types/redux-actions",
        "@types/redux-thunk",
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "bluebird",
        "css-loader",
        "eventemitter3",
        "extract-text-webpack-plugin",
        "lodash",
        "node-sass",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "redux-actions",
        "redux-promise-middleware",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "superagent",
        "superagent-bluebird-promise",
        "ts-loader",
        "typescript",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "typescript",
        "webpack 3"
      ],
      "lastStarCount": 4,
      "lastUpdatedAt": "2017-11-07T21:14:53Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/990634?v=4"
    },
    {
      "githubPath": "ReactJSResources/react-webpack-babel",
      "description": "Simple React Webpack Babel Starter Kit",
      "homepage": null,
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-plugin-module-resolver",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-react",
        "babel-runtime",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-plugin-jest",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "jest",
        "loglevel",
        "node-sass",
        "normalize.css",
        "postcss-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-cleanup-plugin",
        "webpack-dashboard",
        "webpack-dev-server"
      ],
      "tags": [
        "css modules",
        "babel",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 1073,
      "lastUpdatedAt": "2018-02-02T02:04:49Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/34755315?v=4"
    },
    {
      "githubPath": "amaurymartiny/react-redux-auth0-kit",
      "description": "Minimal starter boilerplate project with React, Redux, React Router and Auth0 authentication",
      "homepage": null,
      "dependencies": [
        "auth0-lock",
        "enzyme",
        "enzyme-adapter-react-16",
        "jest-localstorage-mock",
        "jwt-decode",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "react-scripts",
        "redux"
      ],
      "tags": [
        "redux",
        "minimal"
      ],
      "lastStarCount": 62,
      "lastUpdatedAt": "2018-01-30T07:10:57Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1293565?v=4"
    },
    {
      "githubPath": "andy9775/YARSP",
      "description": "Yet Another React Starter Pack: A starter pack for ReactJS containing code splitting, testing and an api endpoint.",
      "homepage": null,
      "dependencies": [
        "axios",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-pure-class-to-function",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-plugin-transform-runtime",
        "babel-plugin-webpack-alias",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-runtime",
        "bluebird",
        "body-parser",
        "chai",
        "chai-as-promised",
        "chalk",
        "codeclimate-test-reporter",
        "codecov",
        "compression",
        "cookie-parser",
        "coveralls",
        "css-loader",
        "detect-node",
        "enzyme",
        "esformatter",
        "esformatter-add-trailing-commas",
        "esformatter-braces",
        "esformatter-collapse-objects",
        "esformatter-jquery-chain",
        "esformatter-jsx",
        "esformatter-jsx",
        "esformatter-literal-notation",
        "esformatter-parseint",
        "esformatter-quote-props",
        "esformatter-spaced-lined-comment",
        "esformatter-var-each",
        "eslint",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "express-handlebars",
        "extract-text-webpack-plugin",
        "file-loader",
        "handlebars",
        "helmet",
        "html-webpack-plugin",
        "immutable",
        "istanbul",
        "lodash",
        "method-override",
        "mocha",
        "mocha-clean",
        "mockery",
        "morgan",
        "mute",
        "node-sass",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-router",
        "react-tools",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "require-reload",
        "rewire",
        "sass-loader",
        "serve-favicon",
        "sinon",
        "sinon-chai",
        "sinon-express-mock",
        "style-loader",
        "supertest",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 3,
      "lastUpdatedAt": "2017-09-21T06:14:11Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12144493?v=4"
    },
    {
      "githubPath": "anorudes/redux-easy-boilerplate",
      "description": "React redux easy boilerplate",
      "homepage": "",
      "dependencies": [
        "asset-require-hook",
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-require-ignore",
        "babel-plugin-webpack-alias",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "bluebird",
        "body-parser",
        "chai",
        "chai-as-promised",
        "chai-enzyme",
        "classnames",
        "compression",
        "cookie-parser",
        "cors",
        "css-loader",
        "css-modules-require-hook",
        "enzyme",
        "es6-promise",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "except",
        "exports-loader",
        "express",
        "express-async-wrap",
        "extract-text-webpack-plugin",
        "file-loader",
        "helmet",
        "history",
        "http-proxy",
        "imports-loader",
        "jsdom",
        "mocha",
        "morgan",
        "node-sass",
        "path-chunk-webpack-plugin",
        "postcss-loader",
        "postcss-nested",
        "postcss-partial-import",
        "postcss-short",
        "ramda",
        "react",
        "react-addons-css-transition-group",
        "react-addons-perf",
        "react-addons-test-utils",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router",
        "react-transform-hmr",
        "redux",
        "redux-batched-subscribe",
        "redux-connect",
        "redux-logger",
        "redux-thunk",
        "sass",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "style-loader",
        "superagent",
        "superagent-bluebird-promise",
        "superagent-jsonp",
        "throttle-function",
        "url-loader",
        "webpack",
        "webpack-bundle-size-analyzer",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-merge",
        "whatwg-fetch"
      ],
      "tags": [
        "css modules",
        "babel",
        "css modules",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 659,
      "lastUpdatedAt": "2018-01-29T18:18:08Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2178870?v=4"
    },
    {
      "githubPath": "atSistemas/react-base",
      "description": "atSistemas React/Redux Isomorphic Platform",
      "homepage": "",
      "dependencies": [
        "assets-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-webpack-alias",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "chai",
        "classnames",
        "compression",
        "copy-webpack-plugin",
        "coveralls",
        "create-reduxreducer",
        "cross-env",
        "css-loader",
        "css-modules-require-hook",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb-base",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "generator-webapp",
        "google-map-react",
        "helmet",
        "ignore-styles",
        "immutable",
        "isomorphic-fetch",
        "istanbul",
        "jsdom",
        "mocha",
        "nyc",
        "postcss-browser-reporter",
        "postcss-clean",
        "postcss-import",
        "postcss-loader",
        "postcss-mixins",
        "postcss-modules-extract-imports",
        "postcss-nested",
        "postcss-reporter",
        "postcss-url",
        "precss",
        "progress-bar-webpack-plugin",
        "react",
        "react-addons-linked-state-mixin",
        "react-controllables",
        "react-dom",
        "react-ink",
        "react-pure-render",
        "react-redux",
        "react-router",
        "react-test-renderer",
        "recompose",
        "redux",
        "redux-logger",
        "redux-req-middleware",
        "rimraf",
        "sinon",
        "style-loader",
        "stylelint",
        "supports-color",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "yeoman-option-or-prompt",
        "yo"
      ],
      "tags": [
        "babel",
        "css modules",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 67,
      "lastUpdatedAt": "2017-11-22T02:21:17Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/779447?v=4"
    },
    {
      "githubPath": "Atyantik/react-pwa",
      "description": "An upgradable boilerplate for Progressive web applications (PWA) with server side rendering, build with SEO in mind and achieving max page speed and optimized user experience.",
      "homepage": "https://www.reactpwa.com",
      "dependencies": [
        "pawjs"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 1231,
      "lastUpdatedAt": "2018-02-02T06:14:15Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3055502?v=4"
    },
    {
      "githubPath": "BackSpaceTech/react-bootstrap-boilerplate",
      "description": "Webpack Boilerplate for React-Bootstrap",
      "homepage": "https://backspace.academy/",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-survivejs-kanban",
        "clean-webpack-plugin",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "expose-loader",
        "extract-text-webpack-plugin",
        "file-loader",
        "gh-pages",
        "html-webpack-plugin",
        "html-webpack-template",
        "isparta-loader",
        "karma",
        "karma-coverage",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-sourcemap-loader",
        "karma-spec-reporter",
        "karma-webpack",
        "mocha",
        "npm-install-webpack-plugin",
        "phantomjs-polyfill",
        "phantomjs-prebuilt",
        "react",
        "react-addons-perf",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-merge",
        "webpack-validator"
      ],
      "tags": [
        "babel",
        "linter",
        "tests"
      ],
      "lastStarCount": 8,
      "lastUpdatedAt": "2018-01-06T17:15:47Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16330741?v=4"
    },
    {
      "githubPath": "balupton/minimal-react",
      "description": "React starter kit that is more minimal than essential",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "ava",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-syntax-decorators",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "coveralls",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-flow-vars",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "hostenv",
        "nyc",
        "postcss-loader",
        "postcss-nested",
        "projectz",
        "radium",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "sinon",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router"
      ],
      "lastStarCount": 3,
      "lastUpdatedAt": "2017-08-13T13:50:35Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/61148?v=4"
    },
    {
      "githubPath": "barbar/vortigern",
      "description": "A universal boilerplate for building web applications w/ TypeScript, React, Redux, Server Side Rendering and more.",
      "homepage": "https://barbar.github.io/vortigern",
      "dependencies": [
        "@types/base16",
        "@types/chai",
        "@types/classnames",
        "@types/enzyme",
        "@types/history",
        "@types/isomorphic-fetch",
        "@types/mocha",
        "@types/node",
        "@types/react",
        "@types/react-addons-test-utils",
        "@types/react-dom",
        "@types/react-helmet",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-redux",
        "@types/redux",
        "@types/redux-devtools",
        "@types/redux-devtools-dock-monitor",
        "@types/redux-devtools-log-monitor",
        "@types/redux-mock-store",
        "@types/redux-thunk",
        "@types/sinon",
        "@types/source-map",
        "@types/uglify-js",
        "@types/webpack",
        "awesome-typescript-loader",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "chai",
        "chalk",
        "classnames",
        "compression",
        "cross-env",
        "css-loader",
        "enzyme",
        "es6-promise",
        "express",
        "extract-text-webpack-plugin",
        "fetch-mock",
        "file-loader",
        "history",
        "isomorphic-fetch",
        "isomorphic-style-loader",
        "istanbul-instrumenter-loader",
        "json-loader",
        "karma",
        "karma-chai",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-es6-shim",
        "karma-firefox-launcher",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sourcemap-loader",
        "karma-webpack",
        "mocha",
        "phantomjs-prebuilt",
        "postcss-assets",
        "postcss-cssnext",
        "postcss-loader",
        "react",
        "react-addons-test-utils",
        "react-css-modules",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-connect",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "rimraf",
        "serve-favicon",
        "source-map-loader",
        "style-loader",
        "stylelint",
        "tslint",
        "tslint-loader",
        "tslint-react",
        "typescript",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-manifest-plugin"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "typescript",
        "universal"
      ],
      "lastStarCount": 534,
      "lastUpdatedAt": "2018-01-31T23:05:57Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/14334479?v=4"
    },
    {
      "githubPath": "bartonhammond/snowflake",
      "description": ":snowflake: A React-Native Android iOS Starter App/ BoilerPlate / Example with Redux, RN Router,  & Jest with the Snowflake Hapi Server running locally or on RedHat OpenShift for the backend, or a Parse Server running locally or remotely on Heroku",
      "homepage": "http://bartonhammond.github.io/snowflake/snowflake.js.html",
      "dependencies": [
        "apsl-react-native-button",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-preset-react-native",
        "docker",
        "eslint",
        "eslint-config-standard",
        "eslint-formatter-pretty",
        "eslint-plugin-flowtype-errors",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "immutable",
        "istanbul",
        "jest",
        "key-mirror",
        "parse",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-mixin",
        "react-native",
        "react-native-i18n",
        "react-native-navbar",
        "react-native-router-flux",
        "react-native-simple-store",
        "react-native-simpledialog-android",
        "react-native-vector-icons",
        "react-redux",
        "react-timer-mixin",
        "redux",
        "redux-mock-store",
        "redux-thunk",
        "regenerator",
        "tcomb-form-native",
        "undefined",
        "underscore",
        "validate.js"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "native",
        "tests"
      ],
      "lastStarCount": 3932,
      "lastUpdatedAt": "2018-02-02T04:01:00Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1282364?v=4"
    },
    {
      "githubPath": "benoitvallon/react-native-nw-react-calculator",
      "description": "Mobile, desktop and website Apps with the same code",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "css-loader",
        "electron-prebuilt",
        "es6-promise",
        "eslint",
        "eslint-plugin-react",
        "events",
        "file-loader",
        "flux",
        "gh-pages",
        "grunt",
        "grunt-cli",
        "grunt-concurrent",
        "grunt-contrib-clean",
        "grunt-contrib-connect",
        "grunt-contrib-copy",
        "grunt-contrib-watch",
        "grunt-exec",
        "grunt-karma",
        "grunt-open",
        "grunt-webpack",
        "history",
        "jasmine-core",
        "jest-cli",
        "jshint",
        "jshint-loader",
        "karma",
        "karma-chrome-launcher",
        "karma-firefox-launcher",
        "karma-jasmine",
        "karma-phantomjs-launcher",
        "karma-script-launcher",
        "karma-webpack",
        "keymirror",
        "load-grunt-tasks",
        "node-sass",
        "normalize.css",
        "object-assign",
        "phantomjs-prebuilt",
        "react-dom",
        "react-hot-loader",
        "react-native",
        "react-native-cli",
        "react-router",
        "sass-loader",
        "serve-static",
        "style-loader",
        "uniqid",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "flux",
        "hmr",
        "linter",
        "native",
        "router",
        "tests"
      ],
      "lastStarCount": 4214,
      "lastUpdatedAt": "2018-02-02T17:28:09Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2761144?v=4"
    },
    {
      "githubPath": "bharani91/react-express-starter",
      "description": "Yet another starting point for creating React apps. Uses React Router, Webpack, HMR, PostCSS & Express.",
      "homepage": "https://react-express-starter.herokuapp.com",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "better-npm-run",
        "bootstrap-loader",
        "bootstrap-sass",
        "css-loader",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "lodash",
        "node-sass",
        "postcss-loader",
        "postcss-nested",
        "react",
        "react-bootstrap",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "resolve-url-loader",
        "rimraf",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "hmr",
        "router"
      ],
      "lastStarCount": 34,
      "lastUpdatedAt": "2017-12-01T21:54:18Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/919147?v=4"
    },
    {
      "githubPath": "birkir/react-typescript-iso-kit",
      "description": "Another starter kit with typescript, jest, isomorphic, webpack etc.",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "browser-sync",
        "css-loader",
        "ejs",
        "express",
        "extract-text-webpack-plugin",
        "http-proxy-middleware",
        "jest-cli",
        "jest-css-modules",
        "less",
        "less-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "source-map-support",
        "style-loader",
        "ts-loader",
        "typescript",
        "typings",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "hmr",
        "router",
        "tests",
        "typescript",
        "universal"
      ],
      "lastStarCount": 23,
      "lastUpdatedAt": "2017-10-22T19:31:34Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/180773?v=4"
    },
    {
      "githubPath": "boiyaa/react-redux-elm-boilerplate",
      "description": "React Redux Elm boilerplate",
      "homepage": "https://boiyaa.github.io/react-redux-elm-boilerplate/",
      "dependencies": [
        "babel-plugin-rewire",
        "elm-hot-loader",
        "elm-webpack-loader",
        "enzyme",
        "eslint-config-prettier",
        "eslint-plugin-prettier",
        "flow-bin",
        "gh-pages",
        "history",
        "material-ui",
        "material-ui-icons",
        "nodemon",
        "npm-run-all",
        "prettier",
        "proxyquire",
        "react",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router-dom",
        "react-router-redux",
        "react-scripts",
        "react-tap-event-plugin",
        "react-test-renderer",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-elm-middleware",
        "redux-mock-store",
        "styled-components"
      ],
      "tags": [
        "redux"
      ],
      "lastStarCount": 1,
      "lastUpdatedAt": "2017-08-17T02:40:35Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/12344093?v=4"
    },
    {
      "githubPath": "bradleyboy/yarsk",
      "description": "Yet Another React Starter Kit",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "chai",
        "cross-env",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-standard",
        "eslint-config-standard-jsx",
        "eslint-config-standard-react",
        "eslint-loader",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "estraverse-fb",
        "extract-text-webpack-plugin",
        "file-loader",
        "gh-pages",
        "html-webpack-plugin",
        "isparta",
        "isparta-instrumenter-loader",
        "karma",
        "karma-chai",
        "karma-coverage",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-notify-reporter",
        "karma-phantomjs-launcher",
        "karma-webpack",
        "less",
        "less-loader",
        "mocha",
        "node-sass",
        "phantomjs-prebuilt",
        "postcss-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests"
      ],
      "lastStarCount": 205,
      "lastUpdatedAt": "2017-09-24T20:07:16Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/755001?v=4"
    },
    {
      "githubPath": "brybrophy/brophy-react-starter",
      "description": "A React and Express Boilerplate With Fully Built Front and Back Ends",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-async-to-generator",
        "babel-plugin-transform-decorators-legacy",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "body-parser",
        "bookshelf",
        "bookshelf-camelcase",
        "chai",
        "compression",
        "cookie-parser",
        "css-loader",
        "dotenv",
        "express",
        "extract-text-webpack-plugin",
        "faker",
        "html-webpack-plugin",
        "http-server",
        "humps",
        "image-webpack-loader",
        "include-media",
        "joi",
        "knex",
        "lazy-route",
        "mobx",
        "mobx-react",
        "mobx-react-devtools",
        "mocha",
        "moment",
        "morgan",
        "node-sass",
        "package",
        "pg",
        "postcss-loader",
        "precss",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-router-dom",
        "resolve-url-loader",
        "rimraf",
        "sass-loader",
        "style-loader",
        "supertest",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "mobx",
        "hmr",
        "tests"
      ],
      "lastStarCount": 16,
      "lastUpdatedAt": "2017-12-13T10:11:13Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16469185?v=4"
    },
    {
      "githubPath": "bvanreeven/react-typescript",
      "description": "Minimal boilerplate for a single-page app using React, TypeScript with JSX support (TSX), and Visual Studio Code.",
      "homepage": "",
      "dependencies": [
        "@types/react",
        "@types/react-dom",
        "concurrently",
        "mkdirp",
        "react",
        "react-dom",
        "source-map-loader",
        "ts-loader",
        "typescript",
        "webpack"
      ],
      "tags": [
        "minimal",
        "typescript"
      ],
      "lastStarCount": 16,
      "lastUpdatedAt": "2017-10-17T10:12:10Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/353404?v=4"
    },
    {
      "githubPath": "catalin-luntraru/redux-minimal",
      "description": "Start building complex react-redux apps today, with this minimalist easy to understand starter kit (boilerplate)",
      "homepage": "http://redux-minimal.js.org/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-3",
        "babel-runtime",
        "clean-webpack-plugin",
        "css-loader",
        "enzyme",
        "extract-text-webpack-plugin",
        "ignore-styles",
        "mocha",
        "node-sass",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-bootstrap",
        "react-router-redux",
        "redux",
        "redux-form",
        "redux-freeze",
        "redux-saga",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "router",
        "tests"
      ],
      "lastStarCount": 298,
      "lastUpdatedAt": "2018-01-31T01:08:17Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/144854?v=4"
    },
    {
      "githubPath": "cdebotton/react-universal",
      "description": "React, redux, react-router, graphql, postgres, koa, universal starter-kit",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-runtime",
        "chalk",
        "clean-webpack-plugin",
        "concurrently",
        "css-loader",
        "cssnext-loader",
        "debug",
        "deep-equal",
        "empty",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "express",
        "express-graphql",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "forever",
        "gaze",
        "graphql",
        "graphql-relay",
        "history",
        "immutable",
        "isomorphic-fetch",
        "json-loader",
        "koa",
        "koa-compress",
        "koa-favicon",
        "koa-jade",
        "koa-mount",
        "koa-proxy",
        "koa-session",
        "koa-static",
        "normalize.css",
        "pty.js",
        "qs",
        "react",
        "react-css-modules",
        "react-dom",
        "react-redux",
        "react-relay",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-devtools",
        "redux-devtools",
        "redux-form",
        "redux-router",
        "redux-thunk",
        "spawn-monitor",
        "style-loader",
        "thenify",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "yargs"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 300,
      "lastUpdatedAt": "2018-01-22T16:26:51Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/416880?v=4"
    },
    {
      "githubPath": "cloudmu/react-redux-starter-kit",
      "description": "Enjoy React, Redux, and React-Router, with zero build configuration.",
      "homepage": "",
      "dependencies": [
        "bootstrap",
        "classnames",
        "font-awesome",
        "isomorphic-fetch",
        "jquery",
        "jwt-decode",
        "lodash",
        "popper.js",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "react-scripts",
        "react-virtualized",
        "redux",
        "redux-logger",
        "redux-thunk",
        "socket.io-client"
      ],
      "tags": [
        "redux",
        "minimal"
      ],
      "lastStarCount": 350,
      "lastUpdatedAt": "2018-01-22T12:26:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3992029?v=4"
    },
    {
      "githubPath": "codefoundries/isomorphic-material-relay-starter-kit",
      "description": "Starter kit for isomorphic applications using React, Material-UI, Relay, Node.js and Cassandra",
      "homepage": "http://codefoundries.com/products/UniversalRelayBoilerplate.html",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-async-to-generator",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-relay-plugin",
        "babel-relay-plugin-loader",
        "babel-runtime",
        "bcrypt",
        "better-npm-run",
        "body-parser",
        "cassandra-driver",
        "classnames",
        "compression",
        "concurrently",
        "cookie-parser",
        "css-loader",
        "dataloader",
        "dotenv",
        "ejs",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "express",
        "express-graphql",
        "extract-text-webpack-plugin",
        "graphql",
        "graphql-relay",
        "isomorphic-relay",
        "isomorphic-relay-router",
        "jwt-simple",
        "material-ui",
        "material-ui-country-flags",
        "material-ui-credit-card-icons",
        "nib",
        "node-fetch",
        "nodemon",
        "react",
        "react-dimensions",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-relay",
        "react-router",
        "react-router-relay",
        "react-tap-event-plugin",
        "recursive-readdir-sync",
        "relay-local-schema",
        "replace",
        "seq-queue",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "winston",
        "winston-cassandra"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 187,
      "lastUpdatedAt": "2018-01-17T04:22:30Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16311004?v=4"
    },
    {
      "githubPath": "codefoundries/UniversalRelayBoilerplate",
      "description": "Universal React/React Native modular boilerplate based on Relay as data layer and Apache Cassandra for persistence. Material-UI, GraphQL, JWT, Node.js, optional DynamoDB.",
      "homepage": "http://codefoundries.com/products/UniversalRelayBoilerplate.html",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-dynamic-import-node",
        "babel-plugin-dynamic-import-webpack",
        "babel-plugin-flow-react-proptypes",
        "babel-plugin-react-transform",
        "babel-plugin-relay",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-native-stage-0",
        "babel-preset-stage-3",
        "babel-runtime",
        "babel-watch",
        "bcryptjs",
        "body-parser",
        "cassandra-driver",
        "classnames",
        "compression",
        "concurrently",
        "cookie-parser",
        "css-loader",
        "dataloader",
        "deepmerge",
        "dotenv",
        "ejs",
        "elasticsearch",
        "eslint",
        "eslint-config-prettier",
        "eslint-config-react-app",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-import-order-autofix",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "express-cassandra",
        "express-graphql",
        "extract-text-webpack-plugin",
        "farce",
        "flow-bin",
        "found",
        "found-relay",
        "graphql",
        "graphql-iso-date",
        "graphql-relay",
        "html-to-react",
        "husky",
        "isomorphic-fetch",
        "jwt-simple",
        "lint-staged",
        "material-ui",
        "material-ui-icons",
        "moment",
        "node-fetch",
        "prettier",
        "prettier-eslint",
        "prettier-eslint-cli",
        "prop-types",
        "react",
        "react-big-calendar",
        "react-code-splitting",
        "react-dom",
        "react-event-listener",
        "react-google-maps",
        "react-helmet",
        "react-hot-loader",
        "react-jss",
        "react-native",
        "react-native-device-info",
        "react-native-drawer",
        "react-native-elements",
        "react-native-keychain",
        "react-native-listitem",
        "react-native-modalbox",
        "react-native-router-flux",
        "react-native-vector-icons",
        "react-relay",
        "react-rte",
        "react-tween-state",
        "recursive-readdir-sync",
        "relay-compiler",
        "relay-runtime",
        "replace",
        "serialize-javascript",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch",
        "winston"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "native",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 542,
      "lastUpdatedAt": "2018-01-31T18:51:34Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16311004?v=4"
    },
    {
      "githubPath": "coryhouse/react-flux-starter-kit",
      "description": "A quick way to get rolling with React and Flux using Browserify and Gulp",
      "homepage": "",
      "dependencies": [
        "bootstrap",
        "browserify",
        "flux",
        "gulp",
        "gulp-concat",
        "gulp-connect",
        "gulp-eslint",
        "gulp-open",
        "jquery",
        "react",
        "react-router",
        "reactify",
        "vinyl-source-stream"
      ],
      "tags": [
        "flux",
        "linter",
        "minimal",
        "router"
      ],
      "lastStarCount": 667,
      "lastUpdatedAt": "2018-01-28T14:25:26Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1688997?v=4"
    },
    {
      "githubPath": "coryhouse/react-slingshot",
      "description": "React + Redux starter kit / boilerplate with Babel, hot reloading, testing, linting and a working example app built in",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-1",
        "browser-sync",
        "chalk",
        "concurrently",
        "connect-history-api-fallback",
        "coveralls",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "eslint-watch",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "html-webpack-plugin",
        "identity-obj-proxy",
        "jest",
        "jest-cli",
        "json-loader",
        "mockdate",
        "node-sass",
        "object-assign",
        "opn-cli",
        "postcss-loader",
        "prompt",
        "prop-types",
        "raf",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-immutable-state-invariant",
        "redux-mock-store",
        "redux-thunk",
        "replace",
        "rimraf",
        "sass-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-md5-hash"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 8083,
      "lastUpdatedAt": "2018-02-02T04:45:53Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1688997?v=4"
    },
    {
      "githubPath": "Cretezy/react-redux-router-firebase",
      "description": "Boilerplate for React & Redux, integrated with Firebase authentication",
      "homepage": "https://examplereact.firebaseapp.com/",
      "dependencies": [
        "firebase",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-scripts",
        "redux"
      ],
      "tags": [
        "redux",
        "minimal",
        "router"
      ],
      "lastStarCount": 20,
      "lastUpdatedAt": "2018-01-21T12:49:50Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2672503?v=4"
    },
    {
      "githubPath": "ctrlplusb/react-universally",
      "description": "A starter kit for universal react applications.",
      "homepage": "",
      "dependencies": [
        "app-root-dir",
        "assets-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-jsx-self",
        "babel-plugin-transform-react-jsx-source",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-3",
        "babel-template",
        "chokidar",
        "colors",
        "compression",
        "cross-env",
        "css-loader",
        "dotenv",
        "enzyme",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "glob",
        "happypack",
        "helmet",
        "hpp",
        "html-webpack-plugin",
        "husky",
        "jest",
        "lint-staged",
        "md5",
        "modernizr",
        "modernizr-loader",
        "node-notifier",
        "normalize.css",
        "offline-plugin",
        "prettier",
        "prettier-eslint",
        "prettier-eslint-cli",
        "pretty-error",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-async-bootstrapper",
        "react-async-component",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-router-dom",
        "react-test-renderer",
        "regenerator-runtime",
        "rimraf",
        "semver",
        "serialize-javascript",
        "source-map-support",
        "style-loader",
        "uuid",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-md5-hash",
        "webpack-node-externals"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 1458,
      "lastUpdatedAt": "2018-02-01T04:22:10Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/12164768?v=4"
    },
    {
      "githubPath": "davezuko/react-redux-starter-kit",
      "description": "Get started with React, Redux, and React-Router.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-react",
        "babel-runtime",
        "bootstrap",
        "chai",
        "chai-as-promised",
        "chai-enzyme",
        "chalk",
        "codecov",
        "compression",
        "connect-history-api-fallback",
        "cross-env",
        "css-loader",
        "dirty-chai",
        "enzyme",
        "eslint",
        "eslint-config-standard",
        "eslint-config-standard-react",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-node",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "express",
        "extract-text-webpack-plugin",
        "figures",
        "file-loader",
        "fs-extra",
        "html-webpack-plugin",
        "karma",
        "karma-coverage",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-webpack-with-fast-source-maps",
        "mocha",
        "node-sass",
        "object-assign",
        "phantomjs-prebuilt",
        "promise",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-router",
        "react-test-renderer",
        "redbox-react",
        "redux",
        "redux-thunk",
        "rimraf",
        "sass-loader",
        "sinon",
        "sinon-chai",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch",
        "yargs"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 9987,
      "lastUpdatedAt": "2018-02-02T15:07:05Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/6439050?v=4"
    },
    {
      "githubPath": "developer239/ReactReduxApolloGraphQLHotBoilerplate",
      "description": "It was kind of impossible to find React Redux Apollo Hot boilerplate so I created my own. I hope it will make learning GraphQL easier for you. UPDATED TO V2",
      "homepage": "",
      "dependencies": [
        "apollo-cache-inmemory",
        "apollo-client",
        "apollo-link-http",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-env",
        "babel-preset-react",
        "clean-webpack-plugin",
        "compression",
        "connect-history-api-fallback",
        "copy-webpack-plugin",
        "env2",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "graphql",
        "graphql-tag",
        "html-webpack-plugin",
        "invariant",
        "nightwatch",
        "path",
        "prop-types",
        "react",
        "react-apollo",
        "react-bootstrap",
        "react-dom",
        "react-nl2br",
        "react-redux",
        "react-router-bootstrap",
        "react-router-config",
        "react-router-dom",
        "recompose",
        "redux",
        "redux-form",
        "selenium-download",
        "styled-components",
        "uglifyjs-webpack-plugin",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-merge"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "webpack 3"
      ],
      "lastStarCount": 57,
      "lastUpdatedAt": "2018-01-22T19:29:02Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/14946081?v=4"
    },
    {
      "githubPath": "developer239/workbox-webpack-react",
      "description": "Hot workbox webpack express react redux progressive web app that takes advantage of new technologies to bring the best of mobile sites & native apps to users.",
      "homepage": "https://workbox-webpack-react-pwa-app.herokuapp.com",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-latest",
        "babel-preset-react",
        "clean-webpack-plugin",
        "compression",
        "connect-history-api-fallback",
        "copy-webpack-plugin",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "html-webpack-plugin",
        "invariant",
        "path",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router-config",
        "react-router-dom",
        "redux",
        "redux-thunk",
        "uglifyjs-webpack-plugin",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-merge",
        "workbox-sw",
        "workbox-webpack-plugin"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "webpack 3"
      ],
      "lastStarCount": 4,
      "lastUpdatedAt": "2018-01-16T04:19:43Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/14946081?v=4"
    },
    {
      "githubPath": "diegohaz/arc",
      "description": "A progressive React starter kit based on the Atomic Design methodology",
      "homepage": "https://arc.js.org",
      "dependencies": [
        "@storybook/addon-actions",
        "@storybook/react",
        "@webpack-blocks/dev-server2",
        "@webpack-blocks/webpack2",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-styled-components",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-1",
        "copyfiles",
        "cross-env",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "file-loader",
        "history",
        "html-webpack-plugin",
        "jest-cli",
        "lodash",
        "opn-cli",
        "prop-types",
        "raw-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-modal",
        "react-router-dom",
        "react-test-renderer",
        "rimraf",
        "styled-components",
        "styled-theme",
        "styled-tools",
        "url-loader",
        "webpack",
        "webpack-blocks-happypack",
        "webpack-blocks-split-vendor",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 1534,
      "lastUpdatedAt": "2018-02-02T11:44:54Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/3068563?v=4"
    },
    {
      "githubPath": "djizco/boilerplate-react",
      "description": "A Simple React Boilerplate for Web Apps. Uses React 16, Redux, Webpack 3, Hot Reloading for JS and CSS, Testing, and more.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "body-parser",
        "bulma",
        "classnames",
        "code",
        "css-hot-loader",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "font-awesome-webpack",
        "html-webpack-plugin",
        "image-webpack-loader",
        "immutability-helper",
        "lab",
        "lab-babel",
        "less",
        "less-loader",
        "material-ui",
        "moment",
        "node-sass",
        "nodemon",
        "prop-types",
        "ramda",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-batched-actions",
        "redux-logger",
        "redux-persist",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "supertest",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "router",
        "webpack 3"
      ],
      "lastStarCount": 9,
      "lastUpdatedAt": "2018-01-08T08:31:43Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/14986071?v=4"
    },
    {
      "githubPath": "DominicTobias/universal-react",
      "description": "A universal react starter, with routing, meta, title, and data features",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-object-assign",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cross-env",
        "cross-fetch",
        "del",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "history",
        "prop-types",
        "react",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router",
        "react-transform-hmr",
        "redux",
        "redux-thunk",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 244,
      "lastUpdatedAt": "2018-01-28T16:13:19Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/760314?v=4"
    },
    {
      "githubPath": "dozoisch/koa-react-full-example",
      "description": "Full example using Koa, React, Passport, Mongoose, Webpack, Mocha, Babel",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-runtime",
        "bcrypt",
        "bootstrap",
        "co",
        "co-views",
        "css-loader",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-loader",
        "koa",
        "koa-bodyparser",
        "koa-compress",
        "koa-error",
        "koa-generic-session",
        "koa-logger",
        "koa-passport",
        "koa-proxy",
        "koa-response-time",
        "koa-router",
        "koa-sess-mongo-store",
        "koa-static-cache",
        "less",
        "less-loader",
        "lodash",
        "mocha",
        "mongoose",
        "nodemon",
        "null-loader",
        "passport-local",
        "react",
        "react-bootstrap",
        "react-hot-loader",
        "react-proxy-loader",
        "react-router",
        "react-router-bootstrap",
        "should",
        "style-loader",
        "superagent",
        "supertest",
        "swig",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "yargs"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 610,
      "lastUpdatedAt": "2018-02-01T16:55:08Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4422516?v=4"
    },
    {
      "githubPath": "dvajs/dva",
      "description": "🌱 React and redux based, lightweight and elm-style framework. (Inspired by elm and choo)",
      "homepage": "",
      "dependencies": [
        "babel-eslint",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "expect",
        "husky",
        "lerna",
        "lerna-changelog",
        "lint-staged",
        "prettier",
        "react",
        "react-dom",
        "ruban",
        "uglify-js",
        "umd-bundler"
      ],
      "tags": [
        "linter",
        "minimal"
      ],
      "lastStarCount": 7865,
      "lastUpdatedAt": "2018-02-02T14:53:35Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/20552239?v=4"
    },
    {
      "githubPath": "eanplatter/react-starter",
      "description": ":fallen_leaf: Starter template for React with webpack. Does focus on simplicity! FOR BEGINNERS!",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "history",
        "html-webpack-plugin",
        "react",
        "react-dom",
        "react-hot-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "minimal"
      ],
      "lastStarCount": 267,
      "lastUpdatedAt": "2017-12-22T21:11:38Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3782604?v=4"
    },
    {
      "githubPath": "elierotenberg/react-rails-starterkit",
      "description": "Starter repository for React on Rails. Fork it!",
      "homepage": null,
      "dependencies": [
        "6to5",
        "assert",
        "bluebird",
        "brfs",
        "browserify",
        "co",
        "cors",
        "del",
        "envify",
        "express",
        "gulp",
        "gulp-6to5",
        "gulp-cached",
        "gulp-changed",
        "gulp-imagemin",
        "gulp-insert",
        "gulp-jshint",
        "gulp-nodemon",
        "gulp-plumber",
        "gulp-postcss",
        "gulp-react",
        "gulp-react-rails-style",
        "gulp-regenerator",
        "gulp-rename",
        "gulp-sourcemaps",
        "gulp-uglify",
        "gulp-util",
        "jshint-stylish",
        "lodash-next",
        "merge-stream",
        "node-watch",
        "normalize.css",
        "open",
        "postcss-url",
        "react-rails",
        "react-tools",
        "through2",
        "vinyl-buffer",
        "vinyl-source-stream"
      ],
      "tags": [
        "rails"
      ],
      "lastStarCount": 47,
      "lastUpdatedAt": "2017-11-04T17:54:58Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/4177867?v=4"
    },
    {
      "githubPath": "emyann/typescript-webpack-starter",
      "description": "⚡ create-ts-lib: A Starter Kit and a CLI to create your TypeScript / ES6 module bundled by Webpack without thinking about build or unit tests configurations. 🏠",
      "homepage": "https://emyann.github.io/typescript-webpack-starter/",
      "dependencies": [
        "create-ts-lib"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 137,
      "lastUpdatedAt": "2018-02-02T10:22:55Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4748419?v=4"
    },
    {
      "githubPath": "ericelliott/react-pure-component-starter",
      "description": "A pure component dev starter kit for React.",
      "homepage": null,
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cheerio",
        "clear-cli",
        "cross-env",
        "deep-freeze",
        "eslint",
        "eslint-plugin-react",
        "express",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "redbox-react",
        "redux",
        "rimraf",
        "tape",
        "updtr",
        "watch",
        "webpack",
        "webpack-dev-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "linter"
      ],
      "lastStarCount": 783,
      "lastUpdatedAt": "2018-02-01T13:40:52Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/364727?v=4"
    },
    {
      "githubPath": "erikras/react-redux-universal-hot-example",
      "description": "A starter boilerplate for a universal webapp using express, react, redux, webpack, and react-transform",
      "homepage": "",
      "dependencies": [
        "autoprefixer-loader",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-react-display-name",
        "babel-plugin-transform-runtime",
        "babel-plugin-typecheck",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "better-npm-run",
        "body-parser",
        "bootstrap-sass",
        "bootstrap-sass-loader",
        "chai",
        "clean-webpack-plugin",
        "compression",
        "concurrently",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "express",
        "express-session",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "font-awesome-webpack",
        "hoist-non-react-statics",
        "http-proxy",
        "immutable",
        "invariant",
        "json-loader",
        "karma",
        "karma-cli",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sourcemap-loader",
        "karma-webpack",
        "less",
        "less-loader",
        "lru-memoize",
        "map-props",
        "mocha",
        "multireducer",
        "node-sass",
        "phantomjs",
        "phantomjs-polyfill",
        "piping",
        "pretty-error",
        "react",
        "react-a11y",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-dom",
        "react-helmet",
        "react-inline-css",
        "react-redux",
        "react-router",
        "react-router-bootstrap",
        "react-router-redux",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-async-connect",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-form",
        "redux-thunk",
        "sass-loader",
        "scroll-behavior",
        "serialize-javascript",
        "serve-favicon",
        "sinon",
        "socket.io",
        "socket.io-client",
        "strip-loader",
        "style-loader",
        "superagent",
        "timekeeper",
        "url-loader",
        "violet-paginator",
        "warning",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-isomorphic-tools"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "inline style",
        "linter",
        "live reload",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 10877,
      "lastUpdatedAt": "2018-02-02T16:22:11Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4396759?v=4"
    },
    {
      "githubPath": "este/este",
      "description": "Explore the source code.",
      "homepage": "",
      "dependencies": [
        "accepts",
        "ajv",
        "array-equal",
        "babel-eslint",
        "babel-jest",
        "babel-plugin-react-intl",
        "babel-plugin-relay",
        "babel-plugin-transform-define",
        "big.js",
        "color",
        "cookie",
        "create-react-context",
        "cross-env",
        "diacritics-map",
        "draft-js",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "flow-bin",
        "flow-typed",
        "glamor",
        "glob",
        "graphql-cli",
        "gravatar",
        "intl",
        "isomorphic-fetch",
        "jest",
        "next",
        "nprogress",
        "path-match",
        "prettier",
        "prop-types",
        "raf",
        "ramda",
        "raven",
        "raven-js",
        "react",
        "react-dom",
        "react-intl",
        "react-relay",
        "react-test-renderer",
        "react-x-ray",
        "relay-compiler",
        "relay-devtools",
        "relay-runtime",
        "resize-observer-polyfill",
        "rimraf",
        "smoothscroll-polyfill",
        "styled-jsx",
        "url",
        "validator",
        "webpack-bundle-analyzer"
      ],
      "tags": [
        "linter",
        "tests"
      ],
      "lastStarCount": 5348,
      "lastUpdatedAt": "2018-02-02T13:01:39Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3302034?v=4"
    },
    {
      "githubPath": "foxhound87/rfx-stack",
      "description": "RFX Stack - Universal App featuring: React + Feathers + MobX",
      "homepage": "",
      "dependencies": [
        "animate.css",
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-system-import-transformer",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-root-import",
        "bluebird",
        "body-parser",
        "browser-sync",
        "browser-sync-webpack-plugin",
        "classnames",
        "compression",
        "cookie-parser",
        "cors",
        "cross-env",
        "css-loader",
        "css-modules-require-hook",
        "cssnano",
        "dotenv",
        "ejs",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "faker",
        "feathers",
        "feathers-authentication",
        "feathers-authentication-client",
        "feathers-authentication-jwt",
        "feathers-authentication-local",
        "feathers-authentication-oauth2",
        "feathers-configuration",
        "feathers-errors",
        "feathers-hooks",
        "feathers-hooks-common",
        "feathers-mongoose",
        "feathers-permissions",
        "feathers-rest",
        "feathers-socketio",
        "file-loader",
        "font-awesome",
        "friendly-errors-webpack-plugin",
        "getenv",
        "globule",
        "imports-loader",
        "isdev",
        "isomorphic-fetch",
        "isomorphic-style-loader",
        "js-cookie",
        "json-loader",
        "jwt-decode",
        "lodash",
        "material-ui",
        "mobx",
        "mobx-react",
        "mobx-react-devtools",
        "mobx-react-form",
        "mobx-react-form-devtools",
        "mobx-react-matchmedia",
        "moment",
        "mongoose",
        "morgan",
        "nodemon",
        "normalize.css",
        "postcss",
        "postcss-extend",
        "postcss-focus",
        "postcss-import",
        "postcss-loader",
        "postcss-url",
        "precss",
        "progress-bar-webpack-plugin",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-modal",
        "react-pagify",
        "react-parallax",
        "react-router",
        "react-tap-event-plugin",
        "react-timeago",
        "rfx-core",
        "serve-static",
        "socket.io-client",
        "start-server-webpack-plugin",
        "style-loader",
        "tachyons",
        "url-loader",
        "uuid",
        "validatorjs",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-merge",
        "webpack-node-externals",
        "whatwg-fetch",
        "winston"
      ],
      "tags": [
        "css modules",
        "babel",
        "css modules",
        "mobx",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 414,
      "lastUpdatedAt": "2018-02-01T20:52:01Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1292494?v=4"
    },
    {
      "githubPath": "futurice/pepperoni-app-kit",
      "description": "Pepperoni - React Native App Starter Kit for Android and iOS",
      "homepage": "http://getpepperoni.com",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-polyfill",
        "babel-preset-react-native",
        "babel-preset-stage-0",
        "babel-register",
        "bluebird",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "event-emitter",
        "fetch-mock",
        "immutable",
        "istanbul",
        "jest",
        "lodash",
        "moment",
        "plop",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-native",
        "react-native-mock",
        "react-native-vector-icons",
        "react-navigation",
        "react-redux",
        "react-test-renderer",
        "redux",
        "redux-logger",
        "redux-loop-symbol-ponyfill",
        "redux-promise",
        "redux-thunk",
        "remote-redux-devtools",
        "rimraf",
        "standard-http-error"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "native",
        "tests"
      ],
      "lastStarCount": 4066,
      "lastUpdatedAt": "2018-02-02T14:06:00Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/852157?v=4"
    },
    {
      "githubPath": "gaearon/react-hot-boilerplate",
      "description": "Minimal live-editing example for React",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "eslint",
        "eslint-plugin-react",
        "express",
        "react",
        "react-dom",
        "react-hot-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "minimal"
      ],
      "lastStarCount": 3855,
      "lastUpdatedAt": "2018-02-01T19:04:28Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/810438?v=4"
    },
    {
      "githubPath": "gilamran/fullstack-typescript",
      "description": "FAST FullStack React with TypeScript starter kit.",
      "homepage": "",
      "dependencies": [
        "@types/express",
        "@types/node",
        "@types/react-router-dom",
        "awesome-typescript-loader",
        "axios",
        "babel-polyfill",
        "body-parser",
        "bootstrap",
        "concurrently",
        "concurrently",
        "cross-env",
        "css-loader",
        "express",
        "file-loader",
        "file-loader",
        "html-webpack-plugin",
        "http-proxy-middleware",
        "open-browser-webpack-plugin",
        "pre-commit",
        "react",
        "react-bootstrap",
        "react-dom",
        "react-router-bootstrap",
        "react-router-dom",
        "rimraf",
        "style-loader",
        "tsc-watch",
        "tslib",
        "tslint",
        "typescript",
        "url-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "css modules",
        "linter",
        "typescript"
      ],
      "lastStarCount": 35,
      "lastUpdatedAt": "2018-02-01T19:13:37Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1621965?v=4"
    },
    {
      "githubPath": "goshakkk/no-bs-react-webpack-starter",
      "description": ":no_good::shit: No bullshit React Webpack boilerplate.",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-loader",
        "babel-plugin-syntax-object-rest-spread",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "css-loader",
        "file-loader",
        "html-webpack-plugin",
        "node-sass",
        "postcss-loader",
        "react",
        "react-dom",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-validator"
      ],
      "tags": [
        "babel"
      ],
      "lastStarCount": 13,
      "lastUpdatedAt": "2017-05-16T19:01:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/315596?v=4"
    },
    {
      "githubPath": "granmoe/react-redux-saga-boilerplate",
      "description": "React, Styled Components, Redux, Redux Saga, Redux Little Router, Webpack, Babel frontend boilerplate. Using the \"ducks\" pattern for redux and saga code. Jest for testing.",
      "homepage": "https://granmoe.github.io/react-redux-saga-boilerplate/",
      "dependencies": [
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-2",
        "better-npm-run",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-standard",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "imagemin-webpack-plugin",
        "jest",
        "prop-types",
        "react",
        "react-dom",
        "react-json-tree",
        "react-redux",
        "redux",
        "redux-devtools-extension",
        "redux-little-router",
        "redux-saga",
        "redux-saga-tester",
        "style-loader",
        "styled-components",
        "webpack",
        "webpack-dashboard",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [
        "redux",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 20,
      "lastUpdatedAt": "2018-01-31T07:24:14Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5620706?v=4"
    },
    {
      "githubPath": "Granze/react-starterify",
      "description": "A minimal React JS application starter kit",
      "homepage": "http://granze.github.io/react-starterify/",
      "dependencies": [
        "autoprefixer",
        "ava",
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "babelify",
        "browser-sync",
        "browserify",
        "cssnano",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "gulp",
        "gulp-eslint",
        "gulp-gh-pages",
        "gulp-html-replace",
        "gulp-imagemin",
        "gulp-notify",
        "gulp-postcss",
        "gulp-rename",
        "gulp-sourcemaps",
        "gulp-uglify",
        "history",
        "imagemin-pngquant",
        "lodash",
        "postcss-nested",
        "postcss-simple-extend",
        "postcss-simple-vars",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-router",
        "rimraf",
        "run-sequence",
        "tap-nyan",
        "vinyl-buffer",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [
        "babel",
        "linter",
        "router"
      ],
      "lastStarCount": 691,
      "lastUpdatedAt": "2018-02-02T16:21:36Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1193298?v=4"
    },
    {
      "githubPath": "iam4x/isomorphic-flux-boilerplate",
      "description": "ES7 Isomorphic Flux/ReactJS Boilerplate",
      "homepage": "http://isomorphic.iam4x.fr",
      "dependencies": [
        "alt",
        "alt-container",
        "alt-utils",
        "autoprefixer",
        "ava",
        "axios",
        "babel",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-pure-class-to-function",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-typecheck",
        "babel-polyfill",
        "babel-preset-save",
        "babel-register",
        "babel-runtime",
        "blocked",
        "browser-sync",
        "chai",
        "chai-enzyme",
        "classnames",
        "connect-alt",
        "cookies-js",
        "coveralls",
        "css-loader",
        "debug",
        "dev-ip",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "faux-jax",
        "file-loader",
        "font-awesome",
        "image-webpack-loader",
        "intl",
        "iso",
        "jsdom",
        "json-loader",
        "koa",
        "koa-compress",
        "koa-conditional-get",
        "koa-convert",
        "koa-etag",
        "koa-favicon",
        "koa-helmet",
        "koa-logger",
        "koa-mount",
        "koa-proxy",
        "koa-response-time",
        "koa-router",
        "koa-static-cache",
        "koa-webpack-dev-middleware",
        "koa-webpack-hot-middleware",
        "lodash",
        "node-watch",
        "normalize.css",
        "nyc",
        "postcss-import",
        "postcss-loader",
        "postcss-url",
        "precss",
        "promise-loader",
        "purifycss-webpack-plugin",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-intl",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "scroll-behavior",
        "sinon",
        "sinon-chai",
        "style-loader",
        "sw-precache-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 815,
      "lastUpdatedAt": "2018-01-08T10:11:11Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/893837?v=4"
    },
    {
      "githubPath": "iroy2000/react-redux-boilerplate",
      "description": "Awesome React Redux Workflow Boilerplate with Webpack 3",
      "homepage": "",
      "dependencies": [
        "assets-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-plugin-typecheck",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "browser-sync",
        "browser-sync-webpack-plugin",
        "case-sensitive-paths-webpack-plugin",
        "colors",
        "concurrently",
        "config",
        "cross-env",
        "css-loader",
        "debug",
        "dotenv",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-friendly-formatter",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "html-webpack-plugin",
        "identity-obj-proxy",
        "image-webpack-loader",
        "immutable",
        "jest-cli",
        "postcss-cssnext",
        "postcss-loader",
        "precss",
        "prop-types",
        "raf",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-actions",
        "redux-saga",
        "reselect",
        "rimraf",
        "shelljs",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dashboard",
        "webpack-dev-server",
        "webpack-s3-plugin"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 90,
      "lastUpdatedAt": "2018-02-01T23:23:49Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/487520?v=4"
    },
    {
      "githubPath": "irvinebroque/isomorphic-hot-loader",
      "description": "No longer maintained",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-runtime",
        "body-parser",
        "chroma-js",
        "compression",
        "cors",
        "eslint",
        "express",
        "flux",
        "fuzzy",
        "isomorphic-fetch",
        "jest-cli",
        "json-loader",
        "moment",
        "node-jsx",
        "object-assign",
        "react",
        "react-a11y",
        "react-document-title",
        "react-hot-loader",
        "react-router",
        "react-tools",
        "supervisor",
        "ua-parser-js",
        "webpack",
        "webpack-dev-server",
        "when"
      ],
      "tags": [
        "babel",
        "flux",
        "hmr",
        "linter",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 154,
      "lastUpdatedAt": "2017-11-04T18:03:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1221592?v=4"
    },
    {
      "githubPath": "ivanzotov/react-native-example",
      "description": "React Native / Redux Example",
      "homepage": "",
      "dependencies": [
        "moment",
        "react",
        "react-native",
        "react-native-i18n",
        "react-native-vector-icons",
        "react-redux",
        "redux",
        "redux-logger",
        "redux-thunk"
      ],
      "tags": [
        "redux",
        "minimal",
        "native"
      ],
      "lastStarCount": 53,
      "lastUpdatedAt": "2017-01-07T19:33:13Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/147321?v=4"
    },
    {
      "githubPath": "jahe/jahe-react-starter",
      "description": "A starter project for React 16, Redux, Webpack 3, SASS, i18n, autoprefixer, ESLint, React Storybook",
      "homepage": "",
      "dependencies": [
        "@storybook/addon-info",
        "@storybook/addon-knobs",
        "@storybook/react",
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-plugin-react-intl",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cross-env",
        "css-loader",
        "eslint",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "intl",
        "jest-cli",
        "json-loader",
        "moment",
        "node-sass",
        "postcss-loader",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-intl",
        "react-intl-translations-manager",
        "react-redux",
        "redux",
        "redux-thunk",
        "rimraf",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 5,
      "lastUpdatedAt": "2018-01-01T12:27:30Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2736136?v=4"
    },
    {
      "githubPath": "janoist1/universal-react-redux-starter-kit",
      "description": "Get started with React, Redux, and React-Router! - With universal rendering!",
      "homepage": "",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "better-npm-run",
        "chai",
        "chai-as-promised",
        "chai-enzyme",
        "cheerio",
        "clone",
        "codecov",
        "css-loader",
        "cssnano",
        "debug",
        "enzyme",
        "eslint",
        "eslint-config-standard",
        "eslint-config-standard-react",
        "eslint-plugin-babel",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "helmet-webpack-plugin",
        "history",
        "html-webpack-plugin",
        "imports-loader",
        "ip",
        "isomorphic-fetch",
        "isparta-loader",
        "json-loader",
        "karma",
        "karma-coverage",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-webpack-with-fast-source-maps",
        "koa",
        "koa-convert",
        "koa-proxy",
        "koa-static",
        "mocha",
        "node-sass",
        "nodemon",
        "normalize.css",
        "phantomjs-prebuilt",
        "postcss-loader",
        "pretty-error",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-resolver",
        "react-router",
        "react-router-redux",
        "react-styling",
        "redbox-react",
        "redux",
        "redux-thunk",
        "rimraf",
        "sass-loader",
        "simple-universal-style-loader",
        "sinon",
        "sinon-chai",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "yargs"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 63,
      "lastUpdatedAt": "2017-12-21T09:52:13Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1331668?v=4"
    },
    {
      "githubPath": "jaredpalmer/razzle",
      "description": "✨ Create server-rendered universal JavaScript applications with no configuration",
      "homepage": "",
      "dependencies": [
        "eslint",
        "husky",
        "jest",
        "lerna",
        "lerna-changelog",
        "lint-staged",
        "prettier",
        "ps-tree",
        "semver",
        "shelljs"
      ],
      "tags": [
        "dependency",
        "linter",
        "minimal",
        "tests",
        "universal"
      ],
      "lastStarCount": 3102,
      "lastUpdatedAt": "2018-02-02T13:20:59Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4060187?v=4"
    },
    {
      "githubPath": "jcreamer898/expressiso",
      "description": "A quick starter for building an Isomorphic App with Express.js and React.js",
      "homepage": "",
      "dependencies": [
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-register",
        "body-parser",
        "cookie-parser",
        "debug",
        "express",
        "hjs",
        "morgan",
        "react",
        "react-dom",
        "serve-favicon",
        "webpack"
      ],
      "tags": [
        "minimal",
        "universal"
      ],
      "lastStarCount": 200,
      "lastUpdatedAt": "2017-12-17T14:48:21Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/472487?v=4"
    },
    {
      "githubPath": "jedireza/aqua",
      "description": ":bulb: A website and user system starter",
      "homepage": "https://jedireza.github.io/aqua/",
      "dependencies": [
        "async",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "bcrypt",
        "boom",
        "bootstrap",
        "classnames",
        "code",
        "confidence",
        "cookie",
        "crumb",
        "del",
        "dotenv",
        "escape-string-regexp",
        "eslint-config-hapi",
        "eslint-plugin-react",
        "exenv",
        "flux",
        "flux-constant",
        "font-awesome",
        "glue",
        "gulp",
        "gulp-concat",
        "gulp-less",
        "gulp-nodemon",
        "gulp-rename",
        "gulp-sourcemaps",
        "gulp-util",
        "handlebars",
        "hapi",
        "hapi-auth-cookie",
        "hapi-mongo-models",
        "hapi-react-views",
        "hoek",
        "inert",
        "joi",
        "jsdom",
        "lab",
        "lodash",
        "merge-stream",
        "moment",
        "mongo-models",
        "mongodb",
        "nodemailer",
        "nodemailer-markdown",
        "nodemon",
        "object-assign",
        "promptly",
        "prop-types",
        "proxyquire",
        "qs",
        "react",
        "react-dom",
        "react-helmet",
        "react-router-dom",
        "redux",
        "require-dir",
        "slug",
        "uuid",
        "vision",
        "visionary",
        "webpack",
        "xhr"
      ],
      "tags": [
        "babel",
        "redux",
        "flux",
        "linter",
        "webpack 3"
      ],
      "lastStarCount": 1251,
      "lastUpdatedAt": "2018-02-02T06:52:13Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/979929?v=4"
    },
    {
      "githubPath": "jeffschwartz/react-quickstart",
      "description": "Includes webpack and babel",
      "homepage": null,
      "dependencies": [
        "axios",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "eslint",
        "eslint-config-standard",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "react",
        "react-addons-css-transition-group",
        "react-bootstrap",
        "react-dom",
        "react-redux",
        "react-router",
        "redux",
        "redux-devtools",
        "redux-form",
        "redux-thunk",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router"
      ],
      "lastStarCount": 5,
      "lastUpdatedAt": "2017-09-24T16:50:07Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/271288?v=4"
    },
    {
      "githubPath": "jim-y/fluxury",
      "description": "A React - Flux starter kit.",
      "homepage": "http://jim-y.me/fluxury/",
      "dependencies": [
        "babelify",
        "browserify",
        "flux",
        "immutable",
        "jsxhint",
        "less",
        "react",
        "react-router",
        "uglify",
        "watch",
        "watchify"
      ],
      "tags": [
        "flux",
        "minimal",
        "router"
      ],
      "lastStarCount": 32,
      "lastUpdatedAt": "2017-11-05T09:33:14Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6633426?v=4"
    },
    {
      "githubPath": "jkup/react-app-starter",
      "description": ":boom: A starter template for webpack and react",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "react",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "minimal"
      ],
      "lastStarCount": 39,
      "lastUpdatedAt": "2017-09-21T07:25:03Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/490294?v=4"
    },
    {
      "githubPath": "jquintozamora/react-es6-webpack-minimal-starter-template",
      "description": "Simple Starter Template for React, ES6, SCSS, Webpack and Live Reloading (React Hot Loader 3)",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-preset-es2015",
        "babel-preset-react",
        "core-js",
        "css-loader",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "node-sass",
        "react",
        "react-dev-utils",
        "react-dom",
        "react-hot-loader",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-server",
        "webpack-merge",
        "webpack-visualizer-plugin"
      ],
      "tags": [
        "babel",
        "hmr",
        "webpack 3"
      ],
      "lastStarCount": 8,
      "lastUpdatedAt": "2017-12-01T21:24:15Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12530031?v=4"
    },
    {
      "githubPath": "jquintozamora/react-typescript-webpack2-cssModules-postCSS",
      "description": "Simple Starter Template for React, TypeScript, postCSS, ITCSS, CSS-Modules, Webpack and Live Reloading (React Hot Loader 3)",
      "homepage": "",
      "dependencies": [
        "@types/enzyme",
        "@types/jest",
        "@types/node",
        "@types/react",
        "@types/react-dom",
        "@types/react-hot-loader",
        "@types/webpack-env",
        "autoprefixer",
        "cache-loader",
        "compression-webpack-plugin",
        "copy-webpack-plugin",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "extract-text-webpack-plugin",
        "fork-ts-checker-webpack-plugin",
        "html-webpack-plugin",
        "identity-obj-proxy",
        "jest",
        "moment",
        "postcss-custom-properties",
        "postcss-import",
        "postcss-loader",
        "postcss-nesting",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-test-renderer",
        "source-map-loader",
        "style-loader",
        "stylelint",
        "thread-loader",
        "ts-jest",
        "ts-loader",
        "tslint",
        "tslint-react",
        "typescript",
        "typings-for-css-modules-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-server",
        "webpack-merge",
        "webpack-visualizer-plugin"
      ],
      "tags": [
        "css modules",
        "hmr",
        "linter",
        "tests",
        "typescript",
        "webpack 3"
      ],
      "lastStarCount": 74,
      "lastUpdatedAt": "2018-02-01T07:27:19Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12530031?v=4"
    },
    {
      "githubPath": "khalilgharbaoui/flux-boilerplate",
      "description": "I've made this Flux Boilerplate, it will come in handy for future use.",
      "homepage": "http://khalilgharbaoui.codez.it/ReactJS-Roller-Coaster/",
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "flux",
        "gulp",
        "gulp-connect",
        "gulp-open",
        "react",
        "react-dom",
        "reactify",
        "vinyl-source-stream"
      ],
      "tags": [
        "flux",
        "minimal"
      ],
      "lastStarCount": 2,
      "lastUpdatedAt": "2016-07-02T01:15:17Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/8024057?v=4"
    },
    {
      "githubPath": "kireerik/razzle-material-ui-styled-example",
      "description": "Razzle Material UI example with Styled Components using Express with compression",
      "homepage": null,
      "dependencies": [
        "compression",
        "cross-env",
        "express",
        "html-minifier",
        "material-ui",
        "razzle",
        "react",
        "react-dom",
        "styled-components"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 54,
      "lastUpdatedAt": "2018-01-31T22:02:37Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3628043?v=4"
    },
    {
      "githubPath": "koba04/react-boilerplate",
      "description": "React + Flux + ServerSideRendering Sample",
      "homepage": "http://react-serverside-rendering.herokuapp.com/",
      "dependencies": [
        "babel",
        "babel-eslint",
        "babel-jest",
        "babelify",
        "browserify",
        "classnames",
        "esdoc",
        "eslint",
        "eslint-plugin-react",
        "express",
        "flux",
        "jest-cli",
        "object-assign",
        "react",
        "react-router",
        "superagent",
        "watchify"
      ],
      "tags": [
        "babel",
        "flux",
        "linter",
        "minimal",
        "router",
        "tests"
      ],
      "lastStarCount": 210,
      "lastUpdatedAt": "2018-01-29T07:40:50Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/250407?v=4"
    },
    {
      "githubPath": "krasimir/react-webpack-starter",
      "description": "A template for writing React based ES6 app using webpack",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "chai",
        "core-js",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "karma",
        "karma-chai",
        "karma-chai-plugins",
        "karma-chai-sinon",
        "karma-chrome-launcher",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sinon",
        "karma-sinon-chai",
        "karma-sourcemap-loader",
        "karma-webpack",
        "mocha",
        "phantomjs",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "watch",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "linter",
        "tests"
      ],
      "lastStarCount": 352,
      "lastUpdatedAt": "2018-01-10T11:05:48Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/528677?v=4"
    },
    {
      "githubPath": "kriasoft/aspnet-starter-kit",
      "description": "Cross-platform web development with Visual Studio Code, C#, F#, JavaScript, ASP.NET Core, EF Core, React (ReactJS), Redux, Babel. Single-page application boilerplate.",
      "homepage": "https://twitter.com/dotnetreact",
      "dependencies": [
        "assets-webpack-plugin",
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-regenerator",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-latest",
        "babel-preset-react",
        "babel-register",
        "babel-runtime",
        "browser-sync",
        "chai",
        "classnames",
        "cpy",
        "css-loader",
        "del",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "fastclick",
        "file-loader",
        "front-matter",
        "highlight.js",
        "history",
        "json-loader",
        "markdown-it",
        "mkdirp",
        "mocha",
        "path-to-regexp",
        "pixrem",
        "pleeease-filters",
        "postcss",
        "postcss-calc",
        "postcss-color-function",
        "postcss-custom-media",
        "postcss-custom-properties",
        "postcss-custom-selectors",
        "postcss-import",
        "postcss-loader",
        "postcss-media-minmax",
        "postcss-nesting",
        "postcss-selector-matches",
        "postcss-selector-not",
        "query-string",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-mdl",
        "react-redux",
        "redux",
        "style-loader",
        "stylelint",
        "stylelint-config-standard",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests"
      ],
      "lastStarCount": 866,
      "lastUpdatedAt": "2018-02-01T23:41:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/773036?v=4"
    },
    {
      "githubPath": "kriasoft/babel-starter-kit",
      "description": ":tropical_fish: Babel Starter Kit is a project template for authoring and publishing JavaScript libraries",
      "homepage": "https://www.kriasoft.com/babel-starter-kit",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-plugin-transform-runtime",
        "babel-preset-latest",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "chai",
        "coveralls",
        "del",
        "eslint",
        "eslint-config-airbnb-base",
        "eslint-plugin-import",
        "istanbul",
        "mocha",
        "rollup",
        "rollup-plugin-babel",
        "sinon"
      ],
      "tags": [
        "babel",
        "linter",
        "minimal",
        "tests"
      ],
      "lastStarCount": 492,
      "lastUpdatedAt": "2018-02-01T06:09:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/773036?v=4"
    },
    {
      "githubPath": "kriasoft/react-starter-kit",
      "description": "React Starter Kit — isomorphic web app boilerplate (Node.js, Express, GraphQL, React.js, Babel, PostCSS, Webpack, Browsersync)",
      "homepage": "https://reactstarter.com",
      "dependencies": [
        "@babel/core",
        "@babel/node",
        "@babel/plugin-transform-react-constant-elements",
        "@babel/plugin-transform-react-inline-elements",
        "@babel/polyfill",
        "@babel/preset-env",
        "@babel/preset-flow",
        "@babel/preset-react",
        "@babel/preset-stage-2",
        "assets-webpack-plugin",
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-react-remove-prop-types",
        "bluebird",
        "body-parser",
        "browser-sync",
        "chokidar",
        "classnames",
        "cookie-parser",
        "core-js",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-import-resolver-node",
        "eslint-loader",
        "eslint-plugin-css-modules",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "express-graphql",
        "express-jwt",
        "file-loader",
        "flow-bin",
        "front-matter",
        "glob",
        "graphql",
        "history",
        "husky",
        "identity-obj-proxy",
        "isomorphic-style-loader",
        "jest",
        "jsonwebtoken",
        "lint-staged",
        "markdown-it",
        "mkdirp",
        "node-fetch",
        "normalize.css",
        "null-loader",
        "passport",
        "passport-facebook",
        "pixrem",
        "pleeease-filters",
        "postcss",
        "postcss-calc",
        "postcss-color-function",
        "postcss-custom-media",
        "postcss-custom-properties",
        "postcss-custom-selectors",
        "postcss-flexbugs-fixes",
        "postcss-import",
        "postcss-loader",
        "postcss-media-minmax",
        "postcss-nested",
        "postcss-nesting",
        "postcss-pseudoelements",
        "postcss-selector-matches",
        "postcss-selector-not",
        "prettier",
        "pretty-error",
        "prop-types",
        "query-string",
        "raw-loader",
        "react",
        "react-deep-force-update",
        "react-dev-utils",
        "react-dom",
        "react-error-overlay",
        "react-test-renderer",
        "rimraf",
        "sequelize",
        "serialize-javascript",
        "source-map-support",
        "sqlite3",
        "stylelint",
        "stylelint-config-standard",
        "stylelint-order",
        "svg-url-loader",
        "universal-router",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-node-externals",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 16827,
      "lastUpdatedAt": "2018-02-02T17:10:45Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/773036?v=4"
    },
    {
      "githubPath": "kriasoft/react-firebase-starter",
      "description": "Boilerplate (seed) project for creating web apps with React.js, Firebase and GraphQL",
      "homepage": "https://t.me/ReactStarter",
      "dependencies": [
        "@firebase/app",
        "@firebase/auth",
        "@firebase/firestore",
        "babel-plugin-relay",
        "babel-plugin-styled-components",
        "babel-plugin-transform-export-extensions",
        "chai",
        "classnames",
        "eslint-config-prettier",
        "eslint-plugin-flowtype",
        "eslint-plugin-prettier",
        "flow-bin",
        "gh-pages",
        "history",
        "husky",
        "lint-staged",
        "lodash",
        "material-ui",
        "pre-render",
        "prettier",
        "prop-types",
        "query-string",
        "react",
        "react-dom",
        "react-relay",
        "react-scripts",
        "relay-compiler",
        "relay-runtime",
        "styled-components",
        "stylelint",
        "stylelint-config-primer",
        "stylelint-config-standard",
        "stylelint-config-styled-components-processor",
        "stylelint-order",
        "stylelint-processor-styled-components",
        "universal-router"
      ],
      "tags": [],
      "lastStarCount": 3156,
      "lastUpdatedAt": "2018-02-02T14:50:12Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/773036?v=4"
    },
    {
      "githubPath": "kristinbaumann/react-sketchapp-starter-kit",
      "description": "Initial Setup for React Sketchapp Project",
      "homepage": "",
      "dependencies": [
        "react",
        "react-sketchapp",
        "react-test-renderer",
        "skpm-builder"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 20,
      "lastUpdatedAt": "2018-02-01T04:30:01Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/14046209?v=4"
    },
    {
      "githubPath": "KyleAMathews/coffee-react-quickstart",
      "description": "Quickstart for building React single page apps using Coffeescript, Gulp, Webpack, and React-Router",
      "homepage": "http://kyleamathews.github.io/coffee-react-quickstart",
      "dependencies": [
        "cjsx-loader",
        "coffee-loader",
        "coffee-react-transform",
        "coffee-script",
        "css-loader",
        "gulp",
        "gulp-compass",
        "gulp-cssfont64",
        "gulp-load-plugins",
        "gulp-rename",
        "gulp-shell",
        "gulp-size",
        "gulp-util",
        "highlight.js",
        "jest-cli",
        "map-stream",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-retina-image",
        "react-router",
        "style-loader",
        "touch",
        "underscore",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "coffeescript",
        "hmr",
        "router",
        "tests"
      ],
      "lastStarCount": 255,
      "lastUpdatedAt": "2017-11-06T16:56:30Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/71047?v=4"
    },
    {
      "githubPath": "smith-chris/react-coffee-starter",
      "description": "Unfancy React boilerplate project",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "clean-webpack-plugin",
        "coffee-loader",
        "coffeescript",
        "css-loader",
        "file-loader",
        "html-webpack-plugin",
        "husky",
        "identity-obj-proxy",
        "jest",
        "node-sass",
        "postcss-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router-dom",
        "redux",
        "redux-logger",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-merge"
      ],
      "tags": [
        "css modules",
        "babel",
        "coffeescript",
        "redux",
        "hmr",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 0,
      "lastUpdatedAt": "2017-12-02T12:59:32Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/17379615?v=4"
    },
    {
      "githubPath": "LEINWAND/react-redux-app",
      "description": "An opinionated development-ready React-Redux boilerplate that will instantly get you going.",
      "homepage": "",
      "dependencies": [
        "axios",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "classnames",
        "clean-webpack-plugin",
        "concurrently",
        "css-loader",
        "express",
        "flow-bin",
        "lodash",
        "node-sass",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-logger",
        "redux-promise",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "uglifyjs-webpack-plugin",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "router",
        "webpack 3"
      ],
      "lastStarCount": 7,
      "lastUpdatedAt": "2017-07-13T13:06:50Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/19427297?v=4"
    },
    {
      "githubPath": "lifenautjoe/webpack-starter-basic",
      "description": "A simple webpack starter project for your basic modern web development needs.",
      "homepage": "https://lifenautjoe.github.io/webpack-starter-basic/",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "clean-webpack-plugin",
        "css-loader",
        "cssnano",
        "extract-text-webpack-plugin",
        "favicons-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "inquirer",
        "node-sass",
        "normalize.css",
        "optimize-css-assets-webpack-plugin",
        "postcss-loader",
        "rimraf",
        "sass-loader",
        "source-map-loader",
        "style-loader",
        "uglifyjs-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "webpack 3"
      ],
      "lastStarCount": 64,
      "lastUpdatedAt": "2018-01-27T20:22:20Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/12737509?v=4"
    },
    {
      "githubPath": "lubien/koa-react-redux-universal-boilerplate",
      "description": "[Unmaintained] A fullstack Koa + React + Redux Universal Boilerplate to speed up your development process.",
      "homepage": "https://koa-react-boilerplate.herokuapp.com/",
      "dependencies": [
        "assets-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-module-alias",
        "babel-plugin-resolver",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "cross-env",
        "dotenv",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "isomorphic-fetch",
        "json-loader",
        "koa",
        "koa-bodyparser",
        "koa-compress",
        "koa-conditional-get",
        "koa-convert",
        "koa-etag",
        "koa-generic-session",
        "koa-generic-session-mongo",
        "koa-mount",
        "koa-passport",
        "koa-router",
        "koa-static",
        "koa-views",
        "mongoose",
        "nodemon",
        "passport-github",
        "pug",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-loader",
        "react-redux",
        "react-redux-loading-bar",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-promise-middleware",
        "redux-thunk",
        "trash-cli",
        "webpack",
        "webpack-dev-server",
        "webpack-externals-plugin"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 22,
      "lastUpdatedAt": "2017-10-26T14:03:01Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/9121359?v=4"
    },
    {
      "githubPath": "lynnaloo/mullet",
      "description": "Mullet Stack: Facebook in the front. Walmart in the back. (React, Hapijs, Node)",
      "homepage": "http://www.mullet.io",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "blipp",
        "body-parser",
        "bootstrap",
        "code",
        "enzyme",
        "eslint",
        "eslint-config-eta",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "h2o2",
        "hapi",
        "inert",
        "jest",
        "jest-cli",
        "jquery",
        "lab",
        "npm-watch",
        "prettier",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-scripts",
        "react-test-renderer",
        "vision",
        "webpack"
      ],
      "tags": [
        "babel",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 181,
      "lastUpdatedAt": "2018-02-01T04:45:12Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1610195?v=4"
    },
    {
      "githubPath": "madeagency/reactivity",
      "description": "A Bleeding Edge React Universal Boilerplate for Power Users.",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-universal-import",
        "babel-preset-env",
        "babel-preset-flow",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-watch",
        "compression",
        "css-loader",
        "dotenv",
        "dotenv-webpack",
        "dotenv-webpack",
        "empty",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-import-resolver-webpack",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "extract-css-chunks-webpack-plugin",
        "file-loader",
        "flow-bin",
        "http-proxy",
        "isomorphic-fetch",
        "lru-memoize",
        "node-sass",
        "postcss-loader",
        "prettier",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-redux",
        "react-redux-epic",
        "react-router-dom",
        "react-universal-component",
        "redux",
        "redux-form",
        "redux-observable",
        "rimraf",
        "rxjs",
        "sass-loader",
        "serialize-javascript",
        "serviceworker-webpack-plugin",
        "style-loader",
        "stylelint",
        "stylelint-config-css-modules",
        "stylelint-config-standard",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-flush-chunks",
        "webpack-hot-middleware",
        "webpack-hot-server-middleware",
        "write-file-webpack-plugin",
        "zlib"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "universal",
        "webpack 3",
        "flow"
      ],
      "lastStarCount": 47,
      "lastUpdatedAt": "2018-02-01T03:13:22Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/11614918?v=4"
    },
    {
      "githubPath": "MadeInHaus/react-flux-gulp-starter",
      "description": "A universal boilerplate for building React/Flux apps using Gulp and ES6.",
      "homepage": "",
      "dependencies": [
        "babel-eslint",
        "babel-plugin-module-resolver",
        "babel-plugin-transform-class-properties",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "babelify",
        "browser-sync",
        "browserify",
        "compression",
        "connect-inject",
        "debug",
        "del",
        "dotenv",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "express",
        "express-state",
        "fluxible",
        "fluxible-action-utils",
        "fluxible-addons-react",
        "gulp",
        "gulp-autoprefixer",
        "gulp-changed",
        "gulp-clean-css",
        "gulp-filesize",
        "gulp-help",
        "gulp-htmlmin",
        "gulp-imagemin",
        "gulp-modernizr",
        "gulp-nodemon",
        "gulp-sass",
        "gulp-sourcemaps",
        "gulp-uglify",
        "gulp-util",
        "gulp-watch",
        "imagemin-gifsicle",
        "imagemin-jpegtran",
        "imagemin-optipng",
        "imagemin-svgo",
        "lodash",
        "minimist",
        "prettier",
        "prettier-eslint",
        "prettier-eslint-cli",
        "pretty-hrtime",
        "prop-types",
        "q",
        "react",
        "react-dom",
        "react-router",
        "require-dir",
        "slack-node",
        "vinyl-source-stream",
        "watchify"
      ],
      "tags": [
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 47,
      "lastUpdatedAt": "2017-10-07T04:16:24Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1151189?v=4"
    },
    {
      "githubPath": "madnight/react-webpack-babel-karma-boilerplate",
      "description": "https://madnight.github.io/react-webpack-babel-karma-boilerplate",
      "homepage": "",
      "dependencies": [
        "axios",
        "babel-cli",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-html-attrs",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-runtime",
        "bootstrap",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-standard",
        "eslint-plugin-import",
        "eslint-plugin-mocha",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "expect.js",
        "extract-text-webpack-plugin",
        "file-loader",
        "gulp",
        "gulp-gh-pages",
        "gulp-htmlmin",
        "html-loader",
        "html-minifier",
        "html-webpack-plugin",
        "ignore-loader",
        "inquirer-confirm",
        "istanbul-instrumenter-loader",
        "jest",
        "jsdom",
        "json-loader",
        "karma",
        "karma-babel-preprocessor",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-firefox-launcher",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-phantomjs2-launcher",
        "karma-sinon-chai",
        "karma-sourcemap-loader",
        "karma-webpack",
        "lodash",
        "markdown-loader",
        "mocha",
        "react",
        "react-addons-test-utils",
        "react-bootstrap",
        "react-bootstrap-table",
        "react-data-components",
        "react-dom",
        "react-helmet",
        "react-test-renderer",
        "sinon",
        "style-loader",
        "stylus",
        "stylus-loader",
        "webpack",
        "webpack-browser-plugin",
        "webpack-cleanup-plugin",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "linter",
        "tests"
      ],
      "lastStarCount": 1,
      "lastUpdatedAt": "2017-01-24T07:50:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10064471?v=4"
    },
    {
      "githubPath": "mcnamee/react-native-starter-kit",
      "description": ":rocket: A React Native + React (web) & Firebase (optional) boilerplate app to get you up and running very, very quickly :rocket:",
      "homepage": "http://react-boilerplate.mcnam.ee/",
      "dependencies": [
        "@expo/vector-icons",
        "autoprefixer",
        "autoprefixer-loader",
        "babel",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "bootstrap",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "expo",
        "firebase",
        "gulp",
        "jest-expo",
        "json-loader",
        "morgan",
        "native-base",
        "node-sass",
        "object-assign",
        "prop-types",
        "react",
        "react-dom",
        "react-native",
        "react-native-router-flux",
        "react-native-scripts",
        "react-redux",
        "react-router-dom",
        "react-test-renderer",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "reactstrap",
        "redbox-react",
        "redux",
        "redux",
        "redux-logger",
        "redux-persist",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "superagent",
        "webpack",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "native",
        "webpack 3"
      ],
      "lastStarCount": 1377,
      "lastUpdatedAt": "2018-02-01T20:32:51Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1809236?v=4"
    },
    {
      "githubPath": "mhart/simple-relay-starter",
      "description": "A very simple starter for React Relay using Browserify",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-relay-plugin",
        "babelify",
        "browserify",
        "browserify-shim",
        "express",
        "express-graphql",
        "graphql",
        "graphql-relay",
        "nodemon",
        "onchange",
        "parallelshell",
        "react",
        "react-dom",
        "react-relay"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 157,
      "lastUpdatedAt": "2018-01-27T06:10:18Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/367936?v=4"
    },
    {
      "githubPath": "mikechabot/react-boilerplate",
      "description": "A slightly opinionated yet dead simple boilerplate for ReactJS, Webpack 3 and React Router v4",
      "homepage": "http://mikechabot.github.io/react-boilerplate/",
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "chai",
        "coveralls",
        "cross-env",
        "css-loader",
        "del",
        "eslint",
        "eslint-config-standard",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-node",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "istanbul",
        "jsdom",
        "json-loader",
        "lodash",
        "mocha",
        "moment",
        "node-sass",
        "postcss-loader",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router-dom",
        "react-tabify",
        "redux",
        "redux-entity",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "sass-loader",
        "sinon",
        "style-loader",
        "svg-react-loader",
        "uglifyjs-webpack-plugin",
        "uglifyjs-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 99,
      "lastUpdatedAt": "2018-01-30T08:29:56Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/2166853?v=4"
    },
    {
      "githubPath": "mobxjs/mobx-react-boilerplate",
      "description": "Small project to quickly start with React, MobX, JSX, ES6, Babel",
      "homepage": "http://mobxjs.github.io/mobx",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "mobx",
        "mobx-react",
        "mobx-react-devtools",
        "react",
        "react-dom",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "mobx",
        "hmr",
        "minimal",
        "webpack 3"
      ],
      "lastStarCount": 578,
      "lastUpdatedAt": "2018-02-01T09:16:33Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/17475736?v=4"
    },
    {
      "githubPath": "mobxjs/mobx-react-typescript-boilerplate",
      "description": "Minimal boilerplate for a single-page app using React, TypeScript, TSX, Webpack",
      "homepage": "",
      "dependencies": [
        "@types/react",
        "@types/react-dom",
        "awesome-typescript-loader",
        "mobx",
        "mobx-react",
        "mobx-react-devtools",
        "react",
        "react-dom",
        "typescript",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "mobx",
        "minimal",
        "typescript",
        "webpack 3"
      ],
      "lastStarCount": 209,
      "lastUpdatedAt": "2018-02-01T21:27:51Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/17475736?v=4"
    },
    {
      "githubPath": "phenomic/phenomic",
      "description": "Modular website compiler ⚡️",
      "homepage": "https://phenomic.io/",
      "dependencies": [
        "babel-cli",
        "babel-eslint",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-1",
        "chalk",
        "cross-env",
        "cross-spawn",
        "eslint",
        "eslint-config-i-am-meticulous",
        "eslint-import-resolver-webpack",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "eslint-plugin-react-native",
        "flow-bin",
        "git-exec-and-restage",
        "globby",
        "husky",
        "jest",
        "lerna",
        "lint-staged",
        "npm-run-all",
        "prettier",
        "trash-cli",
        "trash-cli"
      ],
      "tags": [
        "linter",
        "tests"
      ],
      "lastStarCount": 2822,
      "lastUpdatedAt": "2018-02-02T14:10:43Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/28756976?v=4"
    },
    {
      "githubPath": "mozilla-neutrino/react-router-starter",
      "description": "ARCHIVED: Please use @neutrinojs/create-project",
      "homepage": "",
      "dependencies": [
        "neutrino",
        "neutrino-preset-react",
        "react",
        "react-async-component",
        "react-dom",
        "react-hot-loader",
        "react-router-dom"
      ],
      "tags": [
        "hmr",
        "minimal"
      ],
      "lastStarCount": 35,
      "lastUpdatedAt": "2018-01-02T16:20:43Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/21367267?v=4"
    },
    {
      "githubPath": "mozilla-neutrino/react-starter",
      "description": "ARCHIVED: Please use @neutrinojs/create-project",
      "homepage": "",
      "dependencies": [
        "neutrino",
        "neutrino-preset-react",
        "react",
        "react-dom",
        "react-hot-loader"
      ],
      "tags": [
        "hmr",
        "minimal"
      ],
      "lastStarCount": 31,
      "lastUpdatedAt": "2018-01-18T01:08:11Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/21367267?v=4"
    },
    {
      "githubPath": "ngduc/react-setup",
      "description": "A Universal React Setup with i18n: Babel 6, Koa 2, React, React Router, React Transmit, React Bootstrap, React-intl, Mocha, Isparta, Webpack 2, Storybook, InlineCSS/PostCSS, ESLint, HTTPS & HTTP2.",
      "homepage": "",
      "dependencies": [
        "@kadira/storybook",
        "autoprefixer",
        "babel",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-intl",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "bootstrap",
        "bunyan",
        "chai",
        "classnames",
        "concurrently",
        "copy-webpack-plugin",
        "css-loader",
        "eslint",
        "eslint-plugin-jsdoc",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "fetch-plus",
        "fetch-plus-bearerauth",
        "fetch-plus-json",
        "forever",
        "glob",
        "html-webpack-plugin",
        "intl",
        "intl-locales-supported",
        "intl-messageformat-parser",
        "isomorphic-fetch",
        "isparta",
        "jsdom",
        "json-loader",
        "just-wait",
        "koa",
        "koa-better-body",
        "koa-bodyparser",
        "koa-compose",
        "koa-compress",
        "koa-convert",
        "koa-passport",
        "koa-router",
        "koa-session",
        "koa-static-cache",
        "mkdirp",
        "mocha",
        "mousetrap",
        "mustache",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-mixins",
        "postcss-nested",
        "postcss-simple-vars",
        "pre-git",
        "react",
        "react-addons-css-transition-group",
        "react-addons-test-utils",
        "react-addons-update",
        "react-bootstrap",
        "react-dom",
        "react-inline-css",
        "react-intl",
        "react-jsonschema-form",
        "react-motion",
        "react-proxy",
        "react-router",
        "react-router-transition",
        "react-transmit",
        "serialize-javascript",
        "sinon",
        "sinon-chai",
        "spdy",
        "style-loader",
        "teaspoon",
        "webpack",
        "webpack-build-notifier",
        "webpack-dev-server",
        "webpack-node-externals"
      ],
      "tags": [
        "babel",
        "inline style",
        "linter",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 185,
      "lastUpdatedAt": "2018-01-24T12:34:53Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/639189?v=4"
    },
    {
      "githubPath": "ngokevin/aframe-react-boilerplate",
      "description": ":sunglasses: Boilerplate for building virtual reality (VR) experiences with A-Frame and React using aframe-react.",
      "homepage": "https://ngokevin.github.io/aframe-react-boilerplate/",
      "dependencies": [
        "aframe",
        "aframe-animation-component",
        "aframe-particle-system-component",
        "aframe-react",
        "babel-polyfill",
        "gh-pages",
        "react",
        "react-dom",
        "react-scripts"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 304,
      "lastUpdatedAt": "2018-01-31T20:22:49Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/674727?v=4"
    },
    {
      "githubPath": "nicholaswyoung/react-boilerplate",
      "description": "React, Redux, Router5. PostCSS. The most buzzword-worthy boilerplate you've ever seen.",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "ava",
        "babel-cli",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "babelify",
        "browser-sync",
        "browserify",
        "concurrently",
        "cpy-cli",
        "del-cli",
        "enzyme",
        "errbot",
        "eslint-config-xo-react",
        "eslint-plugin-react",
        "exorcist",
        "express",
        "http-client",
        "isomorphic-fetch",
        "keykey",
        "mkdirp",
        "onchange",
        "postcss-cli",
        "react",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router5",
        "redux",
        "redux-router5",
        "reselect",
        "router5",
        "router5-history",
        "router5.helpers",
        "watchify",
        "xo"
      ],
      "tags": [
        "redux",
        "linter"
      ],
      "lastStarCount": 7,
      "lastUpdatedAt": "2017-02-20T02:43:46Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/98955?v=4"
    },
    {
      "githubPath": "obetomuniz/reeakt",
      "description": "A modern React boilerplate to awesome web applications",
      "homepage": "",
      "dependencies": [
        "axios",
        "axios-mock-adapter",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-module-alias",
        "babel-plugin-styled-components",
        "babel-plugin-transform-decorators-legacy",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "coveralls",
        "cross-env",
        "css-loader",
        "detect-port",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-loader",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "eslint-plugin-redux-saga",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "img-loader",
        "immutable",
        "jest",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-redux",
        "react-router-config",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-immutable",
        "redux-saga",
        "redux-saga-testing",
        "style-loader",
        "styled-components",
        "uglifyjs-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dashboard",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-isomorphic-tools"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 100,
      "lastUpdatedAt": "2018-01-14T23:24:41Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1680157?v=4"
    },
    {
      "githubPath": "olebedev/go-starter-kit",
      "description": "Golang isomorphic react/hot reloadable/redux/css-modules  starter kit",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "css-loader",
        "eslint",
        "eslint-plugin-react",
        "expose-loader",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "normalize.css",
        "postcss-functions",
        "postcss-loader",
        "precss",
        "proxy-middleware",
        "react",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router",
        "redux",
        "redux-logger",
        "style-loader",
        "svgo-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch",
        "when"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 2274,
      "lastUpdatedAt": "2018-02-02T15:25:06Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/848535?v=4"
    },
    {
      "githubPath": "oscarmorrison/react-webpack-starter",
      "description": "⚽️ Best react webpack start (with es6 and other basics)",
      "homepage": "http://oscarmorrison.com/react-webpack-starter/",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "copy-webpack-plugin",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "eslint-watch",
        "file-loader",
        "jest",
        "node-sass",
        "postcss-loader",
        "precss",
        "react",
        "react-dom",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-merge",
        "webpack-notifier"
      ],
      "tags": [
        "babel",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 4,
      "lastUpdatedAt": "2018-01-14T14:04:37Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1651212?v=4"
    },
    {
      "githubPath": "osxi/react-pouch-redux-starter-kit",
      "description": "Quickly get started with React + PouchDB + Redux",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "fbjs",
        "history",
        "jest-cli",
        "material-ui",
        "pouchdb",
        "react",
        "react-addons-create-fragment",
        "react-addons-pure-render-mixin",
        "react-addons-transition-group",
        "react-addons-update",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-tap-event-plugin",
        "redux",
        "redux-devtools",
        "redux-logger",
        "redux-promise",
        "redux-thunk",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 16,
      "lastUpdatedAt": "2017-09-29T21:12:57Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/6734090?v=4"
    },
    {
      "githubPath": "PBRT/reactogo",
      "description": "Redux immutable architecture boilerplate with Webpack and React",
      "homepage": "https://reactogo.herokuapp.com",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "body-parser",
        "colors",
        "compression",
        "css-loader",
        "del",
        "ejs",
        "es6-promise",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "expect",
        "exports-loader",
        "express",
        "fastclick",
        "file-loader",
        "firebase",
        "history",
        "immutable",
        "imports-loader",
        "isomorphic-fetch",
        "jquery",
        "json-loader",
        "karma",
        "karma-mocha",
        "karma-phantomjs-launcher",
        "karma-spec-reporter",
        "karma-webpack",
        "mocha",
        "phantomjs-polyfill-object-assign",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-modal",
        "react-motion",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-devtools",
        "redux-immutable",
        "redux-logger",
        "redux-promise",
        "redux-thunk",
        "serve-favicon",
        "slideout",
        "style-loader",
        "stylus",
        "stylus-loader",
        "underscore",
        "url-loader",
        "velocity-animate",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 66,
      "lastUpdatedAt": "2018-01-26T16:11:40Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/6997921?v=4"
    },
    {
      "githubPath": "peppesilletti/webpack-project",
      "description": "A starter kit for Redux/React applications, with Webpack 3.",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-syntax-dynamic-import",
        "babel-preset-env",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-3",
        "bundle-loader",
        "config",
        "copy-webpack-plugin",
        "css-loader",
        "debug",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-webpack-plugin",
        "image-webpack-loader",
        "nodemon",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-dom",
        "redux",
        "redux-thunk",
        "style-loader",
        "underscore",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "router",
        "webpack 3"
      ],
      "lastStarCount": 5,
      "lastUpdatedAt": "2017-12-13T06:40:28Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/11472638?v=4"
    },
    {
      "githubPath": "peter-mouland/react-lego",
      "description": "React-lego : incrementally add more cool stuff to your react app",
      "homepage": "http://react-lego.herokuapp.com/",
      "dependencies": [
        "@babel/cli",
        "@babel/core",
        "@babel/plugin-proposal-class-properties",
        "@babel/plugin-proposal-object-rest-spread",
        "@babel/plugin-transform-runtime",
        "@babel/preset-env",
        "@babel/preset-react",
        "@babel/register",
        "@babel/runtime",
        "assets-webpack-plugin",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "chance",
        "css-loader",
        "cssnano",
        "debug",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-jest",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "http-proxy",
        "http-server",
        "husky",
        "jest",
        "jsdom",
        "nightwatch",
        "nightwatch-html-reporter",
        "node-fetch",
        "node-sass",
        "postcss-loader",
        "progress-bar-webpack-plugin",
        "promise-polyfill",
        "prop-types",
        "react",
        "react-document-meta",
        "react-dom",
        "react-router-dom",
        "sass-lint",
        "sass-loader",
        "selenium-standalone",
        "style-loader",
        "webpack",
        "webpack-cli",
        "webpack-dev-server",
        "webpack-visualizer-plugin",
        "whatwg-fetch",
        "yargs"
      ],
      "tags": [
        "css modules",
        "babel",
        "linter",
        "tests",
        "webpack 4"
      ],
      "lastStarCount": 388,
      "lastUpdatedAt": "2018-02-02T13:01:54Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1727939?v=4"
    },
    {
      "githubPath": "phenomic/phenomic",
      "description": "Modular website compiler ⚡️",
      "homepage": "https://phenomic.io/",
      "dependencies": [
        "babel-cli",
        "babel-eslint",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-1",
        "chalk",
        "cross-env",
        "cross-spawn",
        "eslint",
        "eslint-config-i-am-meticulous",
        "eslint-import-resolver-webpack",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-react",
        "eslint-plugin-react-native",
        "flow-bin",
        "git-exec-and-restage",
        "globby",
        "husky",
        "jest",
        "lerna",
        "lint-staged",
        "npm-run-all",
        "prettier",
        "trash-cli",
        "trash-cli"
      ],
      "tags": [
        "linter",
        "tests"
      ],
      "lastStarCount": 2822,
      "lastUpdatedAt": "2018-02-02T14:10:43Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/28756976?v=4"
    },
    {
      "githubPath": "pheuter/essential-react",
      "description": "A minimal skeleton for building testable React apps using Babel",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "ava",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "coveralls",
        "css-loader",
        "enzyme",
        "express",
        "extract-text-webpack-plugin",
        "nyc",
        "postcss-loader",
        "postcss-nested",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "sinon",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "router"
      ],
      "lastStarCount": 2066,
      "lastUpdatedAt": "2018-02-02T13:01:49Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/92698?v=4"
    },
    {
      "githubPath": "piotrwitek/react-redux-typescript-jspm-starter",
      "description": "Futuristic, bundle-free, development environment for building Component-Driven SPA with React, Redux and TypeScript - powered by JSPM (SystemJS & Rollup with tree-shaking)",
      "homepage": "https://piotrwitek.github.io/react-redux-typescript-jspm-starter/",
      "dependencies": [
        "@types/classnames",
        "@types/jest",
        "@types/node",
        "@types/react",
        "@types/react-dom",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-redux",
        "@types/systemjs",
        "husky",
        "jest",
        "jspm",
        "jspm-hmr",
        "react-redux-typescript",
        "redux-observable",
        "regenerator",
        "reselect",
        "rxjs",
        "shelljs",
        "shx",
        "ts-jest",
        "tslint",
        "typescript"
      ],
      "tags": [
        "css modules",
        "linter",
        "tests",
        "typescript"
      ],
      "lastStarCount": 223,
      "lastUpdatedAt": "2018-01-30T23:09:17Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/739075?v=4"
    },
    {
      "githubPath": "przeor/react-router-flux-starter-kit",
      "description": "Why & How to Learn React Redux, the right highly scalable way.",
      "homepage": "",
      "dependencies": [
        "envify",
        "es6-promise",
        "flux",
        "gulp",
        "gulp-browserify",
        "gulp-concat",
        "gulp-connect",
        "gulp-livereload",
        "gulp-open",
        "gulp-plumber",
        "object-assign",
        "react",
        "react-router",
        "reactify",
        "superagent"
      ],
      "tags": [
        "flux",
        "minimal",
        "router"
      ],
      "lastStarCount": 661,
      "lastUpdatedAt": "2018-02-01T11:31:46Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5995?v=4"
    },
    {
      "githubPath": "radenkovic/react-vanilla",
      "description": "🍨 Vanilla React Boilerplate, almost non-opinionated 🌝",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-plugin-module-resolver",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cross-env",
        "file-loader",
        "gulp",
        "gulp-autoprefixer",
        "gulp-concat",
        "gulp-inject",
        "gulp-rev",
        "gulp-sass",
        "html-webpack-plugin",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "redux",
        "redux-thunk",
        "rimraf",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "webpack 3"
      ],
      "lastStarCount": 1,
      "lastUpdatedAt": "2017-08-20T16:14:27Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/16557245?v=4"
    },
    {
      "githubPath": "radenkovic/styled-react-boilerplate",
      "description": "Beautiful boilerplate utilizing React, Redux and amazing Styled Components 💅",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-inline-react-svg",
        "babel-plugin-module-resolver",
        "babel-plugin-styled-components",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-flow",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cross-env",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-import-resolver-babel-module",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "file-loader",
        "flow-bin",
        "html-webpack-plugin",
        "jest",
        "object-assign",
        "prettier",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "react-styled-flexboxgrid",
        "react-test-renderer",
        "redux",
        "redux-thunk",
        "rimraf",
        "styled-components",
        "styled-components-theme",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "tests",
        "webpack 3",
        "flow"
      ],
      "lastStarCount": 2,
      "lastUpdatedAt": "2017-09-25T09:21:12Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/16557245?v=4"
    },
    {
      "githubPath": "rangle/react-redux-example",
      "description": "Rangle.io official React + Redux starter",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "basscss",
        "basscss-addons",
        "basscss-basic",
        "body-parser",
        "classnames",
        "concurrently",
        "copy-webpack-plugin",
        "cross-env",
        "css-loader",
        "cssnano",
        "denodeify",
        "enzyme",
        "es5-shim",
        "es6-promise",
        "es6-shim",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "express",
        "file-loader",
        "helmet",
        "html-webpack-plugin",
        "http-proxy",
        "immutable",
        "istanbul",
        "istanbul-instrumenter-loader",
        "jasmine-core",
        "json-loader",
        "karma",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-jasmine",
        "karma-remap-istanbul",
        "karma-sinon",
        "karma-source-map-support",
        "karma-sourcemap-loader",
        "karma-spec-reporter",
        "karma-webpack",
        "nodemon",
        "passport",
        "passport-local",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-modules-local-by-default",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-form",
        "redux-localstorage",
        "redux-logger",
        "redux-thunk",
        "require-hacker",
        "rimraf",
        "sinon",
        "style-loader",
        "stylelint",
        "stylelint-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-split-by-path",
        "whatwg-fetch",
        "winston"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 156,
      "lastUpdatedAt": "2017-12-19T14:08:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/4304982?v=4"
    },
    {
      "githubPath": "rauschma/react-starter-project",
      "description": "Minimal starter project for React: webpack + hot module reloading + ES6 and JSX via Babel",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "copy-webpack-plugin",
        "react",
        "react-dom",
        "react-hot-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "minimal"
      ],
      "lastStarCount": 121,
      "lastUpdatedAt": "2018-01-16T19:17:17Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/526114?v=4"
    },
    {
      "githubPath": "rbartoli/react-boilerplate",
      "description": "A boilerplate to start a client-side project using React.",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "cross-env",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "file-loader",
        "postcss-loader",
        "react",
        "react-dom",
        "react-router",
        "rimraf",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-notifier"
      ],
      "tags": [
        "css modules",
        "babel",
        "hmr",
        "linter",
        "router"
      ],
      "lastStarCount": 25,
      "lastUpdatedAt": "2018-01-25T01:12:58Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/983189?v=4"
    },
    {
      "githubPath": "react-boilerplate/react-boilerplate",
      "description": ":fire: A highly scalable, offline-first foundation with the best developer experience and a focus on performance and best practices.",
      "homepage": "https://www.reactboilerplate.com",
      "dependencies": [
        "add-asset-html-webpack-plugin",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-dynamic-import-node",
        "babel-plugin-react-intl",
        "babel-plugin-react-transform",
        "babel-plugin-styled-components",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-0",
        "chalk",
        "circular-dependency-plugin",
        "compression",
        "coveralls",
        "cross-env",
        "css-loader",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-airbnb-base",
        "eslint-import-resolver-webpack",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "eslint-plugin-redux-saga",
        "eventsource-polyfill",
        "exports-loader",
        "express",
        "file-loader",
        "fontfaceobserver",
        "history",
        "hoist-non-react-statics",
        "html-loader",
        "html-webpack-plugin",
        "image-webpack-loader",
        "immutable",
        "imports-loader",
        "intl",
        "invariant",
        "ip",
        "jest-cli",
        "lint-staged",
        "lodash",
        "minimist",
        "ngrok",
        "node-plop",
        "null-loader",
        "offline-plugin",
        "plop",
        "pre-commit",
        "prop-types",
        "react",
        "react-dom",
        "react-helmet",
        "react-intl",
        "react-loadable",
        "react-redux",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-immutable",
        "redux-saga",
        "reselect",
        "rimraf",
        "sanitize.css",
        "shelljs",
        "style-loader",
        "styled-components",
        "url-loader",
        "warning",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 16961,
      "lastUpdatedAt": "2018-02-02T16:27:23Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/25323389?v=4"
    },
    {
      "githubPath": "reactGo/reactGo",
      "description": "Your One-Stop solution for a full-stack universal Redux App!",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "bcrypt-nodejs",
        "bluebird",
        "body-parser",
        "classnames",
        "compression",
        "connect-mongo",
        "connect-pg-simple",
        "cookie-parser",
        "cross-env",
        "css-loader",
        "enzyme",
        "es6-promise",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "expect",
        "express",
        "express-flash",
        "express-session",
        "extract-text-webpack-plugin",
        "file-loader",
        "helmet",
        "jsdom",
        "json-loader",
        "lodash",
        "method-override",
        "mocha",
        "mongoose",
        "nodemon",
        "passport",
        "passport-google-oauth",
        "passport-local",
        "pg",
        "pg-hstore",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-reporter",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-test-renderer",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redux",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "rimraf",
        "sequelize",
        "sequelize-cli",
        "serialize-javascript",
        "sinon",
        "spark-md5",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-manifest-plugin"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 2490,
      "lastUpdatedAt": "2018-02-02T14:11:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/20782186?v=4"
    },
    {
      "githubPath": "red-gate/redgate-react-starter-kit",
      "description": ":nut_and_bolt: React based SPA (Single-Page Application) starter kit which came out from experiences of a few product teams at Redgate",
      "homepage": "",
      "dependencies": [
        "@types/chai",
        "@types/core-js",
        "@types/deep-freeze",
        "@types/mocha",
        "@types/node",
        "@types/react",
        "@types/react-dom",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-redux",
        "@types/redux-form",
        "@types/redux-immutable-state-invariant",
        "@types/redux-logger",
        "@types/underscore",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "case-sensitive-paths-webpack-plugin",
        "chai",
        "clean-webpack-plugin",
        "colors",
        "concurrently",
        "copy-webpack-plugin",
        "css-loader",
        "deep-freeze",
        "eslint",
        "eslint-plugin-react",
        "eslint-teamcity",
        "expose-loader",
        "file-loader",
        "honeycomb",
        "html-webpack-plugin",
        "jquery",
        "json-loader",
        "mocha",
        "mocha-teamcity-reporter",
        "mocha-webpack",
        "node-sass",
        "npm-watch",
        "null-loader",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-form",
        "redux-immutable-state-invariant",
        "redux-logger",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "ts-loader",
        "tslint",
        "tslint-eslint-rules",
        "tslint-teamcity-reporter",
        "typescript",
        "underscore",
        "url-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-node-externals",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "typescript"
      ],
      "lastStarCount": 12,
      "lastUpdatedAt": "2018-01-31T19:19:22Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/731505?v=4"
    },
    {
      "githubPath": "RickWong/react-isomorphic-starterkit",
      "description": "Create an isomorphic React app in less than 5 minutes",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "concurrently",
        "cross-fetch",
        "css-loader",
        "fetch-plus",
        "fetch-plus-bearerauth",
        "fetch-plus-json",
        "file-loader",
        "forever",
        "isomorphic-style-loader",
        "json-loader",
        "just-wait",
        "koa",
        "koa-proxy",
        "koa-static",
        "node-sass",
        "react",
        "react-dom",
        "react-inline-css",
        "react-router",
        "react-transmit",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-node-externals"
      ],
      "tags": [
        "babel",
        "inline style",
        "router",
        "universal"
      ],
      "lastStarCount": 2343,
      "lastUpdatedAt": "2018-02-01T06:39:27Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/40102?v=4"
    },
    {
      "githubPath": "rofrol/react-starter-kit",
      "description": "React starter kit - no need for grunt/gulp/gloop/glugle/gleffy/gloran/whatever task runner comes out next week",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-eslint",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-es2015-rollup",
        "babel-preset-react",
        "babel-preset-stage-1",
        "babelify",
        "browserify",
        "colorguard",
        "concurrently",
        "doctoc",
        "dotenv",
        "errorify",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-react",
        "hex-rgb",
        "http-server",
        "livereactload",
        "postcss-cli",
        "postcss-custom-properties",
        "postcss-flexbugs-fixes",
        "postcss-nested",
        "react",
        "react-dom",
        "react-pacomo",
        "react-proxy",
        "rollup",
        "rollup-plugin-babel",
        "stylelint",
        "stylelint-config-standard",
        "uglifyify",
        "watchify"
      ],
      "tags": [
        "hmr",
        "linter"
      ],
      "lastStarCount": 39,
      "lastUpdatedAt": "2017-10-11T03:08:04Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/28787?v=4"
    },
    {
      "githubPath": "Rulox/react-atomic-structure",
      "description": "Basic Structure for React app following Atomic Design",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "node-sass",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-router",
        "sass-loader",
        "style-loader",
        "stylelint-webpack-plugin",
        "webpack",
        "webpack-dev-server",
        "webpack-uglify-js-plugin"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router"
      ],
      "lastStarCount": 48,
      "lastUpdatedAt": "2018-01-11T20:49:24Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6643657?v=4"
    },
    {
      "githubPath": "saikat/react-apollo-starter-kit",
      "description": "A production-ready starter kit for making a React/Apollo application.",
      "homepage": "",
      "dependencies": [
        "aphrodite",
        "apollo-client",
        "babel-cli",
        "babel-cli",
        "babel-core",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-loader",
        "babel-polyfill",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-es2015",
        "babel-preset-latest",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-register",
        "body-parser",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "foreman",
        "graphql",
        "graphql-server-express",
        "graphql-server-express ",
        "graphql-tag",
        "graphql-tools",
        "json-loader",
        "minilog",
        "nodemon",
        "nodemon",
        "react",
        "react-apollo",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux-thunk",
        "rollbar",
        "webpack",
        "webpack-dev-server",
        "webpack-dev-server",
        "webpack-manifest-plugin"
      ],
      "tags": [
        "babel",
        "linter",
        "router"
      ],
      "lastStarCount": 182,
      "lastUpdatedAt": "2018-01-29T13:58:07Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/83782?v=4"
    },
    {
      "githubPath": "samblake/react-native-typescript-starter-2017",
      "description": "A React-Native & TypeScript Starter for 2017",
      "homepage": null,
      "dependencies": [
        "@types/jest",
        "@types/navigation-react",
        "@types/react",
        "@types/react-native",
        "@types/react-redux",
        "@types/react-test-renderer",
        "babel-jest",
        "babel-preset-react-native",
        "immutable",
        "jest",
        "react",
        "react-native",
        "react-native-sm-transformer",
        "react-navigation",
        "react-redux",
        "react-test-renderer",
        "redux",
        "rimraf",
        "ts-jest",
        "tslint",
        "typescript"
      ],
      "tags": [
        "redux",
        "linter",
        "native",
        "tests",
        "typescript"
      ],
      "lastStarCount": 11,
      "lastUpdatedAt": "2017-11-08T11:58:49Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/4775860?v=4"
    },
    {
      "githubPath": "scalable-react/scalable-react-boilerplate",
      "description": ":star: Scalable feature-first React micro-framework made for Udacity Alumni collaborative projects",
      "homepage": "https://scalable-react-boilerplate.herokuapp.com/",
      "dependencies": [
        "apollo-client",
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-flow-react-proptypes",
        "babel-plugin-transform-flow-strip-types",
        "babel-plugin-webpack-alias",
        "babel-plugin-webpack-loaders",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "cross-env",
        "css-loader",
        "enzyme",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-flowtype-errors",
        "eslint-plugin-graphql",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "expect",
        "expect-jsx",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "flow-bin",
        "functional-components",
        "graphql-tag",
        "grommet",
        "history",
        "html-loader",
        "html-webpack-plugin",
        "immutable",
        "isomorphic-fetch",
        "jest",
        "jest-cli",
        "json-loader",
        "markdown-loader",
        "minimist",
        "morgan",
        "node-env-file",
        "node-sass",
        "npm-install-webpack-plugin",
        "null-loader",
        "offline-plugin",
        "plop",
        "postcss-loader",
        "precss",
        "react",
        "react-addons-css-transition-group",
        "react-addons-test-utils",
        "react-addons-update",
        "react-apollo",
        "react-css-modules",
        "react-dom",
        "react-hot-loader",
        "react-intl",
        "react-redux",
        "react-router",
        "react-router-redux",
        "redux",
        "redux-auth-wrapper",
        "redux-devtools",
        "redux-form",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "reselect",
        "resolve-url-loader",
        "rimraf",
        "sass-loader",
        "serialize-javascript",
        "sinon",
        "style-loader",
        "styled-components",
        "svg-react-loader",
        "webpack",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-manifest-plugin"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 231,
      "lastUpdatedAt": "2018-01-24T18:00:52Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/25936949?v=4"
    },
    {
      "githubPath": "skolmer/react-hot-boilerplate-vscode",
      "description": "React Hot Loader 3.0 Boilerplate for Visual Studio Code",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-react-jsx-source",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-optimize",
        "babel-preset-stage-0",
        "cross-env",
        "eslint",
        "eslint-import-resolver-webpack",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-lodash",
        "eslint-plugin-react",
        "html-webpack-plugin",
        "husky",
        "lodash",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "rimraf",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter"
      ],
      "lastStarCount": 123,
      "lastUpdatedAt": "2018-01-26T14:18:37Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/2427106?v=4"
    },
    {
      "githubPath": "sotnikov-link/ts-react-boilerplate",
      "description": "boilerplate: react, typescript 2, webpack 2 + hot-reload, karma + jasmine + coverage, sourcemaps",
      "homepage": "",
      "dependencies": [
        "@types/jasmine",
        "@types/react",
        "@types/react-dom",
        "@types/webpack-env",
        "awesome-typescript-loader",
        "istanbul-instrumenter-loader",
        "jasmine",
        "karma",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-jasmine",
        "karma-phantomjs2-launcher",
        "karma-remap-istanbul",
        "karma-sourcemap-loader",
        "karma-webpack",
        "react",
        "react-dom",
        "react-hot-loader",
        "source-map-loader",
        "tslint",
        "tslint-react",
        "typescript",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "hmr",
        "linter",
        "tests",
        "typescript"
      ],
      "lastStarCount": 3,
      "lastUpdatedAt": "2017-08-24T00:49:04Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/10273334?v=4"
    },
    {
      "githubPath": "stample/gulp-browserify-react-phonegap-starter",
      "description": "A starter kit for Phonegap, using Gulp, Browserify and React",
      "homepage": "",
      "dependencies": [
        "browserify",
        "browserify-shim",
        "cordova",
        "envify",
        "gulp",
        "gulp-changed",
        "gulp-imagemin",
        "gulp-less",
        "gulp-notify",
        "gulp-recess",
        "gulp-util",
        "jquery",
        "react",
        "reactify",
        "underscore",
        "vinyl-source-stream",
        "wrench"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 94,
      "lastUpdatedAt": "2017-12-09T14:49:05Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/3747609?v=4"
    },
    {
      "githubPath": "start-react/native-starter-kit",
      "description": "React Native Starter App with NativeBase + CodePush + Redux",
      "homepage": "http://GeekyAnts.com",
      "dependencies": [
        "babel-eslint",
        "babel-jest",
        "babel-preset-react-native",
        "chai",
        "color",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "eslint-plugin-react-native",
        "jest",
        "jest-react-native",
        "lodash",
        "mocha",
        "moment",
        "native-base",
        "react",
        "react-native",
        "react-native-code-push",
        "react-native-easy-grid",
        "react-native-modalbox",
        "react-navigation",
        "react-redux",
        "react-test-renderer",
        "redux",
        "redux-form",
        "redux-persist",
        "redux-thunk",
        "remote-redux-devtools",
        "remote-redux-devtools-on-debugger",
        "remotedev-server"
      ],
      "tags": [
        "redux",
        "linter",
        "native",
        "tests"
      ],
      "lastStarCount": 1345,
      "lastUpdatedAt": "2018-02-02T14:00:47Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/10652749?v=4"
    },
    {
      "githubPath": "stoikerty/dev-toolkit",
      "description": "Universal Development Toolkit for Javascript People",
      "homepage": "https://npmjs.com/package/dev-toolkit",
      "dependencies": [
        "del-cli",
        "lerna"
      ],
      "tags": [
        "css modules",
        "minimal",
        "universal"
      ],
      "lastStarCount": 121,
      "lastUpdatedAt": "2018-01-28T01:18:56Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3392110?v=4"
    },
    {
      "githubPath": "Stupidism/stupid-rc-starter",
      "description": "Hoc-style React Component Starter with storybook integrated",
      "homepage": "https://stupidism.github.io/stupid-rc-starter/",
      "dependencies": [
        "@storybook/addon-actions",
        "@storybook/addon-events",
        "@storybook/addon-info",
        "@storybook/addon-knobs",
        "@storybook/addon-links",
        "@storybook/addon-options",
        "@storybook/addon-storyshots",
        "@storybook/react",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-2",
        "chai",
        "css-loader",
        "editorconfig-tools",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "file-loader",
        "fs-extra",
        "gh-pages",
        "git-prepush-hook",
        "jest",
        "json-loader",
        "lint-staged",
        "lodash",
        "opn-cli",
        "pre-commit",
        "prop-types",
        "purecss",
        "raw-loader",
        "react",
        "react-dom",
        "react-markdown",
        "react-syntax-highlighter",
        "react-test-renderer",
        "recompose",
        "rimraf",
        "style-loader",
        "stylefmt",
        "stylelint",
        "stylelint-config-standard",
        "sync-exec",
        "system-bell-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-merge"
      ],
      "tags": [
        "babel",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 4,
      "lastUpdatedAt": "2017-09-26T00:48:29Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5801015?v=4"
    },
    {
      "githubPath": "substack/react-starter-hmr",
      "description": "bare-bones react starter for hot module replacement using browserify-hmr",
      "homepage": null,
      "dependencies": [
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "browserify-hmr",
        "ecstatic",
        "react",
        "react-dom",
        "ud",
        "uglify-js",
        "watchify"
      ],
      "tags": [
        "minimal"
      ],
      "lastStarCount": 77,
      "lastUpdatedAt": "2017-01-15T01:21:27Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/12631?v=4"
    },
    {
      "githubPath": "survivejs/react-component-boilerplate",
      "description": "Boilerplate for React.js components (MIT)",
      "homepage": "https://survivejs.github.io/react-component-boilerplate/",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-preset-es2015",
        "babel-preset-react",
        "catalog",
        "chai",
        "cross-env",
        "del-cli",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "gh-pages",
        "git-prepush-hook",
        "jest",
        "purecss",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-github-corner",
        "rimraf",
        "sync-exec",
        "webpack"
      ],
      "tags": [
        "babel",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 271,
      "lastUpdatedAt": "2018-01-16T01:35:50Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/11871113?v=4"
    },
    {
      "githubPath": "sysgears/apollo-universal-starter-kit",
      "description": "Apollo 2 Universal Starter Kit — GraphQL React JavaScript app boilerplate for Mobile, Server and Web where code for all platforms built with Webpack to enable max code reuse, stack: Apollo, GraphQL, React 16, React Native, Expo, Express, Knex, SQLite, Twitter Bootstrap, Babel, Webpack",
      "homepage": "",
      "dependencies": [
        "husky",
        "lerna",
        "lint-staged",
        "opencollective",
        "spinjs"
      ],
      "tags": [
        "minimal",
        "universal"
      ],
      "lastStarCount": 609,
      "lastUpdatedAt": "2018-02-02T11:40:20Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/456002?v=4"
    },
    {
      "githubPath": "Technologeek/react-webpack-3-boilerplate",
      "description": "Minimal Configuration React.js-Webpack 3 setup including React Router-4,Jest,Hot Reloading,Redux,ES6 and a small get-started demo app!",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "bulma",
        "css-loader",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "identity-obj-proxy",
        "jest",
        "prop-types",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-router-dom",
        "react-test-renderer",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 14,
      "lastUpdatedAt": "2018-01-27T10:55:15Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3764685?v=4"
    },
    {
      "githubPath": "tinkertrain/jspm-react",
      "description": "Configured starter repo to build web apps with React and ES6 modules.",
      "homepage": null,
      "dependencies": [
        "babel",
        "browser-sync",
        "gulp",
        "gulp-autoprefixer",
        "gulp-cached",
        "gulp-concat",
        "gulp-csso",
        "gulp-html-replace",
        "gulp-inject",
        "gulp-jspm",
        "gulp-load-plugins",
        "gulp-rename",
        "gulp-sass",
        "gulp-shell",
        "gulp-sourcemaps",
        "gulp-uglify",
        "gulp-util",
        "gulp-watch",
        "karma",
        "karma-chrome-launcher",
        "karma-firefox-launcher",
        "karma-jspm",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sinon-chai",
        "mocha",
        "require-dir",
        "rimraf",
        "run-sequence"
      ],
      "tags": [
        "babel",
        "tests"
      ],
      "lastStarCount": 155,
      "lastUpdatedAt": "2017-12-30T10:08:27Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1414086?v=4"
    },
    {
      "githubPath": "tosFa/react-cross-platform-boardgame-example",
      "description": "This is an example app that shows off a web, ios and android app with the same codebase using ReactJS, react-native, redux, webpack, babel, express and socket.io",
      "homepage": null,
      "dependencies": [
        "autoprefixer-loader",
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-plugin-react-transform",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "babel-register",
        "bootstrap-sass",
        "chai",
        "chai-immutable",
        "css-loader",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "foundation-sites",
        "history",
        "html-webpack-plugin",
        "immutable",
        "isomorphic-fetch",
        "jsdom",
        "keymirror",
        "mocha",
        "node-sass",
        "react",
        "react-addons-pure-render-mixin",
        "react-dom",
        "react-hot-loader",
        "react-native",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-transform-hmr",
        "redux",
        "redux-logger",
        "redux-promise",
        "redux-thunk",
        "remote-redux-devtools",
        "sass-loader",
        "socket.io",
        "socket.io-client",
        "style-loader",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "native",
        "router",
        "tests"
      ],
      "lastStarCount": 26,
      "lastUpdatedAt": "2018-01-12T01:56:47Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5417347?v=4"
    },
    {
      "githubPath": "tpai/r2-starter-kit",
      "description": "R^2 Starter Kit is a boilerplate for web development built on top of React, Redux and Webpack.",
      "homepage": "http://r2-starter-kit.herokuapp.com/",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-rewire",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-stage-0",
        "cross-env",
        "css-loader",
        "cz-conventional-changelog",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-loader",
        "eslint-plugin-react",
        "expect",
        "express",
        "express-history-api-fallback",
        "html-webpack-plugin",
        "husky",
        "isomorphic-fetch",
        "jest",
        "nock",
        "node-sass",
        "object.reduce",
        "postcss-import",
        "postcss-loader",
        "raf",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "redux",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "sass-loader",
        "style-loader",
        "webpack",
        "webpack-dev-server",
        "wrap-pwa-html-webpack-plugin"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 30,
      "lastUpdatedAt": "2017-12-19T05:09:48Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/579145?v=4"
    },
    {
      "githubPath": "troyedwardsjr/redux-electron-todo-example",
      "description": "React + Redux + Electron + Material UI + Sass + Browserify + Gulp Todo List Application example that lives in your system tray.",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-preset-es2015",
        "babel-preset-react",
        "babelify",
        "browserify",
        "electron-connect",
        "electron-prebuilt",
        "eslint",
        "eslint-config-standard",
        "eslint-config-standard-jsx",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "event-stream",
        "glob",
        "gulp",
        "gulp-atom-electron",
        "gulp-babel",
        "gulp-eslint",
        "gulp-rename",
        "gulp-replace",
        "gulp-sass",
        "gulp-symdest",
        "gulp-useref",
        "gulp-vinyl-zip",
        "lodash",
        "material-ui",
        "node-uuid",
        "react",
        "react-dom",
        "react-redux",
        "react-tap-event-plugin",
        "redux",
        "request",
        "vinyl-source-stream"
      ],
      "tags": [
        "babel",
        "redux",
        "linter"
      ],
      "lastStarCount": 40,
      "lastUpdatedAt": "2018-01-24T08:43:47Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/16667416?v=4"
    },
    {
      "githubPath": "unicorn-standard/starter-kit",
      "description": "Project boilerplate using React, Redux and Uniloc",
      "homepage": "http://unicornstandard.com/packages/boilerplate.html",
      "dependencies": [
        "autoprefixer-loader",
        "babel-core",
        "babel-loader",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "css-loader",
        "del",
        "extract-text-webpack-plugin",
        "file-loader",
        "fill-range",
        "gulp",
        "gulp-changed",
        "gulp-inject",
        "gulp-inject-string",
        "gulp-load-plugins",
        "gulp-size",
        "gulp-util",
        "invariant",
        "json-loader",
        "less",
        "less-loader",
        "node-libs-browser",
        "object-pick",
        "open",
        "react",
        "react-dom",
        "react-pacomo",
        "redux",
        "redux-batched-subscribe",
        "redux-devtools",
        "redux-multi",
        "redux-thunk",
        "run-sequence",
        "style-loader",
        "uniloc",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux"
      ],
      "lastStarCount": 491,
      "lastUpdatedAt": "2018-02-02T13:01:51Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/14356264?v=4"
    },
    {
      "githubPath": "vasanthk/react-universal-starter",
      "description": "Quick start an Universal (isomorphic) React App",
      "homepage": null,
      "dependencies": [
        "babel",
        "babel-core",
        "babel-loader",
        "babel-plugin-typecheck",
        "babel-runtime",
        "concurrently",
        "hapi",
        "isomorphic-fetch",
        "json-loader",
        "piping",
        "react",
        "react-hot-loader",
        "react-inline-css",
        "react-router",
        "react-transmit",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "inline style",
        "live reload",
        "minimal",
        "router",
        "universal"
      ],
      "lastStarCount": 84,
      "lastUpdatedAt": "2018-01-16T06:55:32Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/3537278?v=4"
    },
    {
      "githubPath": "vesparny/react-kickstart",
      "description": "just another react + webpack boilerplate",
      "homepage": "https://vesparny.github.io/react-kickstart/",
      "dependencies": [
        "babel-cli",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-latest",
        "babel-preset-react",
        "copy-webpack-plugin",
        "cross-env",
        "css-loader",
        "enzyme",
        "enzyme-to-json",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "gh-pages",
        "glamor",
        "glamorous",
        "html-webpack-plugin",
        "husky",
        "jest-cli",
        "jest-glamor-react",
        "json-loader",
        "lint-staged",
        "lodash",
        "prettier",
        "prop-types",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-router-dom",
        "redbox-react",
        "reflexbox",
        "rimraf",
        "sanitize.css",
        "standard",
        "standard-version",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "linter",
        "tests"
      ],
      "lastStarCount": 189,
      "lastUpdatedAt": "2018-01-02T22:52:11Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/82070?v=4"
    },
    {
      "githubPath": "vitalybe/ReactNativeUniversal",
      "description": "A demonstration of sharing javascript react-native code between mobile, desktop and web environments",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-app",
        "babel-preset-react-native",
        "babel-runtime",
        "case-sensitive-paths-webpack-plugin",
        "chalk",
        "concurrently",
        "connect-history-api-fallback",
        "cross-spawn",
        "css-loader",
        "detect-port",
        "dotenv",
        "electron",
        "electron-packager",
        "eslint",
        "eslint-config-react-app",
        "eslint-loader",
        "eslint-plugin-flowtype",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "html-webpack-plugin",
        "http-proxy-middleware",
        "jest",
        "json-loader",
        "object-assign",
        "postcss-loader",
        "promise",
        "react",
        "react-dev-utils",
        "react-dom",
        "react-native",
        "react-native-web",
        "react-test-renderer",
        "style-loader",
        "url-loader",
        "wait-on",
        "webpack",
        "webpack-dev-server",
        "webpack-manifest-plugin",
        "whatwg-fetch"
      ],
      "tags": [
        "babel",
        "linter",
        "native",
        "tests",
        "universal"
      ],
      "lastStarCount": 107,
      "lastUpdatedAt": "2018-01-31T06:58:54Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1933752?v=4"
    },
    {
      "githubPath": "vodkabears/another-one-fucking-boilerplate",
      "description": "Yes, another one JS boilerplate.",
      "homepage": "",
      "dependencies": [
        "assets-webpack-plugin",
        "babel-core",
        "babel-loader",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "babel-register",
        "body-parser",
        "chai",
        "connect-redis",
        "cookie-parser",
        "coveralls",
        "css-loader",
        "csscomb",
        "eslint",
        "eslint-plugin-react",
        "express",
        "express-session",
        "extract-text-webpack-plugin",
        "file-loader",
        "form-data",
        "image-webpack-loader",
        "istanbul",
        "json-loader",
        "mocha",
        "mongodb",
        "nock",
        "node-fetch",
        "node-loader",
        "node-polyglot",
        "node-uuid",
        "nodemon",
        "npm-run-all",
        "null-loader",
        "postcss-cssnext",
        "postcss-loader",
        "pre-commit",
        "react",
        "react-dom",
        "react-router",
        "shipit-cli",
        "shipit-deploy",
        "sinon",
        "style-loader",
        "url-loader",
        "webpack",
        "whatwg-fetch"
      ],
      "tags": [
        "css modules",
        "babel",
        "linter",
        "router",
        "tests"
      ],
      "lastStarCount": 145,
      "lastUpdatedAt": "2018-01-18T09:39:22Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/1700334?v=4"
    },
    {
      "githubPath": "VulcanJS/Vulcan",
      "description": "🌋 A toolkit to quickly build apps with React, GraphQL & Meteor",
      "homepage": "http://vulcanjs.org",
      "dependencies": [
        "@babel/runtime",
        "analytics-node",
        "apollo-client",
        "apollo-engine",
        "apollo-errors",
        "apollo-server-express",
        "autoprefixer",
        "babel-eslint",
        "babel-runtime",
        "bcrypt",
        "body-parser",
        "chalk",
        "classnames",
        "compression",
        "cookie-parser",
        "cross-fetch",
        "crypto-js",
        "dataloader",
        "deepmerge",
        "escape-string-regexp",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-meteor",
        "eslint-import-resolver-meteor",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-meteor",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "flat",
        "formsy-react",
        "formsy-react-components",
        "graphql",
        "graphql-anywhere",
        "graphql-date",
        "graphql-tag",
        "graphql-tools",
        "graphql-type-json",
        "handlebars",
        "he",
        "history",
        "html-to-text",
        "immutability-helper",
        "import",
        "intl",
        "intl-locales-supported",
        "juice",
        "mailchimp",
        "marked",
        "metascraper",
        "meteor-node-stubs",
        "mingo",
        "moment",
        "prop-types",
        "react",
        "react-addons-pure-render-mixin",
        "react-apollo",
        "react-bootstrap",
        "react-bootstrap-datetimepicker",
        "react-cookie",
        "react-datetime",
        "react-dom",
        "react-dropzone",
        "react-helmet",
        "react-intl",
        "react-loadable",
        "react-markdown",
        "react-places-autocomplete",
        "react-redux",
        "react-router",
        "react-router-bootstrap",
        "react-router-scroll",
        "react-stripe-checkout",
        "recompose",
        "redux",
        "rss",
        "sanitize-html",
        "sendy-api",
        "simpl-schema",
        "speakingurl",
        "stripe",
        "styled-components",
        "tracker-component",
        "underscore",
        "url"
      ],
      "tags": [
        "redux",
        "linter",
        "router"
      ],
      "lastStarCount": 6539,
      "lastUpdatedAt": "2018-02-02T10:24:45Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/6634779?v=4"
    },
    {
      "githubPath": "vutran/spa-starter-kit",
      "description": ":package: Quick starter kit for booting up a NodeJS container with React, webpack, babel/ES2015, Redux, and more.",
      "homepage": "",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "css-loader",
        "dotenv",
        "eslint",
        "eslint-loader",
        "express",
        "file-loader",
        "hot-reload-server",
        "html-loader",
        "json-loader",
        "node-sass",
        "postcss-loader",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-todo",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "sass-loader",
        "style-loader",
        "svgo",
        "svgo-loader",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter"
      ],
      "lastStarCount": 86,
      "lastUpdatedAt": "2017-12-20T05:40:42Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1088312?v=4"
    },
    {
      "githubPath": "wbkd/react-starterkit",
      "description": "Yet another react starterkit. Including react-router, reflux, jest, webpack, gulp and stylus.",
      "homepage": "http://wbkd.github.io/react-starterkit",
      "dependencies": [
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "del",
        "gulp",
        "gulp-autoprefixer",
        "gulp-concat",
        "gulp-connect",
        "gulp-livereload",
        "gulp-load-plugins",
        "gulp-size",
        "gulp-stylus",
        "gulp-uglify",
        "gulp-util",
        "gulp-watch",
        "gulp-webpack",
        "history",
        "jest-cli",
        "object-assign",
        "orchestrator",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-router",
        "reflux",
        "webpack"
      ],
      "tags": [
        "babel",
        "router",
        "tests"
      ],
      "lastStarCount": 356,
      "lastUpdatedAt": "2017-12-26T00:18:43Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/7106853?v=4"
    },
    {
      "githubPath": "wdjungst/react-project",
      "description": "State of the art web development with React.js.",
      "homepage": "",
      "dependencies": [
        "assert",
        "babel-cli",
        "babel-eslint",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "babel-register",
        "cli-color",
        "dotenv",
        "eslint",
        "eslint-config-rackt",
        "eslint-plugin-react",
        "expect",
        "express",
        "mocha",
        "nodemon",
        "prompt",
        "shelljs",
        "source-map-support",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "css modules",
        "linter",
        "tests"
      ],
      "lastStarCount": 1820,
      "lastUpdatedAt": "2018-01-31T09:53:09Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2320459?v=4"
    },
    {
      "githubPath": "webpack/react-starter",
      "description": "[OUTDATED] Starter template for React with webpack. Doesn't focus on simplicity! NOT FOR BEGINNERS!",
      "homepage": "",
      "dependencies": [
        "async",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "body-parser",
        "css-loader",
        "eslint",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-loader",
        "items-store",
        "less",
        "less-loader",
        "markdown-loader",
        "null-loader",
        "react",
        "react-hot-loader",
        "react-proxy-loader",
        "react-router",
        "stats-webpack-plugin",
        "style-loader",
        "superagent",
        "url-loader",
        "uuid",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "router"
      ],
      "lastStarCount": 2285,
      "lastUpdatedAt": "2018-02-02T13:01:46Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2105791?v=4"
    },
    {
      "githubPath": "WeLikeGraphQL/universal-react-apollo-example",
      "description": "Universal React Apollo App (GraphQL) consuming: https://github.com/WeLikeGraphQL/wordpress-graphql-api-example!",
      "homepage": "",
      "dependencies": [
        "apollo-client",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-display-name",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "chai",
        "copy-webpack-plugin",
        "cross-env",
        "css-loader",
        "dotenv",
        "enzyme",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-graphql",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "flag-icon-css",
        "graphql",
        "graphql-tag",
        "helmet",
        "imports-loader",
        "isomorphic-fetch",
        "jest",
        "json-loader",
        "nodemon",
        "null-loader",
        "postcss-cssnext",
        "postcss-import",
        "postcss-loader",
        "postcss-sassy-mixins",
        "react",
        "react-addons-test-utils",
        "react-apollo",
        "react-bootstrap",
        "react-css-modules",
        "react-dom",
        "react-hot-loader",
        "react-redux",
        "react-scroll",
        "react-test-renderer",
        "recompose",
        "redbox-react",
        "redux",
        "rimraf",
        "sinon",
        "style-loader",
        "stylelint-webpack-plugin",
        "sync-request",
        "url-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "wow.js"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "universal"
      ],
      "lastStarCount": 90,
      "lastUpdatedAt": "2018-01-25T02:05:02Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/22319557?v=4"
    },
    {
      "githubPath": "wellyshen/react-cool-starter",
      "description": "😎 A starter boilerplate for an universal web app with the best development experience and a focus on performance and best practices.",
      "homepage": "https://github.com/wellyshen/react-cool-starter",
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-minify-webpack-plugin",
        "babel-plugin-istanbul",
        "babel-plugin-lodash",
        "babel-plugin-transform-remove-console",
        "babel-preset-env",
        "babel-preset-flow",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "better-npm-run",
        "chalk",
        "compression",
        "compression-webpack-plugin",
        "coveralls",
        "cross-spawn",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-prettier",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-lodash-fp",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "flow-bin",
        "helmet",
        "history",
        "hpp",
        "identity-obj-proxy",
        "image-webpack-loader",
        "jest",
        "lodash",
        "morgan",
        "nock",
        "node-sass",
        "nodemon",
        "opn",
        "postcss",
        "postcss-loader",
        "prettier",
        "prettier-stylelint",
        "prop-types",
        "raf",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-redux",
        "react-router-dom",
        "react-router-redux",
        "react-test-renderer",
        "redux",
        "redux-mock-store",
        "redux-thunk",
        "rimraf",
        "sass-loader",
        "serialize-javascript",
        "serve-favicon",
        "style-loader",
        "stylelint",
        "stylelint-config-standard",
        "stylelint-webpack-plugin",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-isomorphic-tools"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "hmr",
        "linter",
        "tests",
        "universal",
        "webpack 3",
        "flow"
      ],
      "lastStarCount": 538,
      "lastUpdatedAt": "2018-02-01T21:23:24Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/21308003?v=4"
    },
    {
      "githubPath": "wwsun/starter-node-react",
      "description": "A starter project for React.js app",
      "homepage": "",
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-es2015-node5",
        "babel-preset-react",
        "co-views",
        "history",
        "koa",
        "koa-logger",
        "koa-route",
        "koa-static",
        "react",
        "react-dom",
        "react-router",
        "swig",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "minimal",
        "router"
      ],
      "lastStarCount": 174,
      "lastUpdatedAt": "2018-01-17T11:50:38Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/6984035?v=4"
    },
    {
      "githubPath": "xkawi/react-universal-saga",
      "description": "Universal React Starter Kit ft. Redux Saga",
      "homepage": "https://react-universal-saga.herokuapp.com",
      "dependencies": [
        "autoprefixer",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-react-transform",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-react-display-name",
        "babel-plugin-transform-runtime",
        "babel-plugin-typecheck",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-runtime",
        "better-npm-run",
        "bootstrap-loader",
        "bootstrap-sass",
        "clean-webpack-plugin",
        "compression",
        "concurrently",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "express-http-proxy",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "font-awesome-webpack",
        "hoist-non-react-statics",
        "humps",
        "invariant",
        "isomorphic-fetch",
        "jest",
        "json-loader",
        "less",
        "less-loader",
        "lodash",
        "node-sass",
        "normalizr",
        "postcss-loader",
        "precss",
        "react",
        "react-a11y",
        "react-addons-test-utils",
        "react-dom",
        "react-ga",
        "react-helmet",
        "react-redux",
        "react-router",
        "react-transform-catch-errors",
        "react-transform-hmr",
        "redbox-react",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "redux-logger",
        "redux-saga",
        "resolve-url-loader",
        "sass-loader",
        "scroll-behavior",
        "serialize-javascript",
        "serve-favicon",
        "strip-loader",
        "style-loader",
        "timekeeper",
        "url-loader",
        "warning",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "webpack-isomorphic-tools"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "universal"
      ],
      "lastStarCount": 165,
      "lastUpdatedAt": "2018-01-23T02:42:28Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/7726233?v=4"
    },
    {
      "githubPath": "xpepermint/isomorphic-react-relay-boilerplate",
      "description": "Starter template for React with focus on simplicity!",
      "homepage": "",
      "dependencies": [
        "babel",
        "babel-loader",
        "babel-runtime",
        "css-loader",
        "express",
        "express-graphql",
        "extract-text-webpack-plugin",
        "graphql",
        "graphql-sequelize",
        "history",
        "mysql",
        "nib",
        "nodemon",
        "react",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-router",
        "sequelize",
        "sequelize-cli",
        "style-loader",
        "stylus-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "router",
        "universal"
      ],
      "lastStarCount": 88,
      "lastUpdatedAt": "2017-11-29T14:55:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/174279?v=4"
    },
    {
      "githubPath": "YUzhva/create-react-redux-app",
      "description": "React boilerplate based on create-react-app",
      "homepage": null,
      "dependencies": [
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "history",
        "immutable",
        "lint-staged",
        "pre-commit",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router-dom",
        "react-router-redux",
        "react-scripts",
        "redux",
        "redux-saga"
      ],
      "tags": [
        "redux",
        "linter",
        "minimal"
      ],
      "lastStarCount": 27,
      "lastUpdatedAt": "2018-01-31T16:56:00Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/5191620?v=4"
    },
    {
      "githubPath": "zeit/next.js",
      "description": "Framework for server-rendered or statically-exported React apps",
      "homepage": "https://zeit.co/blog/next4",
      "dependencies": [
        "@taskr/babel",
        "@taskr/clear",
        "@taskr/esnext",
        "@taskr/watch",
        "ansi-html",
        "babel-core",
        "babel-eslint",
        "babel-generator",
        "babel-jest",
        "babel-loader",
        "babel-plugin-istanbul",
        "babel-plugin-module-resolver",
        "babel-plugin-react-require",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-jsx-source",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-remove-strict-mode",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-runtime",
        "babel-template",
        "benchmark",
        "case-sensitive-paths-webpack-plugin",
        "cheerio",
        "chromedriver",
        "coveralls",
        "cross-env",
        "cross-spawn",
        "del",
        "etag",
        "express",
        "fkill",
        "fresh",
        "friendly-errors-webpack-plugin",
        "glob",
        "glob-promise",
        "hoist-non-react-statics",
        "htmlescape",
        "http-status",
        "husky",
        "jest-cli",
        "json-loader",
        "lint-staged",
        "loader-utils",
        "md5-file",
        "minimist",
        "mkdirp-then",
        "mv",
        "mz",
        "node-fetch",
        "node-notifier",
        "nyc",
        "path-match",
        "pkg-up",
        "portfinder",
        "prop-types",
        "prop-types-exact",
        "react",
        "react-dom",
        "react-hot-loader",
        "recursive-copy",
        "send",
        "source-map-support",
        "standard",
        "strip-ansi",
        "styled-jsx",
        "taskr",
        "touch",
        "unfetch",
        "url",
        "uuid",
        "walk",
        "wd",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware",
        "write-file-webpack-plugin",
        "xss-filters"
      ],
      "tags": [
        "dependency",
        "babel",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 21984,
      "lastUpdatedAt": "2018-02-02T17:06:19Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/14985020?v=4"
    },
    {
      "githubPath": "nozzle/react-static",
      "description": "⚛️ 🚀 A progressive static-site generator for React.",
      "homepage": "",
      "dependencies": [
        "@types/react",
        "@types/react-helmet",
        "@types/react-router-dom",
        "async-sema",
        "autoprefixer",
        "axios",
        "babel-cli",
        "babel-loader",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-runtime",
        "babel-plugin-universal-import",
        "babel-preset-env",
        "babel-preset-es2015",
        "babel-preset-latest",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-preset-stage-1",
        "babel-preset-stage-3",
        "babel-runtime",
        "case-sensitive-paths-webpack-plugin",
        "chalk",
        "circular-dependency-plugin",
        "cors",
        "cross-spawn",
        "css-loader",
        "download-git-repo",
        "eslint",
        "eslint-config-react-tools",
        "extract-css-chunks-webpack-plugin",
        "extract-text-webpack-plugin",
        "file-loader",
        "fs-extra",
        "glob",
        "html-webpack-plugin",
        "inquirer",
        "inquirer-autocomplete-prompt",
        "jest",
        "match-sorter",
        "openport",
        "postcss-flexbugs-fixes",
        "postcss-loader",
        "preact",
        "preact-compat",
        "prop-types",
        "raf",
        "raw-loader",
        "react",
        "react-dev-utils",
        "react-dom",
        "react-helmet",
        "react-hot-loader",
        "react-router-dom",
        "react-universal-component",
        "rimraf",
        "shorthash",
        "slash",
        "style-loader",
        "swimmer",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-server",
        "webpack-flush-chunks",
        "webpack-node-externals"
      ],
      "tags": [
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 3289,
      "lastUpdatedAt": "2018-02-02T16:36:20Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5400727?v=4"
    },
    {
      "githubPath": "zxbodya/reactive-widgets",
      "description": "Application starter template, for implementing isomorphic widgets, using RxJS and React",
      "homepage": null,
      "dependencies": [
        "autoprefixer",
        "axios",
        "babel-cli",
        "babel-core",
        "babel-jest",
        "babel-loader",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-runtime",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-runtime",
        "body-parser",
        "bootstrap-sass",
        "classnames",
        "css-loader",
        "debug",
        "di1",
        "dotenv",
        "ejs",
        "eslint",
        "eslint-config-airbnb",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "html-loader",
        "jest",
        "loader-utils",
        "morgan",
        "node-sass",
        "nodemon",
        "null-loader",
        "postcss-loader",
        "prop-types",
        "raf",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-proxy-loader",
        "rimraf",
        "router1",
        "router1-react",
        "rx-react-container",
        "rxjs",
        "sass-loader",
        "source-map-support",
        "style-loader",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "universal",
        "webpack 3"
      ],
      "lastStarCount": 50,
      "lastUpdatedAt": "2017-10-15T21:52:10Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/446117?v=4"
    },
    {
      "githubPath": "gaearon/react-transform-boilerplate",
      "description": "A new Webpack boilerplate with hot reloading React components, and error handling on module and component level.",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "cross-env",
        "eslint",
        "eslint-plugin-babel",
        "eslint-plugin-react",
        "eventsource-polyfill",
        "express",
        "react",
        "react-dom",
        "rimraf",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "minimal"
      ],
      "lastStarCount": 3469,
      "lastUpdatedAt": "2018-02-01T11:20:49Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/810438?v=4"
    },
    {
      "githubPath": "facebook/create-react-app",
      "description": "Create React apps with no build configuration.",
      "homepage": null,
      "dependencies": [
        "eslint",
        "husky",
        "lerna",
        "lerna-changelog",
        "lint-staged",
        "prettier",
        "svg-term-cli"
      ],
      "tags": [
        "dependency",
        "linter",
        "minimal"
      ],
      "lastStarCount": 42533,
      "lastUpdatedAt": "2018-02-02T16:41:41Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/69631?v=4"
    },
    {
      "githubPath": "ahfarmer/minimal-react-starter",
      "description": "As minimal a react starter as you can get... while also using ES6/Babel and Webpack.",
      "homepage": null,
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-env",
        "babel-preset-react",
        "express",
        "react",
        "react-dom",
        "webpack",
        "webpack-dev-middleware"
      ],
      "tags": [
        "HMR",
        "babel",
        "minimal",
        "webpack 3"
      ],
      "lastStarCount": 202,
      "lastUpdatedAt": "2018-02-02T00:10:53Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/597825?v=4"
    },
    {
      "githubPath": "FredericHeem/starhackit",
      "description": "StarHackIt: React/Mobx/Glamorous + Node full-stack starter kit with authentication and authorization, data backed by SQL.",
      "homepage": "http://starhack.it/",
      "dependencies": [
        "abao",
        "async",
        "axios",
        "babel",
        "babel-core",
        "babel-core",
        "babel-eslint",
        "babel-eslint",
        "babel-loader",
        "babel-loader",
        "babel-plugin-lodash",
        "babel-plugin-transform-react-jsx",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-latest",
        "babel-preset-react",
        "babel-preset-stage-0",
        "babel-register",
        "babel-root-import",
        "babel-runtime",
        "babel-runtime",
        "bcryptjs",
        "binci",
        "bluebird",
        "bluebird",
        "chai",
        "chai-as-promised",
        "chalk",
        "chance",
        "chance",
        "clean-webpack-plugin",
        "codeclimate-test-reporter",
        "codecov.io",
        "compression-webpack-plugin",
        "config",
        "copy-webpack-plugin",
        "coveralls",
        "css-loader",
        "debug",
        "ejs",
        "eslint",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-standard-react",
        "eslint-loader",
        "eslint-plugin-babel",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-jsx-extras",
        "eslint-plugin-mocha",
        "eslint-plugin-mocha",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-standard",
        "file-loader",
        "fs-extra",
        "fuse-box",
        "glamor",
        "glamorous",
        "gulp",
        "gulp-babel",
        "gulp-debug",
        "gulp-rimraf",
        "gulp-util",
        "history",
        "html-webpack-plugin",
        "http-proxy-middleware",
        "http-server",
        "i18next",
        "i18next-browser-languagedetector",
        "i18next-localstorage-cache",
        "i18next-xhr-backend",
        "imports-loader",
        "intl",
        "isparta",
        "istanbul",
        "istanbul-instrumenter-loader",
        "jscpd",
        "jsdom",
        "json-loader",
        "jsonschema",
        "jsonwebtoken",
        "karma",
        "karma-chai",
        "karma-chrome-launcher",
        "karma-coverage",
        "karma-mocha",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-sinon",
        "karma-sourcemap-loader",
        "karma-webpack",
        "kcors",
        "koa",
        "koa-66",
        "koa-bodyparser",
        "koa-generic-session",
        "koa-passport",
        "koa-redis",
        "koa-static",
        "lodash",
        "lodash-webpack-plugin",
        "logfilename",
        "mdlean",
        "mobx",
        "mobx-react",
        "mocha",
        "moment",
        "nightwatch",
        "nodemailer",
        "oauth",
        "open-browser-webpack-plugin",
        "passport-facebook",
        "passport-jwt",
        "passport-local",
        "passport-oauth2",
        "pg",
        "pg-hstore",
        "phantomjs-prebuilt",
        "pm2",
        "preact",
        "preact-compat",
        "preact-deep-force-update",
        "prop-types",
        "protractor",
        "qs",
        "rabbitmq-pubsub",
        "raml-mocker-server",
        "raml2html",
        "react-color",
        "react-hot-loader",
        "react-pagify",
        "reactabular-table",
        "redis",
        "restauth",
        "run-sequence",
        "segmentize",
        "sequelize",
        "sequelize-cli",
        "shelljs",
        "should",
        "sinon",
        "sqlite3",
        "style-loader",
        "typescript",
        "uglify-js",
        "universal-router",
        "urijs",
        "url-loader",
        "validate.js",
        "webpack",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-bundle-size-analyzer",
        "webpack-dashboard",
        "webpack-dev-server",
        "webpack-hud",
        "winston",
        "xhr-eval-chunk-webpack-plugin"
      ],
      "tags": [
        "babel",
        "mobx",
        "hmr",
        "linter",
        "tests",
        "typescript",
        "webpack 3"
      ],
      "lastStarCount": 1063,
      "lastUpdatedAt": "2018-01-31T20:33:00Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/4118089?v=4"
    },
    {
      "githubPath": "kjda/ReactJs-Phonegap",
      "description": "A boilerplate ReactJS-Phonegap/Cordova App + Flux data flow",
      "homepage": "",
      "dependencies": [
        "async",
        "backbone",
        "bcrypt",
        "body-parser",
        "bower",
        "cookie-parser",
        "debug",
        "ejs",
        "express",
        "fastclick",
        "gulp",
        "gulp-clean",
        "gulp-concat",
        "gulp-jsvalidate",
        "gulp-less",
        "gulp-minify-css",
        "gulp-notify",
        "gulp-notify-growl",
        "gulp-plumber",
        "gulp-react",
        "gulp-replace",
        "gulp-run-sequence",
        "gulp-shell",
        "gulp-uglify",
        "gulp-watch",
        "jquery",
        "jsx-loader",
        "less-middleware",
        "lodash-node",
        "mongoose",
        "mongoose-validator",
        "morgan",
        "passport",
        "passport-local",
        "promise",
        "react",
        "react-flux",
        "react-tools",
        "react-topui",
        "static-favicon",
        "u",
        "underscore",
        "validator",
        "webpack"
      ],
      "tags": [],
      "lastStarCount": 261,
      "lastUpdatedAt": "2018-01-22T16:29:00Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1508183?v=4"
    },
    {
      "githubPath": "geowarin/boot-react",
      "description": "A starter application with spring boot and react",
      "homepage": "",
      "dependencies": [
        "axios",
        "babel",
        "babel-core",
        "babel-loader",
        "babel-plugin-module-alias",
        "babel-plugin-react-transform",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-react-hmre",
        "babel-preset-stage-0",
        "connect-history-api-fallback",
        "counterpart",
        "cross-env",
        "css-loader",
        "deep-equal",
        "enzyme",
        "expect",
        "express",
        "extract-text-webpack-plugin",
        "html-webpack-plugin",
        "http-proxy-middleware",
        "jeet",
        "jsdom",
        "jsdom-global",
        "json-loader",
        "mocha",
        "nib",
        "purecss",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-interpolate-component",
        "react-redux",
        "react-router",
        "react-router-redux",
        "react-translate-component",
        "redux",
        "redux-devtools",
        "redux-devtools-dock-monitor",
        "redux-devtools-log-monitor",
        "stripcomment-loader",
        "style-loader",
        "stylus-loader",
        "webpack",
        "webpack-dev-middleware",
        "webpack-hot-middleware"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "router",
        "tests"
      ],
      "lastStarCount": 482,
      "lastUpdatedAt": "2018-02-02T13:34:48Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1045636?v=4"
    },
    {
      "githubPath": "pauldotknopf/react-aspnet-boilerplate",
      "description": "A starting point for building isomorphic React applications with ASP.NET Core 1, leveraging existing techniques.",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-0",
        "bootstrap-loader",
        "bootstrap-sass",
        "bootstrap-social",
        "classnames",
        "css-loader",
        "eslint",
        "eslint-config-airbnb",
        "eslint-loader",
        "eslint-plugin-import",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "file-loader",
        "font-awesome",
        "gulp",
        "gulp-util",
        "lodash",
        "node-sass",
        "promise-window",
        "react",
        "react-bootstrap",
        "react-dom",
        "react-helmet",
        "react-redux",
        "react-router",
        "react-router-bootstrap",
        "react-router-redux",
        "redux",
        "redux-form",
        "redux-thunk",
        "resolve-url-loader",
        "sass-loader",
        "serialize-javascript",
        "style-loader",
        "superagent",
        "url-loader",
        "webpack"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "router",
        "universal"
      ],
      "lastStarCount": 257,
      "lastUpdatedAt": "2018-02-02T11:30:57Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/523150?v=4"
    },
    {
      "githubPath": "NYTimes/kyt",
      "description": "Starting a new JS app? Build, test and run advanced apps with kyt 🔥",
      "homepage": "https://open.nytimes.com/introducing-kyt-our-web-app-configuration-toolkit-9ccddf6f6988",
      "dependencies": [
        "autoprefixer",
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-es2015-modules-commonjs",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-jsx-source",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-preset-env",
        "babel-preset-kyt-core",
        "babel-preset-react",
        "chokidar",
        "commander",
        "connect-history-api-fallback",
        "cors",
        "css-loader",
        "detect-port",
        "eslint",
        "eslint-config-airbnb",
        "eslint-config-kyt",
        "eslint-config-prettier",
        "eslint-plugin-import",
        "eslint-plugin-json",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-prettier",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "filesize",
        "glob",
        "gzip-size",
        "identity-obj-proxy",
        "inquirer",
        "install",
        "jest",
        "jsdom",
        "kyt-utils",
        "lodash.clonedeep",
        "lodash.merge",
        "lodash.once",
        "lodash.uniq",
        "node-sass",
        "nodemon",
        "postcss-loader",
        "prettier",
        "prettier-eslint-cli",
        "ps-tree",
        "react-hot-loader",
        "sass-loader",
        "semver",
        "shelljs",
        "simple-git",
        "source-map-support",
        "strip-ansi",
        "style-loader",
        "stylelint",
        "stylelint-config-kyt",
        "stylelint-config-standard",
        "temp",
        "url-loader",
        "webpack",
        "webpack-assets-manifest",
        "webpack-dev-middleware",
        "webpack-dev-server",
        "webpack-hot-middleware",
        "webpack-merge",
        "webpack-node-externals",
        "webpack-plugin-hash-output"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 1258,
      "lastUpdatedAt": "2018-02-02T13:01:54Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/221409?v=4"
    },
    {
      "githubPath": "agrcrobles/react-native-web-boilerplate",
      "description": "react-native-web - stateless hmr boilerplate for react 15 :cyclone:",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-preset-react-native",
        "babel-register",
        "electron",
        "file-loader",
        "flow-bin",
        "jest",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-native",
        "react-native-vector-icons",
        "react-native-web",
        "react-navigation",
        "react-test-renderer",
        "tricky-components",
        "url-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "hmr",
        "linter",
        "native",
        "tests"
      ],
      "lastStarCount": 53,
      "lastUpdatedAt": "2018-01-26T09:09:21Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/5727373?v=4"
    },
    {
      "githubPath": "StephenGrider/ReduxSimpleStarter",
      "description": "Starter pack for an awesome Udemy course",
      "homepage": "",
      "dependencies": [
        "babel-core",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "chai",
        "chai-jquery",
        "jquery",
        "jsdom",
        "lodash",
        "mocha",
        "react",
        "react-addons-test-utils",
        "react-dom",
        "react-redux",
        "react-router",
        "redux",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "minimal",
        "router",
        "tests"
      ],
      "lastStarCount": 2528,
      "lastUpdatedAt": "2018-02-02T16:10:04Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/5003903?v=4"
    },
    {
      "githubPath": "alinz/example-react-native-redux",
      "description": "react native redux counter example",
      "homepage": null,
      "dependencies": [
        "flow-bin",
        "react",
        "react-native",
        "react-redux",
        "redux",
        "redux-actions",
        "redux-thunk"
      ],
      "tags": [
        "redux",
        "minimal",
        "native"
      ],
      "lastStarCount": 1138,
      "lastUpdatedAt": "2018-02-02T07:41:37Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/967050?v=4"
    },
    {
      "githubPath": "mirrorjs/mirror",
      "description": "A simple and powerful React framework with minimal API and zero boilerplate.",
      "homepage": null,
      "dependencies": [
        "babel-cli",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-2",
        "coveralls",
        "eslint",
        "eslint-plugin-react",
        "history",
        "jest",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-router-redux",
        "redux",
        "webpack"
      ],
      "tags": [
        "dependency",
        "babel",
        "redux",
        "linter",
        "router",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 1109,
      "lastUpdatedAt": "2018-02-02T07:47:27Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/30313390?v=4"
    },
    {
      "githubPath": "lnked/react-starter",
      "description": "React Starter Kit",
      "homepage": "",
      "dependencies": [
        "@atomix/eslint-config-react",
        "@types/prop-types",
        "@types/react",
        "@types/react-dom",
        "async-module-loader",
        "axios",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-add-module-exports",
        "babel-plugin-dual-import",
        "babel-plugin-syntax-dynamic-import",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-object-rest-spread",
        "babel-plugin-transform-react-constant-elements",
        "babel-plugin-transform-react-display-name",
        "babel-plugin-transform-react-inline-elements",
        "babel-plugin-transform-react-jsx",
        "babel-plugin-transform-react-pure-class-to-function",
        "babel-plugin-transform-react-remove-prop-types",
        "babel-plugin-transform-runtime",
        "babel-plugin-transform-typescript",
        "babel-preset-env",
        "babel-preset-flow",
        "babel-preset-react",
        "babel-preset-typescript",
        "bower-webpack-plugin",
        "brotli-webpack-plugin",
        "bundle-buddy-webpack-plugin",
        "cache-loader",
        "caniuse-lite",
        "compression-webpack-plugin",
        "copy-webpack-plugin",
        "core-js",
        "css-loader",
        "cssnano",
        "eslint",
        "eslint-config-standard",
        "eslint-loader",
        "eslint-plugin-immutable",
        "eslint-plugin-import",
        "eslint-plugin-node",
        "eslint-plugin-promise",
        "eslint-plugin-react",
        "eslint-plugin-security",
        "eslint-plugin-standard",
        "extract-css-chunks-webpack-plugin",
        "favicons-webpack-plugin",
        "file-loader",
        "happypack",
        "html-webpack-plugin",
        "http-server",
        "image-webpack-loader",
        "lodash",
        "lqip-loader",
        "node-sass",
        "pixrem",
        "postcss",
        "postcss-calc",
        "postcss-color-rgba-fallback",
        "postcss-cssnext",
        "postcss-discard-comments",
        "postcss-emptymediaqueries",
        "postcss-hexrgba",
        "postcss-import",
        "postcss-loader",
        "postcss-position",
        "postcss-quantity-queries",
        "postcss-reporter",
        "postcss-sass",
        "postcss-url",
        "precss",
        "prop-types",
        "pug",
        "pug-loader",
        "purgecss-webpack-plugin",
        "raw-loader",
        "react",
        "react-clipboard.js",
        "react-dev-utils",
        "react-dom",
        "react-hot-loader",
        "react-input-mask",
        "react-loadable",
        "react-router-dom",
        "react-select",
        "reset-css",
        "sass-loader",
        "script-ext-html-webpack-plugin",
        "size-limit",
        "style-loader",
        "stylelint",
        "stylelint-config-standard",
        "stylelint-webpack-plugin",
        "sugarss",
        "svgo",
        "svgo-loader",
        "sw-precache-webpack-plugin",
        "ts-loader",
        "typescript",
        "uglifyjs-webpack-plugin",
        "url-loader",
        "webapp-manifest-plugin",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-bundle-size-analyzer",
        "webpack-chunk-hash",
        "webpack-dev-server",
        "webpack-manifest-plugin",
        "webpack-notifier",
        "webpack-plugin-chunk-manifest",
        "webpack-svgstore-plugin",
        "webpack-visualizer-plugin",
        "xml-loader",
        "xregexp"
      ],
      "tags": [
        "css modules",
        "babel",
        "hmr",
        "linter",
        "typescript",
        "webpack 3",
        "flow"
      ],
      "lastStarCount": 2,
      "lastUpdatedAt": "2017-12-26T04:10:39Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/868121?v=4"
    },
    {
      "githubPath": "karpusa/heroku-react-starter-kit",
      "description": "React 16.1.1 application with latest features, fetch API Youtube videos and deploy to heroku",
      "homepage": "https://heroku-demo-react.herokuapp.com",
      "dependencies": [
        "@material/layout-grid",
        "@material/typography",
        "autoprefixer",
        "axios",
        "babel-core",
        "babel-eslint",
        "babel-loader",
        "babel-plugin-react-css-modules",
        "babel-polyfill",
        "babel-preset-es2015",
        "babel-preset-react",
        "babel-preset-stage-1",
        "classnames",
        "css-loader",
        "eslint",
        "eslint-plugin-react",
        "express",
        "extract-text-webpack-plugin",
        "file-loader",
        "history",
        "json-server",
        "less",
        "less-loader",
        "lodash",
        "postcss-load-config",
        "postcss-loader",
        "prop-types",
        "react",
        "react-dom",
        "react-redux",
        "react-router",
        "react-router-dom",
        "recompose",
        "redux",
        "redux-thunk",
        "reselect",
        "style-loader",
        "webpack",
        "webpack-dev-server"
      ],
      "tags": [
        "css modules",
        "babel",
        "redux",
        "linter",
        "router",
        "webpack 3"
      ],
      "lastStarCount": 6,
      "lastUpdatedAt": "2017-11-26T16:06:59Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6731495?v=4"
    },
    {
      "githubPath": "iaincollins/nextjs-starter",
      "description": "A starter project for Next.js with authentication",
      "homepage": "https://nextjs-starter.now.sh",
      "dependencies": [
        "babel-core",
        "babel-plugin-wrap-in-js",
        "body-parser",
        "bootstrap",
        "connect-mongo",
        "cookie-parser",
        "dotenv",
        "eslint",
        "eslint-config-xo",
        "eslint-config-xo-react",
        "eslint-config-xo-space",
        "eslint-plugin-react",
        "express-session",
        "ionicons",
        "ionicons",
        "isomorphic-fetch",
        "jquery",
        "mongodb",
        "nedb",
        "next",
        "next-auth",
        "next-auth-client",
        "node-sass",
        "nodemailer",
        "nodemailer-direct-transport",
        "nodemailer-smtp-transport",
        "now-logs",
        "passport-facebook",
        "passport-google-oauth",
        "passport-twitter",
        "popper.js",
        "raw-loader",
        "react",
        "react-bootstrap-table",
        "react-dom",
        "react-syntax-highlighter",
        "react-transition-group",
        "reactstrap",
        "sass-loader",
        "unfetch",
        "universal-cookie",
        "uuid",
        "xo"
      ],
      "tags": [
        "babel",
        "linter"
      ],
      "lastStarCount": 437,
      "lastUpdatedAt": "2018-02-02T14:36:27Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/595695?v=4"
    },
    {
      "githubPath": "dazlious/react-typescript-starter",
      "description": "This is a boilerplate for react with TypeScript",
      "homepage": "",
      "dependencies": [
        "@types/enzyme",
        "@types/enzyme-adapter-react-16",
        "@types/history",
        "@types/i18next",
        "@types/jasmine",
        "@types/jwt-decode",
        "@types/jwt-simple",
        "@types/lodash-es",
        "@types/numeral",
        "@types/prop-types",
        "@types/query-string",
        "@types/react",
        "@types/react-dom",
        "@types/react-i18next",
        "@types/react-redux",
        "@types/react-router",
        "@types/react-router-dom",
        "@types/react-transition-group",
        "@types/redux-logger",
        "autoprefixer",
        "awesome-typescript-loader",
        "babel-core",
        "babel-plugin-array-includes",
        "babel-plugin-istanbul",
        "babel-plugin-module-resolver",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-object-rest-spread",
        "babel-preset-es2015",
        "babel-preset-react",
        "chai",
        "chai-spies",
        "core-js",
        "cross-env",
        "css-loader",
        "csscomb",
        "cssnano",
        "dirty-chai",
        "enzyme",
        "enzyme-adapter-react-16",
        "favicons-webpack-plugin",
        "fetch-mock",
        "file-loader",
        "history",
        "html-webpack-plugin",
        "i18next",
        "ignore-styles",
        "isomorphic-fetch",
        "istanbul-instrumenter-loader",
        "jasmine-core",
        "jsdom",
        "jsdom-global",
        "jwt-decode",
        "jwt-simple",
        "karma",
        "karma-coverage",
        "karma-jasmine",
        "karma-mocha-reporter",
        "karma-phantomjs-launcher",
        "karma-remap-istanbul",
        "karma-sourcemap-loader",
        "karma-webpack",
        "lodash-es",
        "moment",
        "node-sass",
        "null-loader",
        "numeral",
        "postcss-loader",
        "query-string",
        "react",
        "react-dom",
        "react-i18next",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-transition-group",
        "redux",
        "redux-localstorage-simple",
        "redux-logger",
        "redux-mock-store",
        "redux-thunk",
        "reselect",
        "sass-loader",
        "source-map-loader",
        "style-loader",
        "tslint",
        "tslint-config-airbnb",
        "typescript",
        "uninstall",
        "url-loader",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dashboard",
        "webpack-dev-server"
      ],
      "tags": [
        "babel",
        "redux",
        "linter",
        "router",
        "tests",
        "typescript",
        "webpack 3"
      ],
      "lastStarCount": 1,
      "lastUpdatedAt": "2018-01-28T14:49:50Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/6652447?v=4"
    },
    {
      "githubPath": "rtivital/react-pages-boilerplate",
      "description": "Boilerplate for working with React, redux, react-router and Github Pages",
      "homepage": "",
      "dependencies": [
        "@storybook/addon-centered",
        "@storybook/react",
        "autoprefixer",
        "axios",
        "babel-core",
        "babel-eslint",
        "babel-jest",
        "babel-loader",
        "babel-plugin-lodash",
        "babel-plugin-module-resolver",
        "babel-plugin-ramda",
        "babel-plugin-transform-class-properties",
        "babel-plugin-transform-decorators-legacy",
        "babel-plugin-transform-runtime",
        "babel-polyfill",
        "babel-preset-env",
        "babel-preset-react",
        "babel-preset-react-optimize",
        "babel-preset-stage-1",
        "babel-register",
        "babel-runtime",
        "bluebird",
        "chalk",
        "classnames",
        "cross-env",
        "css-loader",
        "enzyme",
        "enzyme-adapter-react-16",
        "enzyme-to-json",
        "eslint",
        "eslint-config-airbnb",
        "eslint-import-resolver-webpack",
        "eslint-plugin-import",
        "eslint-plugin-jest",
        "eslint-plugin-jsx-a11y",
        "eslint-plugin-react",
        "extract-text-webpack-plugin",
        "favicons-webpack-plugin",
        "file-loader",
        "gh-pages",
        "git-repo-name",
        "html-webpack-plugin",
        "identity-obj-proxy",
        "ignore-styles",
        "jest",
        "lodash",
        "lodash-webpack-plugin",
        "node-sass",
        "normalize.css",
        "open-browser-webpack-plugin",
        "postcss",
        "postcss-loader",
        "prettier",
        "prop-types",
        "ramda",
        "react",
        "react-dom",
        "react-hot-loader",
        "react-icons",
        "react-redux",
        "react-router",
        "react-router-dom",
        "react-router-prop-types",
        "redux",
        "redux-axios-middleware",
        "redux-thunk",
        "rimraf",
        "sass-loader",
        "sass-resources-loader",
        "storybook-router",
        "style-loader",
        "stylelint",
        "stylelint-config-standard",
        "stylelint-scss",
        "webpack",
        "webpack-bundle-analyzer",
        "webpack-dev-server",
        "yesno"
      ],
      "tags": [
        "babel",
        "redux",
        "hmr",
        "linter",
        "router",
        "tests",
        "webpack 3"
      ],
      "lastStarCount": 88,
      "lastUpdatedAt": "2018-02-02T12:59:41Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/10353856?v=4"
    }
  ]
}